/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 8; tab-width: 8 -*- */
/* Copyright (C) 2002-2004 Novell, Inc. */

#ifndef __E2K_PROPNAMES_H__
#define __E2K_PROPNAMES_H__

#define E2K_NS_DAV			"DAV:"
#define E2K_PR_DAV_CONTENT_CLASS	"DAV:contentclass"
#define E2K_PR_DAV_CONTENT_LENGTH	"DAV:getcontentlength"
#define E2K_PR_DAV_CONTENT_TYPE		"DAV:getcontenttype"
#define E2K_PR_DAV_CREATION_DATE	"DAV:creationdate"
#define E2K_PR_DAV_DISPLAY_NAME		"DAV:displayname"
#define E2K_PR_DAV_LAST_MODIFIED	"DAV:getlastmodified"
#define E2K_PR_DAV_HAS_SUBS		"DAV:hassubs"
#define E2K_PR_DAV_HREF			"DAV:href"
#define E2K_PR_DAV_IS_COLLECTION	"DAV:iscollection"
#define E2K_PR_DAV_IS_HIDDEN		"DAV:ishidden"
#define E2K_PR_DAV_LOCATION		"DAV:location"
#define E2K_PR_DAV_UID			"DAV:uid"
#define E2K_PR_DAV_VISIBLE_COUNT	"DAV:visiblecount"

#define E2K_NS_CALENDAR			"urn:schemas:calendar:"
#define E2K_PR_CALENDAR_BUSY_STATUS	E2K_NS_CALENDAR "busystatus"
#define E2K_PR_CALENDAR_DTEND		E2K_NS_CALENDAR "dtend"
#define E2K_PR_CALENDAR_DTSTART		E2K_NS_CALENDAR "dtstart"
#define E2K_PR_CALENDAR_INSTANCE_TYPE	E2K_NS_CALENDAR "instancetype"
#define E2K_PR_CALENDAR_LAST_MODIFIED	E2K_NS_CALENDAR "lastmodifiedtime"
#define E2K_PR_CALENDAR_UID		E2K_NS_CALENDAR "uid"
#define E2K_PR_CALENDAR_URL		E2K_NS_CALENDAR "locationurl"
#define E2K_PR_CALENDAR_FREEBUSY_URL	E2K_NS_CALENDAR "fburl"
#define E2K_PR_CALENDAR_REMINDER_NEXT_TIME E2K_NS_CALENDAR "remindernexttime"

#define E2K_NS_CONTACTS			"urn:schemas:contacts:"
#define E2K_PR_CONTACTS_FULL_NAME	E2K_NS_CONTACTS "cn"
#define E2K_PR_CONTACTS_FAMILY_NAME	E2K_NS_CONTACTS "sn"
#define E2K_PR_CONTACTS_GIVEN_NAME	E2K_NS_CONTACTS "givenName"
#define E2K_PR_CONTACTS_ADDITIONAL_NAME	E2K_NS_CONTACTS "middlename"
#define E2K_PR_CONTACTS_NAME_SUFFIX	E2K_NS_CONTACTS "namesuffix"
#define E2K_PR_CONTACTS_TITLE		E2K_NS_CONTACTS "title"
#define E2K_PR_CONTACTS_ORG		E2K_NS_CONTACTS "o"
#define E2K_PR_CONTACTS_FILE_AS		E2K_NS_CONTACTS "fileas"

#define E2K_PR_CONTACTS_PHONE_CALLBACK	E2K_NS_CONTACTS "callbackphone"
#define E2K_PR_CONTACTS_PHONE_BUSINESS_FAX E2K_NS_CONTACTS "facsimiletelephonenumber"
#define E2K_PR_CONTACTS_PHONE_HOME_FAX	E2K_NS_CONTACTS "homefax"
#define E2K_PR_CONTACTS_PHONE_HOME	E2K_NS_CONTACTS "homePhone"
#define E2K_PR_CONTACTS_PHONE_HOME_2	E2K_NS_CONTACTS "homephone2"
#define E2K_PR_CONTACTS_PHONE_ISDN	E2K_NS_CONTACTS "internationalisdnnumber"
#define E2K_PR_CONTACTS_PHONE_MOBILE	E2K_NS_CONTACTS "mobile"
#define E2K_PR_CONTACTS_PHONE_COMPANY	E2K_NS_CONTACTS "organizationmainphone"
#define E2K_PR_CONTACTS_PHONE_OTHER_FAX	E2K_NS_CONTACTS "otherfax"
#define E2K_PR_CONTACTS_PHONE_PAGER	E2K_NS_CONTACTS "pager"
#define E2K_PR_CONTACTS_PHONE_BUSINESS	E2K_NS_CONTACTS "telephoneNumber"
#define E2K_PR_CONTACTS_PHONE_BUSINESS_2 E2K_NS_CONTACTS "telephonenumber2"
#define E2K_PR_CONTACTS_PHONE_TELEX	E2K_NS_CONTACTS "telexnumber"
#define E2K_PR_CONTACTS_PHONE_TTYTDD	E2K_NS_CONTACTS "ttytddphone"
#define E2K_PR_CONTACTS_PHONE_ASSISTANT	E2K_NS_CONTACTS "secretaryphone"
#define E2K_PR_CONTACTS_PHONE_CAR	E2K_NS_CONTACTS "othermobile"
#define E2K_PR_CONTACTS_PHONE_OTHER	E2K_NS_CONTACTS "otherTelephone"

#define E2K_PR_CONTACTS_EMAIL1		E2K_NS_CONTACTS "email1"
#define E2K_PR_CONTACTS_EMAIL2		E2K_NS_CONTACTS "email2"
#define E2K_PR_CONTACTS_EMAIL3		E2K_NS_CONTACTS "email3"

#define E2K_PR_CONTACTS_ADDRESS_WORK	E2K_NS_CONTACTS "workaddress"
#define E2K_PR_CONTACTS_WORK_STREET	E2K_NS_CONTACTS "street"
#define E2K_PR_CONTACTS_WORK_PO_BOX	E2K_NS_CONTACTS "postofficebox"
#define E2K_PR_CONTACTS_WORK_CITY	E2K_NS_CONTACTS "l"
#define E2K_PR_CONTACTS_WORK_STATE	E2K_NS_CONTACTS "st"
#define E2K_PR_CONTACTS_WORK_ZIP	E2K_NS_CONTACTS "postalcode"
#define E2K_PR_CONTACTS_WORK_COUNTRY	E2K_NS_CONTACTS "co"
#define E2K_PR_CONTACTS_ADDRESS_HOME	E2K_NS_CONTACTS "homepostaladdress"
#define E2K_PR_CONTACTS_HOME_STREET	E2K_NS_CONTACTS "homeStreet"
#define E2K_PR_CONTACTS_HOME_PO_BOX	E2K_NS_CONTACTS "homePostOfficeBox"
#define E2K_PR_CONTACTS_HOME_CITY	E2K_NS_CONTACTS "homeCity"
#define E2K_PR_CONTACTS_HOME_STATE	E2K_NS_CONTACTS "homeState"
#define E2K_PR_CONTACTS_HOME_ZIP	E2K_NS_CONTACTS "homePostalCode"
#define E2K_PR_CONTACTS_HOME_COUNTRY	E2K_NS_CONTACTS "homeCountry"
#define E2K_PR_CONTACTS_ADDRESS_OTHER	E2K_NS_CONTACTS "otherpostaladdress"
#define E2K_PR_CONTACTS_OTHER_STREET	E2K_NS_CONTACTS "otherstreet"
#define E2K_PR_CONTACTS_OTHER_PO_BOX	E2K_NS_CONTACTS "otherpostofficebox"
#define E2K_PR_CONTACTS_OTHER_CITY	E2K_NS_CONTACTS "othercity"
#define E2K_PR_CONTACTS_OTHER_STATE	E2K_NS_CONTACTS "otherstate"
#define E2K_PR_CONTACTS_OTHER_ZIP	E2K_NS_CONTACTS "otherpostalcode"
#define E2K_PR_CONTACTS_OTHER_COUNTRY	E2K_NS_CONTACTS "othercountry"

#define E2K_PR_CONTACTS_HOMEPAGE_URL	E2K_NS_CONTACTS "businesshomepage"
#define E2K_PR_CONTACTS_ORG_UNIT	E2K_NS_CONTACTS "department"
#define E2K_PR_CONTACTS_OFFICE		E2K_NS_CONTACTS "roomnumber"
#define E2K_PR_CONTACTS_ROLE		E2K_NS_CONTACTS "profession"
#define E2K_PR_CONTACTS_MANAGER		E2K_NS_CONTACTS "manager"
#define E2K_PR_CONTACTS_ASSISTANT	E2K_NS_CONTACTS "secretarycn"
#define E2K_PR_CONTACTS_NICKNAME	E2K_NS_CONTACTS "nickname"
#define E2K_PR_CONTACTS_SPOUSE		E2K_NS_CONTACTS "spousecn"
#define E2K_PR_CONTACTS_BIRTH_DATE	E2K_NS_CONTACTS "bday"
#define E2K_PR_CONTACTS_ANNIVERSARY	E2K_NS_CONTACTS "weddinganniversary"

#define E2K_NS_HTTPMAIL			"urn:schemas:httpmail:"
#define E2K_PR_HTTPMAIL_DATE		E2K_NS_HTTPMAIL "date"
#define E2K_PR_HTTPMAIL_FROM_EMAIL	E2K_NS_HTTPMAIL "fromemail"
#define E2K_PR_HTTPMAIL_FROM_NAME	E2K_NS_HTTPMAIL "fromname"
#define E2K_PR_HTTPMAIL_HAS_ATTACHMENT	E2K_NS_HTTPMAIL "hasattachment"
#define E2K_PR_HTTPMAIL_MESSAGE_FLAG	E2K_NS_HTTPMAIL "messageflag"
#define E2K_PR_HTTPMAIL_READ		E2K_NS_HTTPMAIL "read"
#define E2K_PR_HTTPMAIL_SUBJECT		E2K_NS_HTTPMAIL "subject"
#define E2K_PR_HTTPMAIL_TEXT_DESCRIPTION E2K_NS_HTTPMAIL "textdescription"
#define E2K_PR_HTTPMAIL_THREAD_TOPIC	E2K_NS_HTTPMAIL "thread-topic"
#define E2K_PR_HTTPMAIL_UNREAD_COUNT	E2K_NS_HTTPMAIL "unreadcount"

#define E2K_NS_STD_FOLDER		"urn:schemas:httpmail:"
#define E2K_PR_STD_FOLDER_CALENDAR	E2K_NS_HTTPMAIL "calendar"
#define E2K_PR_STD_FOLDER_CONTACTS	E2K_NS_HTTPMAIL "contacts"
#define E2K_PR_STD_FOLDER_DELETED_ITEMS	E2K_NS_HTTPMAIL "deleteditems"
#define E2K_PR_STD_FOLDER_DRAFTS	E2K_NS_HTTPMAIL "drafts"
#define E2K_PR_STD_FOLDER_INBOX		E2K_NS_HTTPMAIL "inbox"
#define E2K_PR_STD_FOLDER_JOURNAL	E2K_NS_HTTPMAIL "journal"
#define E2K_PR_STD_FOLDER_ROOT		E2K_NS_HTTPMAIL "msgfolderroot"
#define E2K_PR_STD_FOLDER_NOTES		E2K_NS_HTTPMAIL "notes"
#define E2K_PR_STD_FOLDER_OUTBOX	E2K_NS_HTTPMAIL "outbox"
#define E2K_PR_STD_FOLDER_SENDMSG	E2K_NS_HTTPMAIL "sendmsg"
#define E2K_PR_STD_FOLDER_SENT_ITEMS	E2K_NS_HTTPMAIL "sentitems"
#define E2K_PR_STD_FOLDER_TASKS		E2K_NS_HTTPMAIL "tasks"

#define E2K_NS_MAILHEADER		"urn:schemas:mailheader:"
#define E2K_PR_MAILHEADER_CC		E2K_NS_MAILHEADER "cc"
#define E2K_PR_MAILHEADER_DATE		E2K_NS_MAILHEADER "date"
#define E2K_PR_MAILHEADER_FROM		E2K_NS_MAILHEADER "from"
#define E2K_PR_MAILHEADER_IMPORTANCE	E2K_NS_MAILHEADER "importance"
#define E2K_PR_MAILHEADER_IN_REPLY_TO	E2K_NS_MAILHEADER "in-reply-to"
#define E2K_PR_MAILHEADER_MESSAGE_ID	E2K_NS_MAILHEADER "message-id"
#define E2K_PR_MAILHEADER_RECEIVED	E2K_NS_MAILHEADER "received"
#define E2K_PR_MAILHEADER_REFERENCES	E2K_NS_MAILHEADER "references"
#define E2K_PR_MAILHEADER_REPLY_BY	E2K_NS_MAILHEADER "reply-by"
#define E2K_PR_MAILHEADER_SUBJECT	E2K_NS_MAILHEADER "subject"
#define E2K_PR_MAILHEADER_THREAD_INDEX	E2K_NS_MAILHEADER "thread-index"
#define E2K_PR_MAILHEADER_TO		E2K_NS_MAILHEADER "to"
#define E2K_PR_MAILHEADER_COMPLETED	E2K_NS_MAILHEADER "x-message-completed"


#define E2K_NS_SUBSCRIPTION		"http://schemas.microsoft.com/Exchange/"
#define E2K_PR_SUBSCRIPTION_ID		E2K_NS_SUBSCRIPTION "subscriptionID"

#define E2K_NS_EXCHANGE			"http://schemas.microsoft.com/exchange/"
#define E2K_PR_EXCHANGE_MESSAGE_CLASS	E2K_NS_EXCHANGE "outlookmessageclass"
#define E2K_PR_EXCHANGE_FOLDER_CLASS	E2K_NS_EXCHANGE "outlookfolderclass"
#define E2K_PR_EXCHANGE_KEYWORDS	E2K_NS_EXCHANGE "keywords-utf8"
#define E2K_PR_EXCHANGE_SD_BINARY	E2K_NS_EXCHANGE "ntsecuritydescriptor"
#define E2K_PR_EXCHANGE_SD_XML		E2K_NS_EXCHANGE "security/descriptor"
#define E2K_PR_EXCHANGE_TIMEZONE	E2K_NS_EXCHANGE "timezone"
#define E2K_PR_EXCHANGE_PERMANENTURL	E2K_NS_EXCHANGE "permanenturl"
#define E2K_PR_EXCHANGE_FOLDER_SIZE	E2K_NS_EXCHANGE "foldersize"
#define E2K_PR_EXCHANGE_OOF_STATE	E2K_NS_EXCHANGE "oof-state"

#define E2K_NS_REPL			"http://schemas.microsoft.com/repl/"
#define E2K_PR_REPL_UID			E2K_NS_REPL "repl-uid"

#define E2K_NS_SECURITY			"http://schemas.microsoft.com/security/"
#define E2K_NS_TYPE			"urn:uuid:c2f41010-65b3-11d1-a29f-00aa00c14882/"

#define E2K_NS_MAPI			"http://schemas.microsoft.com/mapi/"
#define E2K_PR_MAPI_COMMON_START	E2K_NS_MAPI "commonstart"
#define E2K_PR_MAPI_COMMON_END		E2K_NS_MAPI "commonend"
#define E2K_PR_MAPI_NO_AUTOARCHIVE	E2K_NS_MAPI "agingdontageme"
#define E2K_PR_MAPI_PRIORITY		E2K_NS_MAPI "priority"
#define E2K_PR_MAPI_REMINDER_SET	E2K_NS_MAPI "reminderset"
#define E2K_PR_MAPI_SENSITIVITY		E2K_NS_MAPI "sensitivity"
#define E2K_PR_MAPI_SIDE_EFFECTS	E2K_NS_MAPI "sideeffects"
#define E2K_PR_MAPI_EMAIL_1_ENTRYID	E2K_NS_MAPI "email1originalentryid"
#define E2K_PR_MAPI_EMAIL_1_ADDRTYPE	E2K_NS_MAPI "email1addrtype"
#define E2K_PR_MAPI_EMAIL_1_ADDRESS	E2K_NS_MAPI "email1emailaddress"
#define E2K_PR_MAPI_EMAIL_1_DISPLAY_NAME E2K_NS_MAPI "email1originaldisplayname"
#define E2K_PR_MAPI_EMAIL_2_ENTRYID	E2K_NS_MAPI "email2originalentryid"
#define E2K_PR_MAPI_EMAIL_2_ADDRTYPE	E2K_NS_MAPI "email2addrtype"
#define E2K_PR_MAPI_EMAIL_2_ADDRESS	E2K_NS_MAPI "email2emailaddress"
#define E2K_PR_MAPI_EMAIL_2_DISPLAY_NAME E2K_NS_MAPI "email2originaldisplayname"
#define E2K_PR_MAPI_EMAIL_3_ENTRYID	E2K_NS_MAPI "email3originalentryid"
#define E2K_PR_MAPI_EMAIL_3_ADDRTYPE	E2K_NS_MAPI "email3addrtype"
#define E2K_PR_MAPI_EMAIL_3_ADDRESS	E2K_NS_MAPI "email3emailaddress"
#define E2K_PR_MAPI_EMAIL_3_DISPLAY_NAME E2K_NS_MAPI "email3originaldisplayname"
#define E2K_PR_MAPI_EMAIL_LIST_TYPE	E2K_NS_MAPI "emaillisttype"
#define E2K_PR_MAPI_EMAIL_ADDRESS_LIST	E2K_NS_MAPI "emailaddresslist"


#define E2K_NS_MAPI_ID			"http://schemas.microsoft.com/mapi/id/"
#define E2K_NS_MAPI_ID_LEN		(sizeof (E2K_NS_MAPI_ID) - 1)

#define E2K_NS_OUTLOOK_APPOINTMENT	E2K_NS_MAPI_ID "{00062002-0000-0000-C000-000000000046}/"

#define E2K_NS_OUTLOOK_TASK		E2K_NS_MAPI_ID "{00062003-0000-0000-C000-000000000046}/"
#define E2K_PR_OUTLOOK_TASK_STATUS	E2K_NS_OUTLOOK_TASK "0x00008101"
#define E2K_PR_OUTLOOK_TASK_PERCENT	E2K_NS_OUTLOOK_TASK "0x00008102"
#define E2K_PR_OUTLOOK_TASK_TEAM_TASK	E2K_NS_OUTLOOK_TASK "0x00008103"
#define E2K_PR_OUTLOOK_TASK_START_DT	E2K_NS_OUTLOOK_TASK "0x00008104"
#define E2K_PR_OUTLOOK_TASK_DUE_DT	E2K_NS_OUTLOOK_TASK "0x00008105"
#define E2K_PR_OUTLOOK_TASK_DONE_DT	E2K_NS_OUTLOOK_TASK "0x0000810f"
#define E2K_PR_OUTLOOK_TASK_ACTUAL_WORK	E2K_NS_OUTLOOK_TASK "0x00008110"
#define E2K_PR_OUTLOOK_TASK_TOTAL_WORK	E2K_NS_OUTLOOK_TASK "0x00008111"
#define E2K_PR_OUTLOOK_TASK_IS_DONE	E2K_NS_OUTLOOK_TASK "0x0000811c"
#define E2K_PR_OUTLOOK_TASK_OWNER	E2K_NS_OUTLOOK_TASK "0x0000811f"
#define E2K_PR_OUTLOOK_TASK_RECURRING	E2K_NS_OUTLOOK_TASK "0x00008126"
#define E2K_PR_OUTLOOK_TASK_ASSIGNMENT	E2K_NS_OUTLOOK_TASK "0x00008129"

#define E2K_NS_OUTLOOK_CONTACT		E2K_NS_MAPI_ID "{00062004-0000-0000-C000-000000000046}/"
#define E2K_PR_OUTLOOK_CONTACT_JOURNAL	E2K_NS_OUTLOOK_CONTACT "0x00008025"
#define E2K_PR_OUTLOOK_CONTACT_NETMEETING_URL E2K_NS_OUTLOOK_CONTACT "0x00008056"
#define E2K_PR_OUTLOOK_CONTACT_IM_ADDR	E2K_NS_OUTLOOK_CONTACT "0x00008062"

#define E2K_NS_OUTLOOK_COMMON		E2K_NS_MAPI_ID "{00062008-0000-0000-C000-000000000046}/"
#define E2K_PR_OUTLOOK_COMMON_CONTACTS	E2K_NS_OUTLOOK_COMMON "0x00008586"


#define E2K_NS_OUTLOOK_JOURNAL		E2K_NS_MAPI_ID "{0006200A-0000-0000-C000-000000000046}/"

#define E2K_NS_OUTLOOK_STICKYNOTE	E2K_NS_MAPI_ID "{0006200E-0000-0000-C000-000000000046}/"
#define E2K_PR_OUTLOOK_STICKYNOTE_COLOR	E2K_NS_OUTLOOK_STICKYNOTE "0x00008b00"
#define E2K_PR_OUTLOOK_STICKYNOTE_WIDTH	E2K_NS_OUTLOOK_STICKYNOTE "0x00008b02"
#define E2K_PR_OUTLOOK_STICKYNOTE_HEIGHT E2K_NS_OUTLOOK_STICKYNOTE "0x00008b03"


#define E2K_NS_MAPI_PROPTAG		"http://schemas.microsoft.com/mapi/proptag/"

#define PR_ACKNOWLEDGEMENT_MODE                 E2K_NS_MAPI_PROPTAG  "x00010003"
#define PR_ALTERNATE_RECIPIENT_ALLOWED          E2K_NS_MAPI_PROPTAG  "x0002000b"
#define PR_AUTHORIZING_USERS                    E2K_NS_MAPI_PROPTAG  "x00030102"
#define PR_AUTO_FORWARD_COMMENT                 E2K_NS_MAPI_PROPTAG  "x0004001f"
#define PR_AUTO_FORWARDED                       E2K_NS_MAPI_PROPTAG  "x0005000b"
#define PR_CONTENT_CONFIDENTIALITY_ALGORITHM_ID E2K_NS_MAPI_PROPTAG  "x00060102"
#define PR_CONTENT_CORRELATOR                   E2K_NS_MAPI_PROPTAG  "x00070102"
#define PR_CONTENT_IDENTIFIER                   E2K_NS_MAPI_PROPTAG  "x0008001f"
#define PR_CONTENT_LENGTH                       E2K_NS_MAPI_PROPTAG  "x00090003"
#define PR_CONTENT_RETURN_REQUESTED             E2K_NS_MAPI_PROPTAG  "x000a000b"
#define PR_CONVERSATION_KEY                     E2K_NS_MAPI_PROPTAG  "x000b0102"
#define PR_CONVERSION_EITS                      E2K_NS_MAPI_PROPTAG  "x000c0102"
#define PR_CONVERSION_WITH_LOSS_PROHIBITED      E2K_NS_MAPI_PROPTAG  "x000d000b"
#define PR_CONVERTED_EITS                       E2K_NS_MAPI_PROPTAG  "x000e0102"
#define PR_DEFERRED_DELIVERY_TIME               E2K_NS_MAPI_PROPTAG  "x000f0040"
#define PR_DELIVER_TIME                         E2K_NS_MAPI_PROPTAG  "x00100040"
#define PR_DISCARD_REASON                       E2K_NS_MAPI_PROPTAG  "x00110003"
#define PR_DISCLOSURE_OF_RECIPIENTS             E2K_NS_MAPI_PROPTAG  "x0012000b"
#define PR_DL_EXPANSION_HISTORY                 E2K_NS_MAPI_PROPTAG  "x00130102"
#define PR_DL_EXPANSION_PROHIBITED              E2K_NS_MAPI_PROPTAG  "x0014000b"
#define PR_EXPIRY_TIME                          E2K_NS_MAPI_PROPTAG  "x00150040"
#define PR_IMPLICIT_CONVERSION_PROHIBITED       E2K_NS_MAPI_PROPTAG  "x0016000b"
#define PR_IMPORTANCE                           E2K_NS_MAPI_PROPTAG  "x00170003"
#define PR_IPM_ID                               E2K_NS_MAPI_PROPTAG  "x00180102"
#define PR_LATEST_DELIVERY_TIME                 E2K_NS_MAPI_PROPTAG  "x00190040"
#define PR_MESSAGE_CLASS                        E2K_NS_MAPI_PROPTAG  "x001a001f"
#define PR_MESSAGE_DELIVERY_ID                  E2K_NS_MAPI_PROPTAG  "x001b0102"
#define PR_MESSAGE_SECURITY_LABEL               E2K_NS_MAPI_PROPTAG  "x001e0102"
#define PR_OBSOLETED_IPMS                       E2K_NS_MAPI_PROPTAG  "x001f0102"
#define PR_ORIGINALLY_INTENDED_RECIPIENT_NAME   E2K_NS_MAPI_PROPTAG  "x00200102"
#define PR_ORIGINAL_EITS                        E2K_NS_MAPI_PROPTAG  "x00210102"
#define PR_ORIGINATOR_CERTIFICATE               E2K_NS_MAPI_PROPTAG  "x00220102"
#define PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED E2K_NS_MAPI_PROPTAG  "x0023000b"
#define PR_ORIGINATOR_RETURN_ADDRESS            E2K_NS_MAPI_PROPTAG  "x00240102"
#define PR_PARENT_KEY                           E2K_NS_MAPI_PROPTAG  "x00250102"
#define PR_PRIORITY                             E2K_NS_MAPI_PROPTAG  "x00260003"
#define PR_ORIGIN_CHECK                         E2K_NS_MAPI_PROPTAG  "x00270102"
#define PR_PROOF_OF_SUBMISSION_REQUESTED        E2K_NS_MAPI_PROPTAG  "x0028000b"
#define PR_READ_RECEIPT_REQUESTED               E2K_NS_MAPI_PROPTAG  "x0029000b"
#define PR_RECEIPT_TIME                         E2K_NS_MAPI_PROPTAG  "x002a0040"
#define PR_RECIPIENT_REASSIGNMENT_PROHIBITED    E2K_NS_MAPI_PROPTAG  "x002b000b"
#define PR_REDIRECTION_HISTORY                  E2K_NS_MAPI_PROPTAG  "x002c0102"
#define PR_RELATED_IPMS                         E2K_NS_MAPI_PROPTAG  "x002d0102"
#define PR_ORIGINAL_SENSITIVITY                 E2K_NS_MAPI_PROPTAG  "x002e0003"
#define PR_LANGUAGES                            E2K_NS_MAPI_PROPTAG  "x002f001f"
#define PR_REPLY_TIME                           E2K_NS_MAPI_PROPTAG  "x00300040"
#define PR_REPORT_TAG                           E2K_NS_MAPI_PROPTAG  "x00310102"
#define PR_REPORT_TIME                          E2K_NS_MAPI_PROPTAG  "x00320040"
#define PR_RETURNED_IPM                         E2K_NS_MAPI_PROPTAG  "x0033000b"
#define PR_SECURITY                             E2K_NS_MAPI_PROPTAG  "x00340003"
#define PR_INCOMPLETE_COPY                      E2K_NS_MAPI_PROPTAG  "x0035000b"
#define PR_SENSITIVITY                          E2K_NS_MAPI_PROPTAG  "x00360003"
#define PR_SUBJECT                              E2K_NS_MAPI_PROPTAG  "x0037001f"
#define PR_SUBJECT_IPM                          E2K_NS_MAPI_PROPTAG  "x00380102"
#define PR_CLIENT_SUBMIT_TIME                   E2K_NS_MAPI_PROPTAG  "x00390040"
#define PR_REPORT_NAME                          E2K_NS_MAPI_PROPTAG  "x003a001f"
#define PR_SENT_REPRESENTING_SEARCH_KEY         E2K_NS_MAPI_PROPTAG  "x003b0102"
#define PR_X400_CONTENT_TYPE                    E2K_NS_MAPI_PROPTAG  "x003c0102"
#define PR_SUBJECT_PREFIX                       E2K_NS_MAPI_PROPTAG  "x003d001f"
#define PR_NON_RECEIPT_REASON                   E2K_NS_MAPI_PROPTAG  "x003e0003"
#define PR_RECEIVED_BY_ENTRYID                  E2K_NS_MAPI_PROPTAG  "x003f0102"
#define PR_RECEIVED_BY_NAME                     E2K_NS_MAPI_PROPTAG  "x0040001f"
#define PR_SENT_REPRESENTING_ENTRYID            E2K_NS_MAPI_PROPTAG  "x00410102"
#define PR_SENT_REPRESENTING_NAME               E2K_NS_MAPI_PROPTAG  "x0042001f"
#define PR_RCVD_REPRESENTING_ENTRYID            E2K_NS_MAPI_PROPTAG  "x00430102"
#define PR_RCVD_REPRESENTING_NAME               E2K_NS_MAPI_PROPTAG  "x0044001f"
#define PR_REPORT_ENTRYID                       E2K_NS_MAPI_PROPTAG  "x00450102"
#define PR_READ_RECEIPT_ENTRYID                 E2K_NS_MAPI_PROPTAG  "x00460102"
#define PR_MESSAGE_SUBMISSION_ID                E2K_NS_MAPI_PROPTAG  "x00470102"
#define PR_MTS_ID                               E2K_NS_MAPI_PROPTAG  "x00470102"
#define PR_MTS_REPORT_ID                        E2K_NS_MAPI_PROPTAG  "x00470102"
#define PR_PROVIDER_SUBMIT_TIME                 E2K_NS_MAPI_PROPTAG  "x00480040"
#define PR_ORIGINAL_SUBJECT                     E2K_NS_MAPI_PROPTAG  "x0049001f"
#define PR_DISC_VAL                             E2K_NS_MAPI_PROPTAG  "x004a000b"
#define PR_ORIG_MESSAGE_CLASS                   E2K_NS_MAPI_PROPTAG  "x004b001f"
#define PR_ORIGINAL_AUTHOR_ENTRYID              E2K_NS_MAPI_PROPTAG  "x004c0102"
#define PR_ORIGINAL_AUTHOR_NAME                 E2K_NS_MAPI_PROPTAG  "x004d001f"
#define PR_ORIGINAL_SUBMIT_TIME                 E2K_NS_MAPI_PROPTAG  "x004e0040"
#define PR_REPLY_RECIPIENT_ENTRIES              E2K_NS_MAPI_PROPTAG  "x004f0102"
#define PR_REPLY_RECIPIENT_NAMES                E2K_NS_MAPI_PROPTAG  "x0050001f"
#define PR_RECEIVED_BY_SEARCH_KEY               E2K_NS_MAPI_PROPTAG  "x00510102"
#define PR_RCVD_REPRESENTING_SEARCH_KEY         E2K_NS_MAPI_PROPTAG  "x00520102"
#define PR_READ_RECEIPT_SEARCH_KEY              E2K_NS_MAPI_PROPTAG  "x00530102"
#define PR_REPORT_SEARCH_KEY                    E2K_NS_MAPI_PROPTAG  "x00540102"
#define PR_ORIGINAL_DELIVERY_TIME               E2K_NS_MAPI_PROPTAG  "x00550040"
#define PR_ORIGINAL_AUTHOR_SEARCH_KEY           E2K_NS_MAPI_PROPTAG  "x00560102"
#define PR_MESSAGE_TO_ME                        E2K_NS_MAPI_PROPTAG  "x0057000b"
#define PR_MESSAGE_CC_ME                        E2K_NS_MAPI_PROPTAG  "x0058000b"
#define PR_MESSAGE_RECIP_ME                     E2K_NS_MAPI_PROPTAG  "x0059000b"
#define PR_ORIGINAL_SENDER_NAME                 E2K_NS_MAPI_PROPTAG  "x005a001f"
#define PR_ORIGINAL_SENDER_ENTRYID              E2K_NS_MAPI_PROPTAG  "x005b0102"
#define PR_ORIGINAL_SENDER_SEARCH_KEY           E2K_NS_MAPI_PROPTAG  "x005c0102"
#define PR_ORIGINAL_SENT_REPRESENTING_NAME      E2K_NS_MAPI_PROPTAG  "x005d001f"
#define PR_ORIGINAL_SENT_REPRESENTING_ENTRYID   E2K_NS_MAPI_PROPTAG  "x005e0102"
#define PR_ORIGINAL_SENT_REPRESENTING_SEARCH_KEY E2K_NS_MAPI_PROPTAG  "x005f0102"
#define PR_START_DATE                           E2K_NS_MAPI_PROPTAG  "x00600040"
#define PR_END_DATE                             E2K_NS_MAPI_PROPTAG  "x00610040"
#define PR_OWNER_APPT_ID                        E2K_NS_MAPI_PROPTAG  "x00620003"
#define PR_RESPONSE_REQUESTED                   E2K_NS_MAPI_PROPTAG  "x0063000b"
#define PR_SENT_REPRESENTING_ADDRTYPE           E2K_NS_MAPI_PROPTAG  "x0064001f"
#define PR_SENT_REPRESENTING_EMAIL_ADDRESS      E2K_NS_MAPI_PROPTAG  "x0065001f"
#define PR_ORIGINAL_SENDER_ADDRTYPE             E2K_NS_MAPI_PROPTAG  "x0066001f"
#define PR_ORIGINAL_SENDER_EMAIL_ADDRESS        E2K_NS_MAPI_PROPTAG  "x0067001f"
#define PR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE  E2K_NS_MAPI_PROPTAG  "x0068001f"
#define PR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS E2K_NS_MAPI_PROPTAG  "x0069001f"
#define PR_CONVERSATION_TOPIC                   E2K_NS_MAPI_PROPTAG  "x0070001f"
#define PR_CONVERSATION_INDEX                   E2K_NS_MAPI_PROPTAG  "x00710102"
#define PR_ORIGINAL_DISPLAY_BCC                 E2K_NS_MAPI_PROPTAG  "x0072001f"
#define PR_ORIGINAL_DISPLAY_CC                  E2K_NS_MAPI_PROPTAG  "x0073001f"
#define PR_ORIGINAL_DISPLAY_TO                  E2K_NS_MAPI_PROPTAG  "x0074001f"
#define PR_RECEIVED_BY_ADDRTYPE                 E2K_NS_MAPI_PROPTAG  "x0075001f"
#define PR_RECEIVED_BY_EMAIL_ADDRESS            E2K_NS_MAPI_PROPTAG  "x0076001f"
#define PR_RCVD_REPRESENTING_ADDRTYPE           E2K_NS_MAPI_PROPTAG  "x0077001f"
#define PR_RCVD_REPRESENTING_EMAIL_ADDRESS      E2K_NS_MAPI_PROPTAG  "x0078001f"
#define PR_ORIGINAL_AUTHOR_ADDRTYPE             E2K_NS_MAPI_PROPTAG  "x0079001f"
#define PR_ORIGINAL_AUTHOR_EMAIL_ADDRESS        E2K_NS_MAPI_PROPTAG  "x007a001f"
#define PR_ORIGINALLY_INTENDED_RECIP_ADDRTYPE   E2K_NS_MAPI_PROPTAG  "x007b001f"
#define PR_ORIGINALLY_INTENDED_RECIP_EMAIL_ADDRESS E2K_NS_MAPI_PROPTAG  "x007c001f"
#define PR_TRANSPORT_MESSAGE_HEADERS            E2K_NS_MAPI_PROPTAG  "x007d001f"
#define PR_DELEGATION                           E2K_NS_MAPI_PROPTAG  "x007e0102"
#define PR_TNEF_CORRELATION_KEY                 E2K_NS_MAPI_PROPTAG  "x007f0102"
#define PR_CONTENT_INTEGRITY_CHECK              E2K_NS_MAPI_PROPTAG  "x0c000102"
#define PR_EXPLICIT_CONVERSION                  E2K_NS_MAPI_PROPTAG  "x0c010003"
#define PR_IPM_RETURN_REQUESTED                 E2K_NS_MAPI_PROPTAG  "x0c02000b"
#define PR_MESSAGE_TOKEN                        E2K_NS_MAPI_PROPTAG  "x0c030102"
#define PR_NDR_REASON_CODE                      E2K_NS_MAPI_PROPTAG  "x0c040003"
#define PR_NDR_DIAG_CODE                        E2K_NS_MAPI_PROPTAG  "x0c050003"
#define PR_NON_RECEIPT_NOTIFICATION_REQUESTED   E2K_NS_MAPI_PROPTAG  "x0c06000b"
#define PR_DELIVERY_POINT                       E2K_NS_MAPI_PROPTAG  "x0c070003"
#define PR_ORIGINATOR_NON_DELIVERY_REPORT_REQUESTED E2K_NS_MAPI_PROPTAG  "x0c08000b"
#define PR_ORIGINATOR_REQUESTED_ALTERNATE_RECIPIENT E2K_NS_MAPI_PROPTAG  "x0c090102"
#define PR_PHYSICAL_DELIVERY_BUREAU_FAX_DELIVERY E2K_NS_MAPI_PROPTAG  "x0c0a000b"
#define PR_PHYSICAL_DELIVERY_MODE               E2K_NS_MAPI_PROPTAG  "x0c0b0003"
#define PR_PHYSICAL_DELIVERY_REPORT_REQUEST     E2K_NS_MAPI_PROPTAG  "x0c0c0003"
#define PR_PHYSICAL_FORWARDING_ADDRESS          E2K_NS_MAPI_PROPTAG  "x0c0d0102"
#define PR_PHYSICAL_FORWARDING_ADDRESS_REQUESTED E2K_NS_MAPI_PROPTAG  "x0c0e000b"
#define PR_PHYSICAL_FORWARDING_PROHIBITED       E2K_NS_MAPI_PROPTAG  "x0c0f000b"
#define PR_PHYSICAL_RENDITION_ATTRIBUTES        E2K_NS_MAPI_PROPTAG  "x0c100102"
#define PR_PROOF_OF_DELIVERY                    E2K_NS_MAPI_PROPTAG  "x0c110102"
#define PR_PROOF_OF_DELIVERY_REQUESTED          E2K_NS_MAPI_PROPTAG  "x0c12000b"
#define PR_RECIPIENT_CERTIFICATE                E2K_NS_MAPI_PROPTAG  "x0c130102"
#define PR_RECIPIENT_NUMBER_FOR_ADVICE          E2K_NS_MAPI_PROPTAG  "x0c14001f"
#define PR_RECIPIENT_TYPE                       E2K_NS_MAPI_PROPTAG  "x0c150003"
#define PR_REGISTERED_MAIL_TYPE                 E2K_NS_MAPI_PROPTAG  "x0c160003"
#define PR_REPLY_REQUESTED                      E2K_NS_MAPI_PROPTAG  "x0c17000b"
#define PR_REQUESTED_DELIVERY_METHOD            E2K_NS_MAPI_PROPTAG  "x0c180003"
#define PR_SENDER_ENTRYID                       E2K_NS_MAPI_PROPTAG  "x0c190102"
#define PR_SENDER_NAME                          E2K_NS_MAPI_PROPTAG  "x0c1a001f"
#define PR_SUPPLEMENTARY_INFO                   E2K_NS_MAPI_PROPTAG  "x0c1b001f"
#define PR_TYPE_OF_MTS_USER                     E2K_NS_MAPI_PROPTAG  "x0c1c0003"
#define PR_SENDER_SEARCH_KEY                    E2K_NS_MAPI_PROPTAG  "x0c1d0102"
#define PR_SENDER_ADDRTYPE                      E2K_NS_MAPI_PROPTAG  "x0c1e001f"
#define PR_SENDER_EMAIL_ADDRESS                 E2K_NS_MAPI_PROPTAG  "x0c1f001f"
#define PR_CURRENT_VERSION                      E2K_NS_MAPI_PROPTAG  "x0e000014"
#define PR_DELETE_AFTER_SUBMIT                  E2K_NS_MAPI_PROPTAG  "x0e01000b"
#define PR_DISPLAY_BCC                          E2K_NS_MAPI_PROPTAG  "x0e02001f"
#define PR_DISPLAY_CC                           E2K_NS_MAPI_PROPTAG  "x0e03001f"
#define PR_DISPLAY_TO                           E2K_NS_MAPI_PROPTAG  "x0e04001f"
#define PR_PARENT_DISPLAY                       E2K_NS_MAPI_PROPTAG  "x0e05001f"
#define PR_MESSAGE_DELIVERY_TIME                E2K_NS_MAPI_PROPTAG  "x0e060040"
#define PR_MESSAGE_FLAGS                        E2K_NS_MAPI_PROPTAG  "x0e070003"
#define PR_MESSAGE_SIZE                         E2K_NS_MAPI_PROPTAG  "x0e080003"
#define PR_MESSAGE_SIZE_EXTENDED                E2K_NS_MAPI_PROPTAG  "x0e080014"
#define PR_PARENT_ENTRYID                       E2K_NS_MAPI_PROPTAG  "x0e090102"
#define PR_SENTMAIL_ENTRYID                     E2K_NS_MAPI_PROPTAG  "x0e0a0102"
#define PR_CORRELATE                            E2K_NS_MAPI_PROPTAG  "x0e0c000b"
#define PR_CORRELATE_MTSID                      E2K_NS_MAPI_PROPTAG  "x0e0d0102"
#define PR_DISCRETE_VALUES                      E2K_NS_MAPI_PROPTAG  "x0e0e000b"
#define PR_RESPONSIBILITY                       E2K_NS_MAPI_PROPTAG  "x0e0f000b"
#define PR_SPOOLER_STATUS                       E2K_NS_MAPI_PROPTAG  "x0e100003"
#define PR_TRANSPORT_STATUS                     E2K_NS_MAPI_PROPTAG  "x0e110003"
#define PR_MESSAGE_RECIPIENTS                   E2K_NS_MAPI_PROPTAG  "x0e12000d"
#define PR_MESSAGE_ATTACHMENTS                  E2K_NS_MAPI_PROPTAG  "x0e13000d"
#define PR_SUBMIT_FLAGS                         E2K_NS_MAPI_PROPTAG  "x0e140003"
#define PR_RECIPIENT_STATUS                     E2K_NS_MAPI_PROPTAG  "x0e150003"
#define PR_TRANSPORT_KEY                        E2K_NS_MAPI_PROPTAG  "x0e160003"
#define PR_MSG_STATUS                           E2K_NS_MAPI_PROPTAG  "x0e170003"
#define PR_MESSAGE_DOWNLOAD_TIME                E2K_NS_MAPI_PROPTAG  "x0e180003"
#define PR_CREATION_VERSION                     E2K_NS_MAPI_PROPTAG  "x0e190014"
#define PR_MODIFY_VERSION                       E2K_NS_MAPI_PROPTAG  "x0e1a0014"
#define PR_HASATTACH                            E2K_NS_MAPI_PROPTAG  "x0e1b000b"
#define PR_BODY_CRC                             E2K_NS_MAPI_PROPTAG  "x0e1c0003"
#define PR_NORMALIZED_SUBJECT                   E2K_NS_MAPI_PROPTAG  "x0e1d001f"
#define PR_RTF_IN_SYNC                          E2K_NS_MAPI_PROPTAG  "x0e1f000b"
#define PR_ATTACH_SIZE                          E2K_NS_MAPI_PROPTAG  "x0e200003"
#define PR_ATTACH_NUM                           E2K_NS_MAPI_PROPTAG  "x0e210003"
#define PR_PREPROCESS                           E2K_NS_MAPI_PROPTAG  "x0e22000b"
#define PR_INTERNET_ARTICLE_NUMBER              E2K_NS_MAPI_PROPTAG  "x0e230003"
#define PR_NEWSGROUP_NAME                       E2K_NS_MAPI_PROPTAG  "x0e24001f"
#define PR_ORIGINATING_MTA_CERTIFICATE          E2K_NS_MAPI_PROPTAG  "x0e250102"
#define PR_PROOF_OF_SUBMISSION                  E2K_NS_MAPI_PROPTAG  "x0e260102"
#define PR_NT_SECURITY_DESCRIPTOR               E2K_NS_MAPI_PROPTAG  "x0e270102"
#define PR_CREATOR_SID                          E2K_NS_MAPI_PROPTAG  "x0e580102"
#define PR_LAST_MODIFIER_SID                    E2K_NS_MAPI_PROPTAG  "x0e590102"
#define PR_MIME_HANDLER_CLASSIDS                E2K_NS_MAPI_PROPTAG  "x0e5e0048"
#define PR_URL_COMP_NAME_POSTFIX                E2K_NS_MAPI_PROPTAG  "x0e610003"
#define PR_URL_COMP_NAME_SET                    E2K_NS_MAPI_PROPTAG  "x0e62000b"
#define PR_SUBFOLDER_CT                         E2K_NS_MAPI_PROPTAG  "x0e630003"
#define PR_DELETED_SUBFOLDER_CT                 E2K_NS_MAPI_PROPTAG  "x0e640003"
#define PR_DELETE_TIME                          E2K_NS_MAPI_PROPTAG  "x0e660040"
#define PR_AGE_LIMIT                            E2K_NS_MAPI_PROPTAG  "x0e670102"
#define PR_TRUST_SENDER                         E2K_NS_MAPI_PROPTAG  "x0e790003"
#define PR_ATTACH_VIRUS_SCAN_INFO               E2K_NS_MAPI_PROPTAG  "x0e960102"
#define PR_ACCESS                               E2K_NS_MAPI_PROPTAG  "x0ff40003"
#define PR_ROW_TYPE                             E2K_NS_MAPI_PROPTAG  "x0ff50003"
#define PR_INSTANCE_KEY                         E2K_NS_MAPI_PROPTAG  "x0ff60102"
#define PR_ACCESS_LEVEL                         E2K_NS_MAPI_PROPTAG  "x0ff70003"
#define PR_MAPPING_SIGNATURE                    E2K_NS_MAPI_PROPTAG  "x0ff80102"
#define PR_RECORD_KEY                           E2K_NS_MAPI_PROPTAG  "x0ff90102"
#define PR_STORE_RECORD_KEY                     E2K_NS_MAPI_PROPTAG  "x0ffa0102"
#define PR_STORE_ENTRYID                        E2K_NS_MAPI_PROPTAG  "x0ffb0102"
#define PR_MINI_ICON                            E2K_NS_MAPI_PROPTAG  "x0ffc0102"
#define PR_ICON                                 E2K_NS_MAPI_PROPTAG  "x0ffd0102"
#define PR_OBJECT_TYPE                          E2K_NS_MAPI_PROPTAG  "x0ffe0003"
#define PR_ENTRYID                              E2K_NS_MAPI_PROPTAG  "x0fff0102"
#define PR_MEMBER_ENTRYID                       E2K_NS_MAPI_PROPTAG  "x0fff0102"
#define PR_BODY                                 E2K_NS_MAPI_PROPTAG  "x1000001f"
#define PR_REPORT_TEXT                          E2K_NS_MAPI_PROPTAG  "x1001001f"
#define PR_ORIGINATOR_AND_DL_EXPANSION_HISTORY  E2K_NS_MAPI_PROPTAG  "x10020102"
#define PR_REPORTING_DL_NAME                    E2K_NS_MAPI_PROPTAG  "x10030102"
#define PR_REPORTING_MTA_CERTIFICATE            E2K_NS_MAPI_PROPTAG  "x10040102"
#define PR_RTF_SYNC_BODY_CRC                    E2K_NS_MAPI_PROPTAG  "x10060003"
#define PR_RTF_SYNC_BODY_COUNT                  E2K_NS_MAPI_PROPTAG  "x10070003"
#define PR_RTF_SYNC_BODY_TAG                    E2K_NS_MAPI_PROPTAG  "x1008001f"
#define PR_RTF_COMPRESSED                       E2K_NS_MAPI_PROPTAG  "x10090102"
#define PR_RTF_SYNC_PREFIX_COUNT                E2K_NS_MAPI_PROPTAG  "x10100003"
#define PR_RTF_SYNC_TRAILING_COUNT              E2K_NS_MAPI_PROPTAG  "x10110003"
#define PR_ORIGINALLY_INTENDED_RECIP_ENTRYID    E2K_NS_MAPI_PROPTAG  "x10120102"
#define PR_HTML                                 E2K_NS_MAPI_PROPTAG  "x10130102"
#define PR_INTERNET_APPROVED                    E2K_NS_MAPI_PROPTAG  "x1030001f"
#define PR_INTERNET_CONTROL                     E2K_NS_MAPI_PROPTAG  "x1031001f"
#define PR_INTERNET_DISTRIBUTION                E2K_NS_MAPI_PROPTAG  "x1032001f"
#define PR_INTERNET_FOLLOWUP_TO                 E2K_NS_MAPI_PROPTAG  "x1033001f"
#define PR_INTERNET_LINES                       E2K_NS_MAPI_PROPTAG  "x10340003"
#define PR_INTERNET_MESSAGE_ID                  E2K_NS_MAPI_PROPTAG  "x1035001f"
#define PR_INTERNET_NEWSGROUPS                  E2K_NS_MAPI_PROPTAG  "x1036001f"
#define PR_INTERNET_ORGANIZATION                E2K_NS_MAPI_PROPTAG  "x1037001f"
#define PR_INTERNET_NNTP_PATH                   E2K_NS_MAPI_PROPTAG  "x1038001f"
#define PR_INTERNET_REFERENCES                  E2K_NS_MAPI_PROPTAG  "x1039001f"
#define PR_SUPERSEDES                           E2K_NS_MAPI_PROPTAG  "x103a001f"
#define PR_POST_FOLDER_ENTRIES                  E2K_NS_MAPI_PROPTAG  "x103b0102"
#define PR_POST_FOLDER_NAMES                    E2K_NS_MAPI_PROPTAG  "x103c001f"
#define PR_POST_REPLY_FOLDER_ENTRIES            E2K_NS_MAPI_PROPTAG  "x103d0102"
#define PR_POST_REPLY_FOLDER_NAMES              E2K_NS_MAPI_PROPTAG  "x103e001f"
#define PR_POST_REPLY_DENIED                    E2K_NS_MAPI_PROPTAG  "x103f0102"
#define PR_NNTP_XREF                            E2K_NS_MAPI_PROPTAG  "x1040001f"
#define PR_INTERNET_PRECEDENCE                  E2K_NS_MAPI_PROPTAG  "x1041001f"
#define PR_IN_REPLY_TO_ID                       E2K_NS_MAPI_PROPTAG  "x1042001f"
#define PR_LIST_HELP                            E2K_NS_MAPI_PROPTAG  "x1043001f"
#define PR_LIST_SUBSCRIBE                       E2K_NS_MAPI_PROPTAG  "x1044001f"
#define PR_LIST_UNSUBSCRIBE                     E2K_NS_MAPI_PROPTAG  "x1045001f"
#define PR_ACTION                               E2K_NS_MAPI_PROPTAG  "x10800003"
#define PR_ACTION_FLAG                          E2K_NS_MAPI_PROPTAG  "x10810003"
#define PR_ACTION_DATE                          E2K_NS_MAPI_PROPTAG  "x10820040"
#define PR_FLAG_STATUS                          E2K_NS_MAPI_PROPTAG  "x10900003"
#define PR_FLAG_COMPLETE                        E2K_NS_MAPI_PROPTAG  "x10910040"
#define PR_SMTP_TEMP_TBL_DATA                   E2K_NS_MAPI_PROPTAG  "x10c00102"
#define PR_SMTP_TEMP_TBL_DATA_2                 E2K_NS_MAPI_PROPTAG  "x10c10003"
#define PR_SMTP_TEMP_TBL_DATA_3                 E2K_NS_MAPI_PROPTAG  "x10c20102"
#define PR_CAL_START_TIME                       E2K_NS_MAPI_PROPTAG  "x10c30040"
#define PR_CAL_END_TIME                         E2K_NS_MAPI_PROPTAG  "x10c40040"
#define PR_CAL_RECURRING_ID                     E2K_NS_MAPI_PROPTAG  "x10c50040"
#define PR_DAV_SUBMIT_DATA                      E2K_NS_MAPI_PROPTAG  "x10c6001f"
#define PR_CDO_EXPANSION_INDEX                  E2K_NS_MAPI_PROPTAG  "x10c70003"
#define PR_IFS_INTERNAL_DATA                    E2K_NS_MAPI_PROPTAG  "x10c80102"
#define PR_CAL_REMINDER_NEXT_TIME               E2K_NS_MAPI_PROPTAG  "x10ca0040"
#define PR_OWA_URL                              E2K_NS_MAPI_PROPTAG  "x10f1001f"
#define PR_DISABLE_FULL_FIDELITY                E2K_NS_MAPI_PROPTAG  "x10f2000b"
#define PR_URL_COMP_NAME                        E2K_NS_MAPI_PROPTAG  "x10f3001f"
#define PR_ATTR_HIDDEN                          E2K_NS_MAPI_PROPTAG  "x10f4000b"
#define PR_ATTR_SYSTEM                          E2K_NS_MAPI_PROPTAG  "x10f5000b"
#define PR_ATTR_READONLY                        E2K_NS_MAPI_PROPTAG  "x10f6000b"
#define PR_P1_CONTENT                           E2K_NS_MAPI_PROPTAG  "x11000102"
#define PR_P1_CONTENT_TYPE                      E2K_NS_MAPI_PROPTAG  "x11010102"
#define PR_ROWID                                E2K_NS_MAPI_PROPTAG  "x30000003"
#define PR_DISPLAY_NAME                         E2K_NS_MAPI_PROPTAG  "x3001001f"
#define PR_ADDRTYPE                             E2K_NS_MAPI_PROPTAG  "x3002001f"
#define PR_EMAIL_ADDRESS                        E2K_NS_MAPI_PROPTAG  "x3003001f"
#define PR_COMMENT                              E2K_NS_MAPI_PROPTAG  "x3004001f"
#define PR_DEPTH                                E2K_NS_MAPI_PROPTAG  "x30050003"
#define PR_PROVIDER_DISPLAY                     E2K_NS_MAPI_PROPTAG  "x3006001f"
#define PR_CREATION_TIME                        E2K_NS_MAPI_PROPTAG  "x30070040"
#define PR_LAST_MODIFICATION_TIME               E2K_NS_MAPI_PROPTAG  "x30080040"
#define PR_RESOURCE_FLAGS                       E2K_NS_MAPI_PROPTAG  "x30090003"
#define PR_PROVIDER_DLL_NAME                    E2K_NS_MAPI_PROPTAG  "x300a001f"
#define PR_SEARCH_KEY                           E2K_NS_MAPI_PROPTAG  "x300b0102"
#define PR_PROVIDER_UID                         E2K_NS_MAPI_PROPTAG  "x300c0102"
#define PR_PROVIDER_ORDINAL                     E2K_NS_MAPI_PROPTAG  "x300d0003"
#define PR_FORM_VERSION                         E2K_NS_MAPI_PROPTAG  "x3301001f"
#define PR_FORM_CLSID                           E2K_NS_MAPI_PROPTAG  "x33020048"
#define PR_FORM_CONTACT_NAME                    E2K_NS_MAPI_PROPTAG  "x3303001f"
#define PR_FORM_CATEGORY                        E2K_NS_MAPI_PROPTAG  "x3304001f"
#define PR_FORM_CATEGORY_SUB                    E2K_NS_MAPI_PROPTAG  "x3305001f"
#define PR_FORM_HOST_MAP                        E2K_NS_MAPI_PROPTAG  "x33061003"
#define PR_FORM_HIDDEN                          E2K_NS_MAPI_PROPTAG  "x3307000b"
#define PR_FORM_DESIGNER_NAME                   E2K_NS_MAPI_PROPTAG  "x3308001f"
#define PR_FORM_DESIGNER_GUID                   E2K_NS_MAPI_PROPTAG  "x33090048"
#define PR_FORM_MESSAGE_BEHAVIOR                E2K_NS_MAPI_PROPTAG  "x330a0003"
#define PR_DEFAULT_STORE                        E2K_NS_MAPI_PROPTAG  "x3400000b"
#define PR_STORE_SUPPORT_MASK                   E2K_NS_MAPI_PROPTAG  "x340d0003"
#define PR_STORE_STATE                          E2K_NS_MAPI_PROPTAG  "x340e0003"
#define PR_IPM_SUBTREE_SEARCH_KEY               E2K_NS_MAPI_PROPTAG  "x34100102"
#define PR_IPM_OUTBOX_SEARCH_KEY                E2K_NS_MAPI_PROPTAG  "x34110102"
#define PR_IPM_WASTEBASKET_SEARCH_KEY           E2K_NS_MAPI_PROPTAG  "x34120102"
#define PR_IPM_SENTMAIL_SEARCH_KEY              E2K_NS_MAPI_PROPTAG  "x34130102"
#define PR_MDB_PROVIDER                         E2K_NS_MAPI_PROPTAG  "x34140102"
#define PR_RECEIVE_FOLDER_SETTINGS              E2K_NS_MAPI_PROPTAG  "x3415000d"
#define PR_VALID_FOLDER_MASK                    E2K_NS_MAPI_PROPTAG  "x35df0003"
#define PR_IPM_SUBTREE_ENTRYID                  E2K_NS_MAPI_PROPTAG  "x35e00102"
#define PR_IPM_OUTBOX_ENTRYID                   E2K_NS_MAPI_PROPTAG  "x35e20102"
#define PR_IPM_WASTEBASKET_ENTRYID              E2K_NS_MAPI_PROPTAG  "x35e30102"
#define PR_IPM_SENTMAIL_ENTRYID                 E2K_NS_MAPI_PROPTAG  "x35e40102"
#define PR_VIEWS_ENTRYID                        E2K_NS_MAPI_PROPTAG  "x35e50102"
#define PR_COMMON_VIEWS_ENTRYID                 E2K_NS_MAPI_PROPTAG  "x35e60102"
#define PR_FINDER_ENTRYID                       E2K_NS_MAPI_PROPTAG  "x35e70102"
#define PR_CONTAINER_FLAGS                      E2K_NS_MAPI_PROPTAG  "x36000003"
#define PR_FOLDER_TYPE                          E2K_NS_MAPI_PROPTAG  "x36010003"
#define PR_CONTENT_COUNT                        E2K_NS_MAPI_PROPTAG  "x36020003"
#define PR_CONTENT_UNREAD                       E2K_NS_MAPI_PROPTAG  "x36030003"
#define PR_CREATE_TEMPLATES                     E2K_NS_MAPI_PROPTAG  "x3604000d"
#define PR_DETAILS_TABLE                        E2K_NS_MAPI_PROPTAG  "x3605000d"
#define PR_SEARCH                               E2K_NS_MAPI_PROPTAG  "x3607000d"
#define PR_SELECTABLE                           E2K_NS_MAPI_PROPTAG  "x3609000b"
#define PR_SUBFOLDERS                           E2K_NS_MAPI_PROPTAG  "x360a000b"
#define PR_STATUS                               E2K_NS_MAPI_PROPTAG  "x360b0003"
#define PR_ANR                                  E2K_NS_MAPI_PROPTAG  "x360c001f"
#define PR_CONTENTS_SORT_ORDER                  E2K_NS_MAPI_PROPTAG  "x360d1003"
#define PR_CONTAINER_HIERARCHY                  E2K_NS_MAPI_PROPTAG  "x360e000d"
#define PR_CONTAINER_CONTENTS                   E2K_NS_MAPI_PROPTAG  "x360f000d"
#define PR_FOLDER_ASSOCIATED_CONTENTS           E2K_NS_MAPI_PROPTAG  "x3610000d"
#define PR_DEF_CREATE_DL                        E2K_NS_MAPI_PROPTAG  "x36110102"
#define PR_DEF_CREATE_MAILUSER                  E2K_NS_MAPI_PROPTAG  "x36120102"
#define PR_CONTAINER_CLASS                      E2K_NS_MAPI_PROPTAG  "x3613001f"
#define PR_CONTAINER_MODIFY_VERSION             E2K_NS_MAPI_PROPTAG  "x36140014"
#define PR_AB_PROVIDER_ID                       E2K_NS_MAPI_PROPTAG  "x36150102"
#define PR_DEFAULT_VIEW_ENTRYID                 E2K_NS_MAPI_PROPTAG  "x36160102"
#define PR_ASSOC_CONTENT_COUNT                  E2K_NS_MAPI_PROPTAG  "x36170003"
#define PR_PACKED_NAME_PROPS                    E2K_NS_MAPI_PROPTAG  "x361c0102"
#define PR_IPM_APPOINTMENT_ENTRYID              E2K_NS_MAPI_PROPTAG  "x36d00102"
#define PR_IPM_CONTACT_ENTRYID                  E2K_NS_MAPI_PROPTAG  "x36d10102"
#define PR_IPM_JOURNAL_ENTRYID                  E2K_NS_MAPI_PROPTAG  "x36d20102"
#define PR_IPM_NOTE_ENTRYID                     E2K_NS_MAPI_PROPTAG  "x36d30102"
#define PR_IPM_TASK_ENTRYID                     E2K_NS_MAPI_PROPTAG  "x36d40102"
#define PR_REMINDERS_ONLINE_ENTRYID             E2K_NS_MAPI_PROPTAG  "x36d50102"
#define PR_REMINDERS_OFFLINE_ENTRYID            E2K_NS_MAPI_PROPTAG  "x36d60102"
#define PR_IPM_DRAFTS_ENTRYID                   E2K_NS_MAPI_PROPTAG  "x36d70102"
#define PR_OUTLOOK_2003_ENTRYIDS                E2K_NS_MAPI_PROPTAG  "x36d81102"
#define PR_FOLDER_WEBVIEWINFO                   E2K_NS_MAPI_PROPTAG  "x36df0102"
#define PR_FOLDER_XVIEWINFO_E                   E2K_NS_MAPI_PROPTAG  "x36e00102"
#define PR_FOLDER_VIEWS_ONLY                    E2K_NS_MAPI_PROPTAG  "x36e10003"
#define PR_FREEBUSY_ENTRYIDS                    E2K_NS_MAPI_PROPTAG  "x36e41102"
#define PR_DEF_MSG_CLASS                        E2K_NS_MAPI_PROPTAG  "x36e5001f"
#define PR_DEF_FORM_NAME                        E2K_NS_MAPI_PROPTAG  "x36e6001f"
#define PR_GENERATE_EXCHANGE_VIEWS              E2K_NS_MAPI_PROPTAG  "x36e9000b"
#define PR_AGING_PERIOD                         E2K_NS_MAPI_PROPTAG  "x36ec0003"
#define PR_AGING_GRANULARITY                    E2K_NS_MAPI_PROPTAG  "x36ee0003"
#define PR_ATTACHMENT_X400_PARAMETERS           E2K_NS_MAPI_PROPTAG  "x37000102"
#define PR_ATTACH_DATA_OBJ                      E2K_NS_MAPI_PROPTAG  "x3701000d"
#define PR_ATTACH_DATA_BIN                      E2K_NS_MAPI_PROPTAG  "x37010102"
#define PR_ATTACH_ENCODING                      E2K_NS_MAPI_PROPTAG  "x37020102"
#define PR_ATTACH_EXTENSION                     E2K_NS_MAPI_PROPTAG  "x3703001f"
#define PR_ATTACH_FILENAME                      E2K_NS_MAPI_PROPTAG  "x3704001f"
#define PR_ATTACH_METHOD                        E2K_NS_MAPI_PROPTAG  "x37050003"
#define PR_ATTACH_LONG_FILENAME                 E2K_NS_MAPI_PROPTAG  "x3707001f"
#define PR_ATTACH_PATHNAME                      E2K_NS_MAPI_PROPTAG  "x3708001f"
#define PR_ATTACH_RENDERING                     E2K_NS_MAPI_PROPTAG  "x37090102"
#define PR_ATTACH_TAG                           E2K_NS_MAPI_PROPTAG  "x370a0102"
#define PR_RENDERING_POSITION                   E2K_NS_MAPI_PROPTAG  "x370b0003"
#define PR_ATTACH_TRANSPORT_NAME                E2K_NS_MAPI_PROPTAG  "x370c001f"
#define PR_ATTACH_LONG_PATHNAME                 E2K_NS_MAPI_PROPTAG  "x370d001f"
#define PR_ATTACH_MIME_TAG                      E2K_NS_MAPI_PROPTAG  "x370e001f"
#define PR_ATTACH_ADDITIONAL_INFO               E2K_NS_MAPI_PROPTAG  "x370f0102"
#define PR_ATTACH_CONTENT_ID                    E2K_NS_MAPI_PROPTAG  "x3712001f"
#define PR_ATTACH_CONTENT_LOCATION              E2K_NS_MAPI_PROPTAG  "x3713001f"
#define PR_ATTACH_FLAGS                         E2K_NS_MAPI_PROPTAG  "x37140003"
#define PR_ATTACH_CONTENT_DISPOSITION           E2K_NS_MAPI_PROPTAG  "x3716001f"
#define PR_SYNCEVENT_SUPPRESS_GUID              E2K_NS_MAPI_PROPTAG  "x38800102"
#define PR_DISPLAY_TYPE                         E2K_NS_MAPI_PROPTAG  "x39000003"
#define PR_TEMPLATEID                           E2K_NS_MAPI_PROPTAG  "x39020102"
#define PR_PRIMARY_CAPABILITY                   E2K_NS_MAPI_PROPTAG  "x39040102"
#define PR_SMTP_ADDRESS                         E2K_NS_MAPI_PROPTAG  "x39fe001f"
#define PR_7BIT_DISPLAY_NAME                    E2K_NS_MAPI_PROPTAG  "x39ff001f"
#define PR_EMS_AB_DISPLAY_NAME_PRINTABLE        E2K_NS_MAPI_PROPTAG  "x39ff001f"
#define PR_ACCOUNT                              E2K_NS_MAPI_PROPTAG  "x3a00001f"
#define PR_ALTERNATE_RECIPIENT                  E2K_NS_MAPI_PROPTAG  "x3a010102"
#define PR_CALLBACK_TELEPHONE_NUMBER            E2K_NS_MAPI_PROPTAG  "x3a02001f"
#define PR_CONVERSION_PROHIBITED                E2K_NS_MAPI_PROPTAG  "x3a03000b"
#define PR_DISCLOSE_RECIPIENTS                  E2K_NS_MAPI_PROPTAG  "x3a04000b"
#define PR_GENERATION                           E2K_NS_MAPI_PROPTAG  "x3a05001f"
#define PR_GIVEN_NAME                           E2K_NS_MAPI_PROPTAG  "x3a06001f"
#define PR_GOVERNMENT_ID_NUMBER                 E2K_NS_MAPI_PROPTAG  "x3a07001f"
#define PR_BUSINESS_TELEPHONE_NUMBER            E2K_NS_MAPI_PROPTAG  "x3a08001f"
#define PR_OFFICE_TELEPHONE_NUMBER              E2K_NS_MAPI_PROPTAG  "x3a08001f"
#define PR_HOME_TELEPHONE_NUMBER                E2K_NS_MAPI_PROPTAG  "x3a09001f"
#define PR_INITIALS                             E2K_NS_MAPI_PROPTAG  "x3a0a001f"
#define PR_KEYWORD                              E2K_NS_MAPI_PROPTAG  "x3a0b001f"
#define PR_LANGUAGE                             E2K_NS_MAPI_PROPTAG  "x3a0c001f"
#define PR_LOCATION                             E2K_NS_MAPI_PROPTAG  "x3a0d001f"
#define PR_MAIL_PERMISSION                      E2K_NS_MAPI_PROPTAG  "x3a0e000b"
#define PR_MHS_COMMON_NAME                      E2K_NS_MAPI_PROPTAG  "x3a0f001f"
#define PR_ORGANIZATIONAL_ID_NUMBER             E2K_NS_MAPI_PROPTAG  "x3a10001f"
#define PR_SURNAME                              E2K_NS_MAPI_PROPTAG  "x3a11001f"
#define PR_ORIGINAL_ENTRYID                     E2K_NS_MAPI_PROPTAG  "x3a120102"
#define PR_ORIGINAL_DISPLAY_NAME                E2K_NS_MAPI_PROPTAG  "x3a13001f"
#define PR_ORIGINAL_SEARCH_KEY                  E2K_NS_MAPI_PROPTAG  "x3a140102"
#define PR_POSTAL_ADDRESS                       E2K_NS_MAPI_PROPTAG  "x3a15001f"
#define PR_COMPANY_NAME                         E2K_NS_MAPI_PROPTAG  "x3a16001f"
#define PR_TITLE                                E2K_NS_MAPI_PROPTAG  "x3a17001f"
#define PR_DEPARTMENT_NAME                      E2K_NS_MAPI_PROPTAG  "x3a18001f"
#define PR_OFFICE_LOCATION                      E2K_NS_MAPI_PROPTAG  "x3a19001f"
#define PR_PRIMARY_TELEPHONE_NUMBER             E2K_NS_MAPI_PROPTAG  "x3a1a001f"
#define PR_BUSINESS2_TELEPHONE_NUMBER           E2K_NS_MAPI_PROPTAG  "x3a1b001f"
#define PR_OFFICE2_TELEPHONE_NUMBER             E2K_NS_MAPI_PROPTAG  "x3a1b001f"
#define PR_CELLULAR_TELEPHONE_NUMBER            E2K_NS_MAPI_PROPTAG  "x3a1c001f"
#define PR_MOBILE_TELEPHONE_NUMBER              E2K_NS_MAPI_PROPTAG  "x3a1c001f"
#define PR_RADIO_TELEPHONE_NUMBER               E2K_NS_MAPI_PROPTAG  "x3a1d001f"
#define PR_CAR_TELEPHONE_NUMBER                 E2K_NS_MAPI_PROPTAG  "x3a1e001f"
#define PR_OTHER_TELEPHONE_NUMBER               E2K_NS_MAPI_PROPTAG  "x3a1f001f"
#define PR_TRANSMITTABLE_DISPLAY_NAME           E2K_NS_MAPI_PROPTAG  "x3a20001f"
#define PR_BEEPER_TELEPHONE_NUMBER              E2K_NS_MAPI_PROPTAG  "x3a21001f"
#define PR_PAGER_TELEPHONE_NUMBER               E2K_NS_MAPI_PROPTAG  "x3a21001f"
#define PR_USER_CERTIFICATE                     E2K_NS_MAPI_PROPTAG  "x3a220102"
#define PR_PRIMARY_FAX_NUMBER                   E2K_NS_MAPI_PROPTAG  "x3a23001f"
#define PR_BUSINESS_FAX_NUMBER                  E2K_NS_MAPI_PROPTAG  "x3a24001f"
#define PR_HOME_FAX_NUMBER                      E2K_NS_MAPI_PROPTAG  "x3a25001f"
#define PR_BUSINESS_ADDRESS_COUNTRY             E2K_NS_MAPI_PROPTAG  "x3a26001f"
#define PR_COUNTRY                              E2K_NS_MAPI_PROPTAG  "x3a26001f"
#define PR_BUSINESS_ADDRESS_CITY                E2K_NS_MAPI_PROPTAG  "x3a27001f"
#define PR_LOCALITY                             E2K_NS_MAPI_PROPTAG  "x3a27001f"
#define PR_BUSINESS_ADDRESS_STATE_OR_PROVINCE   E2K_NS_MAPI_PROPTAG  "x3a28001f"
#define PR_STATE_OR_PROVINCE                    E2K_NS_MAPI_PROPTAG  "x3a28001f"
#define PR_BUSINESS_ADDRESS_STREET              E2K_NS_MAPI_PROPTAG  "x3a29001f"
#define PR_STREET_ADDRESS                       E2K_NS_MAPI_PROPTAG  "x3a29001f"
#define PR_BUSINESS_ADDRESS_POSTAL_CODE         E2K_NS_MAPI_PROPTAG  "x3a2a001f"
#define PR_POSTAL_CODE                          E2K_NS_MAPI_PROPTAG  "x3a2a001f"
#define PR_BUSINESS_ADDRESS_POST_OFFICE_BOX     E2K_NS_MAPI_PROPTAG  "x3a2b001f"
#define PR_POST_OFFICE_BOX                      E2K_NS_MAPI_PROPTAG  "x3a2b001f"
#define PR_TELEX_NUMBER                         E2K_NS_MAPI_PROPTAG  "x3a2c001f"
#define PR_ISDN_NUMBER                          E2K_NS_MAPI_PROPTAG  "x3a2d001f"
#define PR_ASSISTANT_TELEPHONE_NUMBER           E2K_NS_MAPI_PROPTAG  "x3a2e001f"
#define PR_HOME2_TELEPHONE_NUMBER               E2K_NS_MAPI_PROPTAG  "x3a2f001f"
#define PR_ASSISTANT                            E2K_NS_MAPI_PROPTAG  "x3a30001f"
#define PR_SEND_RICH_INFO                       E2K_NS_MAPI_PROPTAG  "x3a40000b"
#define PR_WEDDING_ANNIVERSARY                  E2K_NS_MAPI_PROPTAG  "x3a410040"
#define PR_BIRTHDAY                             E2K_NS_MAPI_PROPTAG  "x3a420040"
#define PR_HOBBIES                              E2K_NS_MAPI_PROPTAG  "x3a43001f"
#define PR_MIDDLE_NAME                          E2K_NS_MAPI_PROPTAG  "x3a44001f"
#define PR_DISPLAY_NAME_PREFIX                  E2K_NS_MAPI_PROPTAG  "x3a45001f"
#define PR_PROFESSION                           E2K_NS_MAPI_PROPTAG  "x3a46001f"
#define PR_PREFERRED_BY_NAME                    E2K_NS_MAPI_PROPTAG  "x3a47001f"
#define PR_REFERRED_BY_NAME                     E2K_NS_MAPI_PROPTAG  "x3a47001f"
#define PR_SPOUSE_NAME                          E2K_NS_MAPI_PROPTAG  "x3a48001f"
#define PR_COMPUTER_NETWORK_NAME                E2K_NS_MAPI_PROPTAG  "x3a49001f"
#define PR_CUSTOMER_ID                          E2K_NS_MAPI_PROPTAG  "x3a4a001f"
#define PR_TTYTDD_PHONE_NUMBER                  E2K_NS_MAPI_PROPTAG  "x3a4b001f"
#define PR_FTP_SITE                             E2K_NS_MAPI_PROPTAG  "x3a4c001f"
#define PR_GENDER                               E2K_NS_MAPI_PROPTAG  "x3a4d0002"
#define PR_MANAGER_NAME                         E2K_NS_MAPI_PROPTAG  "x3a4e001f"
#define PR_NICKNAME                             E2K_NS_MAPI_PROPTAG  "x3a4f001f"
#define PR_PERSONAL_HOME_PAGE                   E2K_NS_MAPI_PROPTAG  "x3a50001f"
#define PR_BUSINESS_HOME_PAGE                   E2K_NS_MAPI_PROPTAG  "x3a51001f"
#define PR_CONTACT_VERSION                      E2K_NS_MAPI_PROPTAG  "x3a520048"
#define PR_CONTACT_ENTRYIDS                     E2K_NS_MAPI_PROPTAG  "x3a531102"
#define PR_CONTACT_ADDRTYPES                    E2K_NS_MAPI_PROPTAG  "x3a54101f"
#define PR_CONTACT_DEFAULT_ADDRESS_INDEX        E2K_NS_MAPI_PROPTAG  "x3a550003"
#define PR_CONTACT_EMAIL_ADDRESSES              E2K_NS_MAPI_PROPTAG  "x3a56101f"
#define PR_COMPANY_MAIN_PHONE_NUMBER            E2K_NS_MAPI_PROPTAG  "x3a57001f"
#define PR_CHILDRENS_NAMES                      E2K_NS_MAPI_PROPTAG  "x3a58101f"
#define PR_HOME_ADDRESS_CITY                    E2K_NS_MAPI_PROPTAG  "x3a59001f"
#define PR_HOME_ADDRESS_COUNTRY                 E2K_NS_MAPI_PROPTAG  "x3a5a001f"
#define PR_HOME_ADDRESS_POSTAL_CODE             E2K_NS_MAPI_PROPTAG  "x3a5b001f"
#define PR_HOME_ADDRESS_STATE_OR_PROVINCE       E2K_NS_MAPI_PROPTAG  "x3a5c001f"
#define PR_HOME_ADDRESS_STREET                  E2K_NS_MAPI_PROPTAG  "x3a5d001f"
#define PR_HOME_ADDRESS_POST_OFFICE_BOX         E2K_NS_MAPI_PROPTAG  "x3a5e001f"
#define PR_OTHER_ADDRESS_CITY                   E2K_NS_MAPI_PROPTAG  "x3a5f001f"
#define PR_OTHER_ADDRESS_COUNTRY                E2K_NS_MAPI_PROPTAG  "x3a60001f"
#define PR_OTHER_ADDRESS_POSTAL_CODE            E2K_NS_MAPI_PROPTAG  "x3a61001f"
#define PR_OTHER_ADDRESS_STATE_OR_PROVINCE      E2K_NS_MAPI_PROPTAG  "x3a62001f"
#define PR_OTHER_ADDRESS_STREET                 E2K_NS_MAPI_PROPTAG  "x3a63001f"
#define PR_OTHER_ADDRESS_POST_OFFICE_BOX        E2K_NS_MAPI_PROPTAG  "x3a64001f"
#define PR_USER_X509_CERTIFICATE                E2K_NS_MAPI_PROPTAG  "x3a701102"
#define PR_SEND_INTERNET_ENCODING               E2K_NS_MAPI_PROPTAG  "x3a710003"
#define PR_STORE_PROVIDERS                      E2K_NS_MAPI_PROPTAG  "x3d000102"
#define PR_AB_PROVIDERS                         E2K_NS_MAPI_PROPTAG  "x3d010102"
#define PR_TRANSPORT_PROVIDERS                  E2K_NS_MAPI_PROPTAG  "x3d020102"
#define PR_DEFAULT_PROFILE                      E2K_NS_MAPI_PROPTAG  "x3d04000b"
#define PR_AB_SEARCH_PATH                       E2K_NS_MAPI_PROPTAG  "x3d051102"
#define PR_AB_DEFAULT_DIR                       E2K_NS_MAPI_PROPTAG  "x3d060102"
#define PR_AB_DEFAULT_PAB                       E2K_NS_MAPI_PROPTAG  "x3d070102"
#define PR_FILTERING_HOOKS                      E2K_NS_MAPI_PROPTAG  "x3d080102"
#define PR_SERVICE_NAME                         E2K_NS_MAPI_PROPTAG  "x3d09001f"
#define PR_SERVICE_DLL_NAME                     E2K_NS_MAPI_PROPTAG  "x3d0a001f"
#define PR_SERVICE_ENTRY_NAME                   E2K_NS_MAPI_PROPTAG  "x3d0b001f"
#define PR_SERVICE_UID                          E2K_NS_MAPI_PROPTAG  "x3d0c0102"
#define PR_SERVICE_EXTRA_UIDS                   E2K_NS_MAPI_PROPTAG  "x3d0d0102"
#define PR_SERVICES                             E2K_NS_MAPI_PROPTAG  "x3d0e0102"
#define PR_SERVICE_SUPPORT_FILES                E2K_NS_MAPI_PROPTAG  "x3d0f101f"
#define PR_SERVICE_DELETE_FILES                 E2K_NS_MAPI_PROPTAG  "x3d10101f"
#define PR_AB_SEARCH_PATH_UPDATE                E2K_NS_MAPI_PROPTAG  "x3d110102"
#define PR_PROFILE_NAME                         E2K_NS_MAPI_PROPTAG  "x3d12001f"
#define PR_ADMIN_SECURITY_DESCRIPTOR            E2K_NS_MAPI_PROPTAG  "x3d210102"
#define PR_IDENTITY_DISPLAY                     E2K_NS_MAPI_PROPTAG  "x3e00001f"
#define PR_IDENTITY_ENTRYID                     E2K_NS_MAPI_PROPTAG  "x3e010102"
#define PR_RESOURCE_METHODS                     E2K_NS_MAPI_PROPTAG  "x3e020003"
#define PR_RESOURCE_TYPE                        E2K_NS_MAPI_PROPTAG  "x3e030003"
#define PR_STATUS_CODE                          E2K_NS_MAPI_PROPTAG  "x3e040003"
#define PR_IDENTITY_SEARCH_KEY                  E2K_NS_MAPI_PROPTAG  "x3e050102"
#define PR_OWN_STORE_ENTRYID                    E2K_NS_MAPI_PROPTAG  "x3e060102"
#define PR_RESOURCE_PATH                        E2K_NS_MAPI_PROPTAG  "x3e07001f"
#define PR_STATUS_STRING                        E2K_NS_MAPI_PROPTAG  "x3e08001f"
#define PR_X400_DEFERRED_DELIVERY_CANCEL        E2K_NS_MAPI_PROPTAG  "x3e09000b"
#define PR_HEADER_FOLDER_ENTRYID                E2K_NS_MAPI_PROPTAG  "x3e0a0102"
#define PR_REMOTE_PROGRESS                      E2K_NS_MAPI_PROPTAG  "x3e0b0003"
#define PR_REMOTE_PROGRESS_TEXT                 E2K_NS_MAPI_PROPTAG  "x3e0c001f"
#define PR_REMOTE_VALIDATE_OK                   E2K_NS_MAPI_PROPTAG  "x3e0d000b"
#define PR_CONTROL_FLAGS                        E2K_NS_MAPI_PROPTAG  "x3f000003"
#define PR_CONTROL_STRUCTURE                    E2K_NS_MAPI_PROPTAG  "x3f010102"
#define PR_CONTROL_TYPE                         E2K_NS_MAPI_PROPTAG  "x3f020003"
#define PR_DELTAX                               E2K_NS_MAPI_PROPTAG  "x3f030003"
#define PR_DELTAY                               E2K_NS_MAPI_PROPTAG  "x3f040003"
#define PR_XPOS                                 E2K_NS_MAPI_PROPTAG  "x3f050003"
#define PR_YPOS                                 E2K_NS_MAPI_PROPTAG  "x3f060003"
#define PR_CONTROL_ID                           E2K_NS_MAPI_PROPTAG  "x3f070102"
#define PR_INITIAL_DETAILS_PANE                 E2K_NS_MAPI_PROPTAG  "x3f080003"
#define PR_DID                                  E2K_NS_MAPI_PROPTAG  "x3f800014"
#define PR_SEQID                                E2K_NS_MAPI_PROPTAG  "x3f810014"
#define PR_DRAFTID                              E2K_NS_MAPI_PROPTAG  "x3f820014"
#define PR_CHECK_IN_TIME                        E2K_NS_MAPI_PROPTAG  "x3f830040"
#define PR_CHECK_IN_COMMENT                     E2K_NS_MAPI_PROPTAG  "x3f84001f"
#define PR_VERSION_OP_CODE                      E2K_NS_MAPI_PROPTAG  "x3f850003"
#define PR_VERSION_OP_DATA                      E2K_NS_MAPI_PROPTAG  "x3f860102"
#define PR_VERSION_SEQUENCE_NUMBER              E2K_NS_MAPI_PROPTAG  "x3f870003"
#define PR_ATTACH_ID                            E2K_NS_MAPI_PROPTAG  "x3f880014"
#define PR_PKM_DOC_STATUS                       E2K_NS_MAPI_PROPTAG  "x3f8d001f"
#define PR_MV_PKM_OPERATION_REQ                 E2K_NS_MAPI_PROPTAG  "x3f8e101f"
#define PR_PKM_DOC_INTERNAL_STATE               E2K_NS_MAPI_PROPTAG  "x3f8f001f"
#define PR_VERSIONING_FLAGS                     E2K_NS_MAPI_PROPTAG  "x3f900002"
#define PR_PKM_LAST_UNAPPROVED_VID              E2K_NS_MAPI_PROPTAG  "x3f910102"
#define PR_MV_PKM_VERSION_LABELS                E2K_NS_MAPI_PROPTAG  "x3f92101f"
#define PR_MV_PKM_VERSION_STATUS                E2K_NS_MAPI_PROPTAG  "x3f93101f"
#define PR_PKM_INTERNAL_DATA                    E2K_NS_MAPI_PROPTAG  "x3f940102"
#define PR_LAST_CONFLICT                        E2K_NS_MAPI_PROPTAG  "x3fc90102"
#define PR_CONFLICT_MSG_KEY                     E2K_NS_MAPI_PROPTAG  "x3fca0102"
#define PR_REPL_HEADER                          E2K_NS_MAPI_PROPTAG  "x3fd00102"
#define PR_REPL_STATUS                          E2K_NS_MAPI_PROPTAG  "x3fd10102"
#define PR_REPL_CHANGES                         E2K_NS_MAPI_PROPTAG  "x3fd20102"
#define PR_REPL_RGM                             E2K_NS_MAPI_PROPTAG  "x3fd30102"
#define PR_RMI                                  E2K_NS_MAPI_PROPTAG  "x3fd40102"
#define PR_INTERNAL_POST_REPLY                  E2K_NS_MAPI_PROPTAG  "x3fd50102"
#define PR_NTSD_MODIFICATION_TIME               E2K_NS_MAPI_PROPTAG  "x3fd60040"
#define PR_PREVIEW_UNREAD                       E2K_NS_MAPI_PROPTAG  "x3fd8001f"
#define PR_PREVIEW                              E2K_NS_MAPI_PROPTAG  "x3fd9001f"
#define PR_ABSTRACT                             E2K_NS_MAPI_PROPTAG  "x3fda001f"
#define PR_DL_REPORT_FLAGS                      E2K_NS_MAPI_PROPTAG  "x3fdb0003"
#define PR_BILATERAL_INFO                       E2K_NS_MAPI_PROPTAG  "x3fdc0102"
#define PR_MSG_BODY_ID                          E2K_NS_MAPI_PROPTAG  "x3fdd0003"
#define PR_INTERNET_CPID                        E2K_NS_MAPI_PROPTAG  "x3fde0003"
#define PR_AUTO_RESPONSE_SUPPRESS               E2K_NS_MAPI_PROPTAG  "x3fdf0003"
#define PR_ACL_TABLE                            E2K_NS_MAPI_PROPTAG  "x3fe0000d"
#define PR_ACL_DATA                             E2K_NS_MAPI_PROPTAG  "x3fe00102"
#define PR_RULES_TABLE                          E2K_NS_MAPI_PROPTAG  "x3fe1000d"
#define PR_RULES_DATA                           E2K_NS_MAPI_PROPTAG  "x3fe10102"
#define PR_FOLDER_DESIGN_FLAGS                  E2K_NS_MAPI_PROPTAG  "x3fe20003"
#define PR_DELEGATED_BY_RULE                    E2K_NS_MAPI_PROPTAG  "x3fe3000b"
#define PR_DESIGN_IN_PROGRESS                   E2K_NS_MAPI_PROPTAG  "x3fe4000b"
#define PR_SECURE_ORIGINATION                   E2K_NS_MAPI_PROPTAG  "x3fe5000b"
#define PR_PUBLISH_IN_ADDRESS_BOOK              E2K_NS_MAPI_PROPTAG  "x3fe6000b"
#define PR_RESOLVE_METHOD                       E2K_NS_MAPI_PROPTAG  "x3fe70003"
#define PR_ADDRESS_BOOK_DISPLAY_NAME            E2K_NS_MAPI_PROPTAG  "x3fe8001f"
#define PR_EFORMS_LOCALE_ID                     E2K_NS_MAPI_PROPTAG  "x3fe90003"
#define PR_HAS_DAMS                             E2K_NS_MAPI_PROPTAG  "x3fea000b"
#define PR_DEFERRED_SEND_NUMBER                 E2K_NS_MAPI_PROPTAG  "x3feb0003"
#define PR_DEFERRED_SEND_UNITS                  E2K_NS_MAPI_PROPTAG  "x3fec0003"
#define PR_EXPIRY_NUMBER                        E2K_NS_MAPI_PROPTAG  "x3fed0003"
#define PR_EXPIRY_UNITS                         E2K_NS_MAPI_PROPTAG  "x3fee0003"
#define PR_DEFERRED_SEND_TIME                   E2K_NS_MAPI_PROPTAG  "x3fef0040"
#define PR_CONFLICT_ENTRYID                     E2K_NS_MAPI_PROPTAG  "x3ff00102"
#define PR_MESSAGE_LOCALE_ID                    E2K_NS_MAPI_PROPTAG  "x3ff10003"
#define PR_RULE_TRIGGER_HISTORY                 E2K_NS_MAPI_PROPTAG  "x3ff20102"
#define PR_MOVE_TO_STORE_ENTRYID                E2K_NS_MAPI_PROPTAG  "x3ff30102"
#define PR_MOVE_TO_FOLDER_ENTRYID               E2K_NS_MAPI_PROPTAG  "x3ff40102"
#define PR_STORAGE_QUOTA_LIMIT                  E2K_NS_MAPI_PROPTAG  "x3ff50003"
#define PR_EXCESS_STORAGE_USED                  E2K_NS_MAPI_PROPTAG  "x3ff60003"
#define PR_SVR_GENERATING_QUOTA_MSG             E2K_NS_MAPI_PROPTAG  "x3ff7001f"
#define PR_CREATOR_NAME                         E2K_NS_MAPI_PROPTAG  "x3ff8001f"
#define PR_CREATOR_ENTRYID                      E2K_NS_MAPI_PROPTAG  "x3ff90102"
#define PR_LAST_MODIFIER_NAME                   E2K_NS_MAPI_PROPTAG  "x3ffa001f"
#define PR_LAST_MODIFIER_ENTRYID                E2K_NS_MAPI_PROPTAG  "x3ffb0102"
#define PR_REPLY_RECIPIENT_SMTP_PROXIES         E2K_NS_MAPI_PROPTAG  "x3ffc001f"
#define PR_MESSAGE_CODEPAGE                     E2K_NS_MAPI_PROPTAG  "x3ffd0003"
#define PR_EXTENDED_ACL_DATA                    E2K_NS_MAPI_PROPTAG  "x3ffe0102"
#define PR_FROM_I_HAVE                          E2K_NS_MAPI_PROPTAG  "x3fff000b"
#define PR_NEW_ATTACH                           E2K_NS_MAPI_PROPTAG  "x40000003"
#define PR_START_EMBED                          E2K_NS_MAPI_PROPTAG  "x40010003"
#define PR_END_EMBED                            E2K_NS_MAPI_PROPTAG  "x40020003"
#define PR_START_RECIP                          E2K_NS_MAPI_PROPTAG  "x40030003"
#define PR_END_RECIP                            E2K_NS_MAPI_PROPTAG  "x40040003"
#define PR_END_CC_RECIP                         E2K_NS_MAPI_PROPTAG  "x40050003"
#define PR_END_BCC_RECIP                        E2K_NS_MAPI_PROPTAG  "x40060003"
#define PR_END_P1_RECIP                         E2K_NS_MAPI_PROPTAG  "x40070003"
#define PR_START_TOP_FLD                        E2K_NS_MAPI_PROPTAG  "x40090003"
#define PR_START_SUB_FLD                        E2K_NS_MAPI_PROPTAG  "x400a0003"
#define PR_END_FOLDER                           E2K_NS_MAPI_PROPTAG  "x400b0003"
#define PR_START_MESSAGE                        E2K_NS_MAPI_PROPTAG  "x400c0003"
#define PR_END_MESSAGE                          E2K_NS_MAPI_PROPTAG  "x400d0003"
#define PR_END_ATTACH                           E2K_NS_MAPI_PROPTAG  "x400e0003"
#define PR_EC_WARNING                           E2K_NS_MAPI_PROPTAG  "x400f0003"
#define PR_START_FAI_MSG                        E2K_NS_MAPI_PROPTAG  "x40100003"
#define PR_NEW_FX_FOLDER                        E2K_NS_MAPI_PROPTAG  "x40110102"
#define PR_INCR_SYNC_CHG                        E2K_NS_MAPI_PROPTAG  "x40120003"
#define PR_INCR_SYNC_DEL                        E2K_NS_MAPI_PROPTAG  "x40130003"
#define PR_INCR_SYNC_END                        E2K_NS_MAPI_PROPTAG  "x40140003"
#define PR_INCR_SYNC_MSG                        E2K_NS_MAPI_PROPTAG  "x40150003"
#define PR_FX_DEL_PROP                          E2K_NS_MAPI_PROPTAG  "x40160003"
#define PR_IDSET_GIVEN                          E2K_NS_MAPI_PROPTAG  "x40170003"
#define PR_SENDER_FLAGS                         E2K_NS_MAPI_PROPTAG  "x40190003"
#define PR_SENT_REPRESENTING_FLAGS              E2K_NS_MAPI_PROPTAG  "x401a0003"
#define PR_RCVD_BY_FLAGS                        E2K_NS_MAPI_PROPTAG  "x401b0003"
#define PR_RCVD_REPRESENTING_FLAGS              E2K_NS_MAPI_PROPTAG  "x401c0003"
#define PR_ORIGINAL_SENDER_FLAGS                E2K_NS_MAPI_PROPTAG  "x401d0003"
#define PR_ORIGINAL_SENT_REPRESENTING_FLAGS     E2K_NS_MAPI_PROPTAG  "x401e0003"
#define PR_REPORT_FLAGS                         E2K_NS_MAPI_PROPTAG  "x401f0003"
#define PR_READ_RECEIPT_FLAGS                   E2K_NS_MAPI_PROPTAG  "x40200003"
#define PR_SOFT_DELETES                         E2K_NS_MAPI_PROPTAG  "x4021000b"
#define PR_MESSAGE_SUBMISSION_ID_FROM_CLIENT    E2K_NS_MAPI_PROPTAG  "x402c0102"
#define PR_SENDER_SIMPLE_DISP_NAME              E2K_NS_MAPI_PROPTAG  "x4030001f"
#define PR_SENT_REPRESENTING_SIMPLE_DISP_NAME   E2K_NS_MAPI_PROPTAG  "x4031001f"
#define PR_CREATOR_SIMPLE_DISP_NAME             E2K_NS_MAPI_PROPTAG  "x4038001f"
#define PR_ORG_ADDR_TYPE                        E2K_NS_MAPI_PROPTAG  "x403d001f"
#define PR_ORG_EMAIL_ADDR                       E2K_NS_MAPI_PROPTAG  "x403e001f"
#define PR_CREATOR_FLAGS                        E2K_NS_MAPI_PROPTAG  "x40590003"
#define PR_MODIFIER_FLAGS                       E2K_NS_MAPI_PROPTAG  "x405a0003"
#define PR_ORIGINATOR_FLAGS                     E2K_NS_MAPI_PROPTAG  "x405b0003"
#define PR_REPORT_DESTINATION_FLAGS             E2K_NS_MAPI_PROPTAG  "x405c0003"
#define PR_ORIGINAL_AUTHOR_FLAGS                E2K_NS_MAPI_PROPTAG  "x405d0003"
#define PR_ORIGINATOR_SEARCH_KEY                E2K_NS_MAPI_PROPTAG  "x40610102"
#define PR_REPORT_DESTINATION_SEARCH_KEY        E2K_NS_MAPI_PROPTAG  "x40640102"
#define PR_ER_FLAG                              E2K_NS_MAPI_PROPTAG  "x40650003"
#define PR_INTERNET_SUBJECT                     E2K_NS_MAPI_PROPTAG  "x40680102"
#define PR_INTERNET_SENT_REPRESENTING_NAME      E2K_NS_MAPI_PROPTAG  "x40690102"
#define PR_INET_MAIL_OVERRIDE_FORMAT            E2K_NS_MAPI_PROPTAG  "x59020003"
#define PR_MSG_EDITOR_FORMAT                    E2K_NS_MAPI_PROPTAG  "x59090003"
#define PR_DOTSTUFF_STATE                       E2K_NS_MAPI_PROPTAG  "x60010003"
#define PR_RULE_SERVER_RULE_ID                  E2K_NS_MAPI_PROPTAG  "x65a00014"
#define PR_REPLY_TEMPLATE_ID                    E2K_NS_MAPI_PROPTAG  "x65c20102"
#define PR_SOURCE_KEY                           E2K_NS_MAPI_PROPTAG  "x65e00102"
#define PR_PARENT_SOURCE_KEY                    E2K_NS_MAPI_PROPTAG  "x65e10102"
#define PR_CHANGE_KEY                           E2K_NS_MAPI_PROPTAG  "x65e20102"
#define PR_PREDECESSOR_CHANGE_LIST              E2K_NS_MAPI_PROPTAG  "x65e30102"
#define PR_SYNCHRONIZE_FLAGS                    E2K_NS_MAPI_PROPTAG  "x65e40003"
#define PR_AUTO_ADD_NEW_SUBS                    E2K_NS_MAPI_PROPTAG  "x65e5000b"
#define PR_NEW_SUBS_GET_AUTO_ADD                E2K_NS_MAPI_PROPTAG  "x65e6000b"
#define PR_MESSAGE_SITE_NAME                    E2K_NS_MAPI_PROPTAG  "x65e7001f"
#define PR_MESSAGE_PROCESSED                    E2K_NS_MAPI_PROPTAG  "x65e8000b"
#define PR_RULE_MSG_STATE                       E2K_NS_MAPI_PROPTAG  "x65e90003"
#define PR_RULE_MSG_USER_FLAGS                  E2K_NS_MAPI_PROPTAG  "x65ea0003"
#define PR_RULE_MSG_PROVIDER                    E2K_NS_MAPI_PROPTAG  "x65eb001f"
#define PR_RULE_MSG_NAME                        E2K_NS_MAPI_PROPTAG  "x65ec001f"
#define PR_RULE_MSG_LEVEL                       E2K_NS_MAPI_PROPTAG  "x65ed0003"
#define PR_RULE_MSG_PROVIDER_DATA               E2K_NS_MAPI_PROPTAG  "x65ee0102"
#define PR_RULE_MSG_ACTIONS                     E2K_NS_MAPI_PROPTAG  "x65ef0102"
#define PR_RULE_MSG_CONDITION                   E2K_NS_MAPI_PROPTAG  "x65f00102"
#define PR_RULE_MSG_CONDITION_LCID              E2K_NS_MAPI_PROPTAG  "x65f10003"
#define PR_RULE_MSG_VERSION                     E2K_NS_MAPI_PROPTAG  "x65f20002"
#define PR_RULE_MSG_SEQUENCE                    E2K_NS_MAPI_PROPTAG  "x65f30003"
#define PR_PREVENT_MSG_CREATE                   E2K_NS_MAPI_PROPTAG  "x65f4000b"
#define PR_IMAP_INTERNAL_DATE                   E2K_NS_MAPI_PROPTAG  "x65f50040"
#define PR_PROFILE_VERSION                      E2K_NS_MAPI_PROPTAG  "x66000003"
#define PR_PROFILE_CONFIG_FLAGS                 E2K_NS_MAPI_PROPTAG  "x66010003"
#define PR_PROFILE_HOME_SERVER                  E2K_NS_MAPI_PROPTAG  "x6602001f"
#define PR_PROFILE_USER                         E2K_NS_MAPI_PROPTAG  "x6603001f"
#define PR_PROFILE_CONNECT_FLAGS                E2K_NS_MAPI_PROPTAG  "x66040003"
#define PR_PROFILE_TRANSPORT_FLAGS              E2K_NS_MAPI_PROPTAG  "x66050003"
#define PR_PROFILE_UI_STATE                     E2K_NS_MAPI_PROPTAG  "x66060003"
#define PR_PROFILE_UNRESOLVED_NAME              E2K_NS_MAPI_PROPTAG  "x6607001f"
#define PR_PROFILE_UNRESOLVED_SERVER            E2K_NS_MAPI_PROPTAG  "x6608001f"
#define PR_PROFILE_OPEN_FLAGS                   E2K_NS_MAPI_PROPTAG  "x66090003"
#define PR_PROFILE_BINDING_ORDER                E2K_NS_MAPI_PROPTAG  "x6609001f"
#define PR_PROFILE_TYPE                         E2K_NS_MAPI_PROPTAG  "x660a0003"
#define PR_PROFILE_MAILBOX                      E2K_NS_MAPI_PROPTAG  "x660b001f"
#define PR_PROFILE_SERVER                       E2K_NS_MAPI_PROPTAG  "x660c001f"
#define PR_PROFILE_MAX_RESTRICT                 E2K_NS_MAPI_PROPTAG  "x660d0003"
#define PR_PROFILE_AB_FILES_PATH                E2K_NS_MAPI_PROPTAG  "x660e001f"
#define PR_PROFILE_FAVFLD_DISPLAY_NAME          E2K_NS_MAPI_PROPTAG  "x660f001f"
#define PR_PROFILE_OFFLINE_STORE_PATH           E2K_NS_MAPI_PROPTAG  "x6610001f"
#define PR_PROFILE_OFFLINE_INFO                 E2K_NS_MAPI_PROPTAG  "x66110102"
#define PR_PROFILE_HOME_SERVER_DN               E2K_NS_MAPI_PROPTAG  "x6612001f"
#define PR_PROFILE_HOME_SERVER_ADDRS            E2K_NS_MAPI_PROPTAG  "x6613101f"
#define PR_PROFILE_SERVER_DN                    E2K_NS_MAPI_PROPTAG  "x6614001f"
#define PR_PROFILE_FAVFLD_COMMENT               E2K_NS_MAPI_PROPTAG  "x6615001f"
#define PR_PROFILE_ALLPUB_DISPLAY_NAME          E2K_NS_MAPI_PROPTAG  "x6616001f"
#define PR_PROFILE_ALLPUB_COMMENT               E2K_NS_MAPI_PROPTAG  "x6617001f"
#define PR_DISABLE_WINSOCK                      E2K_NS_MAPI_PROPTAG  "x66180003"
#define PR_IN_TRANSIT                           E2K_NS_MAPI_PROPTAG  "x6618000b"
#define PR_PROFILE_AUTH_PACKAGE                 E2K_NS_MAPI_PROPTAG  "x66190003"
#define PR_USER_ENTRYID                         E2K_NS_MAPI_PROPTAG  "x66190102"
#define PR_USER_NAME                            E2K_NS_MAPI_PROPTAG  "x661a001f"
#define PR_MAILBOX_OWNER_ENTRYID                E2K_NS_MAPI_PROPTAG  "x661b0102"
#define PR_MAILBOX_OWNER_NAME                   E2K_NS_MAPI_PROPTAG  "x661c001f"
#define PR_OOF_STATE                            E2K_NS_MAPI_PROPTAG  "x661d000b"
#define PR_SCHEDULE_FOLDER_ENTRYID              E2K_NS_MAPI_PROPTAG  "x661e0102"
#define PR_IPM_DAF_ENTRYID                      E2K_NS_MAPI_PROPTAG  "x661f0102"
#define PR_NON_IPM_SUBTREE_ENTRYID              E2K_NS_MAPI_PROPTAG  "x66200102"
#define PR_EFORMS_REGISTRY_ENTRYID              E2K_NS_MAPI_PROPTAG  "x66210102"
#define PR_SPLUS_FREE_BUSY_ENTRYID              E2K_NS_MAPI_PROPTAG  "x66220102"
#define PR_HIERARCHY_SERVER                     E2K_NS_MAPI_PROPTAG  "x6623001f"
#define PR_OFFLINE_ADDRBOOK_ENTRYID             E2K_NS_MAPI_PROPTAG  "x66230102"
#define PR_EFORMS_FOR_LOCALE_ENTRYID            E2K_NS_MAPI_PROPTAG  "x66240102"
#define PR_FREE_BUSY_FOR_LOCAL_SITE_ENTRYID     E2K_NS_MAPI_PROPTAG  "x66250102"
#define PR_ADDRBOOK_FOR_LOCAL_SITE_ENTRYID      E2K_NS_MAPI_PROPTAG  "x66260102"
#define PR_OFFLINE_MESSAGE_ENTRYID              E2K_NS_MAPI_PROPTAG  "x66270102"
#define PR_GW_MTSIN_ENTRYID                     E2K_NS_MAPI_PROPTAG  "x66280102"
#define PR_GW_MTSOUT_ENTRYID                    E2K_NS_MAPI_PROPTAG  "x66290102"
#define PR_TRANSFER_ENABLED                     E2K_NS_MAPI_PROPTAG  "x662a000b"
#define PR_TEST_LINE_SPEED                      E2K_NS_MAPI_PROPTAG  "x662b0102"
#define PR_HIERARCHY_SYNCHRONIZER               E2K_NS_MAPI_PROPTAG  "x662c000d"
#define PR_CONTENTS_SYNCHRONIZER                E2K_NS_MAPI_PROPTAG  "x662d000d"
#define PR_COLLECTOR                            E2K_NS_MAPI_PROPTAG  "x662e000d"
#define PR_FAST_TRANSFER                        E2K_NS_MAPI_PROPTAG  "x662f000d"
#define PR_IPM_FAVORITES_ENTRYID                E2K_NS_MAPI_PROPTAG  "x66300102"
#define PR_IPM_PUBLIC_FOLDERS_ENTRYID           E2K_NS_MAPI_PROPTAG  "x66310102"
#define PR_STORE_OFFLINE                        E2K_NS_MAPI_PROPTAG  "x6632000b"
#define PR_CHANGE_ADVISOR                       E2K_NS_MAPI_PROPTAG  "x6634000d"
#define PR_FAVORITES_DEFAULT_NAME               E2K_NS_MAPI_PROPTAG  "x6635001f"
#define PR_SYS_CONFIG_FOLDER_ENTRYID            E2K_NS_MAPI_PROPTAG  "x66360102"
#define PR_CHANGE_NOTIFICATION_GUID             E2K_NS_MAPI_PROPTAG  "x66370048"
#define PR_FOLDER_CHILD_COUNT                   E2K_NS_MAPI_PROPTAG  "x66380003"
#define PR_RIGHTS                               E2K_NS_MAPI_PROPTAG  "x66390003"
#define PR_HAS_RULES                            E2K_NS_MAPI_PROPTAG  "x663a000b"
#define PR_ADDRESS_BOOK_ENTRYID                 E2K_NS_MAPI_PROPTAG  "x663b0102"
#define PR_PUBLIC_FOLDER_ENTRYID                E2K_NS_MAPI_PROPTAG  "x663c0102"
#define PR_OFFLINE_FLAGS                        E2K_NS_MAPI_PROPTAG  "x663d0003"
#define PR_HIERARCHY_CHANGE_NUM                 E2K_NS_MAPI_PROPTAG  "x663e0003"
#define PR_HAS_MODERATOR_RULES                  E2K_NS_MAPI_PROPTAG  "x663f000b"
#define PR_DELETED_MSG_COUNT                    E2K_NS_MAPI_PROPTAG  "x66400003"
#define PR_DELETED_FOLDER_COUNT                 E2K_NS_MAPI_PROPTAG  "x66410003"
#define PR_OLDEST_DELETED_ON                    E2K_NS_MAPI_PROPTAG  "x66420040"
#define PR_DELETED_ASSOC_MSG_COUNT              E2K_NS_MAPI_PROPTAG  "x66430003"
#define PR_REPLICA_SERVER                       E2K_NS_MAPI_PROPTAG  "x6644001f"
#define PR_CLIENT_ACTIONS                       E2K_NS_MAPI_PROPTAG  "x66450102"
#define PR_DAM_ORIGINAL_ENTRYID                 E2K_NS_MAPI_PROPTAG  "x66460102"
#define PR_DAM_BACK_PATCHED                     E2K_NS_MAPI_PROPTAG  "x6647000b"
#define PR_RULE_ERROR                           E2K_NS_MAPI_PROPTAG  "x66480003"
#define PR_RULE_ACTION_TYPE                     E2K_NS_MAPI_PROPTAG  "x66490003"
#define PR_HAS_NAMED_PROPERTIES                 E2K_NS_MAPI_PROPTAG  "x664a000b"
#define PR_REPLICA_VERSION                      E2K_NS_MAPI_PROPTAG  "x664b0014"
#define PR_RULE_ACTION_NUMBER                   E2K_NS_MAPI_PROPTAG  "x66500003"
#define PR_RULE_FOLDER_ENTRYID                  E2K_NS_MAPI_PROPTAG  "x66510102"
#define PR_ACTIVE_USER_ENTRYID                  E2K_NS_MAPI_PROPTAG  "x66520102"
#define PR_X400_ENVELOPE_TYPE                   E2K_NS_MAPI_PROPTAG  "x66530003"
#define PR_MSG_FOLD_TIME                        E2K_NS_MAPI_PROPTAG  "x66540040"
#define PR_ICS_CHANGE_KEY                       E2K_NS_MAPI_PROPTAG  "x66550102"
#define PR_GW_ADMIN_OPERATIONS                  E2K_NS_MAPI_PROPTAG  "x66580003"
#define PR_INTERNET_CONTENT                     E2K_NS_MAPI_PROPTAG  "x66590102"
#define PR_HAS_ATTACH_FROM_IMAIL                E2K_NS_MAPI_PROPTAG  "x665a000b"
#define PR_ORIGINATOR_NAME                      E2K_NS_MAPI_PROPTAG  "x665b001f"
#define PR_ORIGINATOR_ADDR                      E2K_NS_MAPI_PROPTAG  "x665c001f"
#define PR_ORIGINATOR_ADDRTYPE                  E2K_NS_MAPI_PROPTAG  "x665d001f"
#define PR_ORIGINATOR_ENTRYID                   E2K_NS_MAPI_PROPTAG  "x665e0102"
#define PR_ARRIVAL_TIME                         E2K_NS_MAPI_PROPTAG  "x665f0040"
#define PR_TRACE_INFO                           E2K_NS_MAPI_PROPTAG  "x66600102"
#define PR_SUBJECT_TRACE_INFO                   E2K_NS_MAPI_PROPTAG  "x66610102"
#define PR_RECIPIENT_NUMBER                     E2K_NS_MAPI_PROPTAG  "x66620003"
#define PR_MTS_SUBJECT_ID                       E2K_NS_MAPI_PROPTAG  "x66630102"
#define PR_REPORT_DESTINATION_NAME              E2K_NS_MAPI_PROPTAG  "x6664001f"
#define PR_REPORT_DESTINATION_ENTRYID           E2K_NS_MAPI_PROPTAG  "x66650102"
#define PR_CONTENT_SEARCH_KEY                   E2K_NS_MAPI_PROPTAG  "x66660102"
#define PR_FOREIGN_ID                           E2K_NS_MAPI_PROPTAG  "x66670102"
#define PR_FOREIGN_REPORT_ID                    E2K_NS_MAPI_PROPTAG  "x66680102"
#define PR_FOREIGN_SUBJECT_ID                   E2K_NS_MAPI_PROPTAG  "x66690102"
#define PR_INTERNAL_TRACE_INFO                  E2K_NS_MAPI_PROPTAG  "x666a0102"
#define PR_PROMOTE_PROP_ID_LIST                 E2K_NS_MAPI_PROPTAG  "x666a0102"
#define PR_IN_CONFLICT                          E2K_NS_MAPI_PROPTAG  "x666c000b"
#define PR_LONGTERM_ENTRYID_FROM_TABLE          E2K_NS_MAPI_PROPTAG  "x66700102"
#define PR_MEMBER_ID                            E2K_NS_MAPI_PROPTAG  "x66710014"
#define PR_MEMBER_NAME                          E2K_NS_MAPI_PROPTAG  "x6672001f"
#define PR_MEMBER_RIGHTS                        E2K_NS_MAPI_PROPTAG  "x66730003"
#define PR_RULE_ID                              E2K_NS_MAPI_PROPTAG  "x66740014"
#define PR_RULE_IDS                             E2K_NS_MAPI_PROPTAG  "x66750102"
#define PR_RULE_SEQUENCE                        E2K_NS_MAPI_PROPTAG  "x66760003"
#define PR_RULE_STATE                           E2K_NS_MAPI_PROPTAG  "x66770003"
#define PR_RULE_USER_FLAGS                      E2K_NS_MAPI_PROPTAG  "x66780003"
#define PR_RULE_CONDITION                       E2K_NS_MAPI_PROPTAG  "x667900fd"
#define PR_PROFILE_MOAB                         E2K_NS_MAPI_PROPTAG  "x667b001f"
#define PR_PROFILE_MOAB_GUID                    E2K_NS_MAPI_PROPTAG  "x667c001f"
#define PR_PROFILE_MOAB_SEQ                     E2K_NS_MAPI_PROPTAG  "x667d0003"
#define PR_IMPLIED_RESTRICTIONS                 E2K_NS_MAPI_PROPTAG  "x667f1102"
#define PR_RULE_ACTIONS                         E2K_NS_MAPI_PROPTAG  "x668000fe"
#define PR_RULE_PROVIDER                        E2K_NS_MAPI_PROPTAG  "x6681001f"
#define PR_RULE_NAME                            E2K_NS_MAPI_PROPTAG  "x6682001f"
#define PR_RULE_LEVEL                           E2K_NS_MAPI_PROPTAG  "x66830003"
#define PR_RULE_PROVIDER_DATA                   E2K_NS_MAPI_PROPTAG  "x66840102"
#define PR_LAST_FULL_BACKUP                     E2K_NS_MAPI_PROPTAG  "x66850040"
#define PR_PROFILE_ADDR_INFO                    E2K_NS_MAPI_PROPTAG  "x66870102"
#define PR_PROFILE_OPTIONS_DATA                 E2K_NS_MAPI_PROPTAG  "x66890102"
#define PR_EVENTS_ROOT_FOLDER_ENTRYID           E2K_NS_MAPI_PROPTAG  "x668a0102"
#define PR_NNTP_ARTICLE_FOLDER_ENTRYID          E2K_NS_MAPI_PROPTAG  "x668a0102"
#define PR_NNTP_CONTROL_FOLDER_ENTRYID          E2K_NS_MAPI_PROPTAG  "x668b0102"
#define PR_NEWSGROUP_ROOT_FOLDER_ENTRYID        E2K_NS_MAPI_PROPTAG  "x668c0102"
#define PR_INBOUND_NEWSFEED_DN                  E2K_NS_MAPI_PROPTAG  "x668d001f"
#define PR_OUTBOUND_NEWSFEED_DN                 E2K_NS_MAPI_PROPTAG  "x668e001f"
#define PR_DELETED_ON                           E2K_NS_MAPI_PROPTAG  "x668f0040"
#define PR_REPLICATION_STYLE                    E2K_NS_MAPI_PROPTAG  "x66900003"
#define PR_REPLICATION_SCHEDULE                 E2K_NS_MAPI_PROPTAG  "x66910102"
#define PR_REPLICATION_MESSAGE_PRIORITY         E2K_NS_MAPI_PROPTAG  "x66920003"
#define PR_OVERALL_MSG_AGE_LIMIT                E2K_NS_MAPI_PROPTAG  "x66930003"
#define PR_REPLICATION_ALWAYS_INTERVAL          E2K_NS_MAPI_PROPTAG  "x66940003"
#define PR_REPLICATION_MSG_SIZE                 E2K_NS_MAPI_PROPTAG  "x66950003"
#define PR_IS_NEWSGROUP_ANCHOR                  E2K_NS_MAPI_PROPTAG  "x6696000b"
#define PR_IS_NEWSGROUP                         E2K_NS_MAPI_PROPTAG  "x6697000b"
#define PR_REPLICA_LIST                         E2K_NS_MAPI_PROPTAG  "x66980102"
#define PR_OVERALL_AGE_LIMIT                    E2K_NS_MAPI_PROPTAG  "x66990003"
#define PR_INTERNET_CHARSET                     E2K_NS_MAPI_PROPTAG  "x669a001f"
#define PR_DELETED_MESSAGE_SIZE_EXTENDED        E2K_NS_MAPI_PROPTAG  "x669b0014"
#define PR_DELETED_NORMAL_MESSAGE_SIZE_EXTENDED E2K_NS_MAPI_PROPTAG  "x669c0014"
#define PR_DELETED_ASSOC_MESSAGE_SIZE_EXTENDED  E2K_NS_MAPI_PROPTAG  "x669d0014"
#define PR_SECURE_IN_SITE                       E2K_NS_MAPI_PROPTAG  "x669e000b"
#define PR_NT_USER_NAME                         E2K_NS_MAPI_PROPTAG  "x66a0001f"
#define PR_LOCALE_ID                            E2K_NS_MAPI_PROPTAG  "x66a10003"
#define PR_LAST_LOGON_TIME                      E2K_NS_MAPI_PROPTAG  "x66a20040"
#define PR_LAST_LOGOFF_TIME                     E2K_NS_MAPI_PROPTAG  "x66a30040"
#define PR_STORAGE_LIMIT_INFORMATION            E2K_NS_MAPI_PROPTAG  "x66a40003"
#define PR_NEWSGROUP_COMPONENT                  E2K_NS_MAPI_PROPTAG  "x66a5001f"
#define PR_NEWSFEED_INFO                        E2K_NS_MAPI_PROPTAG  "x66a60102"
#define PR_INTERNET_NEWSGROUP_NAME              E2K_NS_MAPI_PROPTAG  "x66a7001f"
#define PR_FOLDER_FLAGS                         E2K_NS_MAPI_PROPTAG  "x66a80003"
#define PR_LAST_ACCESS_TIME                     E2K_NS_MAPI_PROPTAG  "x66a90040"
#define PR_RESTRICTION_COUNT                    E2K_NS_MAPI_PROPTAG  "x66aa0003"
#define PR_CATEG_COUNT                          E2K_NS_MAPI_PROPTAG  "x66ab0003"
#define PR_CACHED_COLUMN_COUNT                  E2K_NS_MAPI_PROPTAG  "x66ac0003"
#define PR_NORMAL_MSG_W_ATTACH_COUNT            E2K_NS_MAPI_PROPTAG  "x66ad0003"
#define PR_ASSOC_MSG_W_ATTACH_COUNT             E2K_NS_MAPI_PROPTAG  "x66ae0003"
#define PR_RECIPIENT_ON_NORMAL_MSG_COUNT        E2K_NS_MAPI_PROPTAG  "x66af0003"
#define PR_RECIPIENT_ON_ASSOC_MSG_COUNT         E2K_NS_MAPI_PROPTAG  "x66b00003"
#define PR_ATTACH_ON_NORMAL_MSG_COUNT           E2K_NS_MAPI_PROPTAG  "x66b10003"
#define PR_ATTACH_ON_ASSOC_MSG_COUNT            E2K_NS_MAPI_PROPTAG  "x66b20003"
#define PR_NORMAL_MESSAGE_SIZE                  E2K_NS_MAPI_PROPTAG  "x66b30003"
#define PR_NORMAL_MESSAGE_SIZE_EXTENDED         E2K_NS_MAPI_PROPTAG  "x66b30014"
#define PR_ASSOC_MESSAGE_SIZE                   E2K_NS_MAPI_PROPTAG  "x66b40003"
#define PR_ASSOC_MESSAGE_SIZE_EXTENDED          E2K_NS_MAPI_PROPTAG  "x66b40014"
#define PR_FOLDER_PATHNAME                      E2K_NS_MAPI_PROPTAG  "x66b5001f"
#define PR_OWNER_COUNT                          E2K_NS_MAPI_PROPTAG  "x66b60003"
#define PR_CONTACT_COUNT                        E2K_NS_MAPI_PROPTAG  "x66b70003"
#define PR_CODE_PAGE_ID                         E2K_NS_MAPI_PROPTAG  "x66c30003"
#define PR_RETENTION_AGE_LIMIT                  E2K_NS_MAPI_PROPTAG  "x66c40003"
#define PR_DISABLE_PERUSER_READ                 E2K_NS_MAPI_PROPTAG  "x66c5000b"
#define PR_INTERNET_PARSE_STATE                 E2K_NS_MAPI_PROPTAG  "x66c60102"
#define PR_INTERNET_MESSAGE_INFO                E2K_NS_MAPI_PROPTAG  "x66c70102"
#define PR_PST_PATH                             E2K_NS_MAPI_PROPTAG  "x6700001f"
#define PR_PST_REMEMBER_PW                      E2K_NS_MAPI_PROPTAG  "x6701000b"
#define PR_OST_ENCRYPTION                       E2K_NS_MAPI_PROPTAG  "x67020003"
#define PR_PST_ENCRYPTION                       E2K_NS_MAPI_PROPTAG  "x67020003"
#define PR_PST_PW_SZ_OLD                        E2K_NS_MAPI_PROPTAG  "x6703001f"
#define PR_PST_PW_SZ_NEW                        E2K_NS_MAPI_PROPTAG  "x6704001f"
#define PR_SORT_LOCALE_ID                       E2K_NS_MAPI_PROPTAG  "x67050003"
#define PR_URL_NAME                             E2K_NS_MAPI_PROPTAG  "x6707001f"
#define PR_LOCAL_COMMIT_TIME                    E2K_NS_MAPI_PROPTAG  "x67090040"
#define PR_LOCAL_COMMIT_TIME_MAX                E2K_NS_MAPI_PROPTAG  "x670a0040"
#define PR_DELETED_COUNT_TOTAL                  E2K_NS_MAPI_PROPTAG  "x670b0003"
#define PR_AUTO_RESET                           E2K_NS_MAPI_PROPTAG  "x670c0048"
#define PR_URL_COMP_NAME_HASH                   E2K_NS_MAPI_PROPTAG  "x67100003"
#define PR_MSG_FOLDER_TEMPLATE_RES_2            E2K_NS_MAPI_PROPTAG  "x67110003"
#define PR_RANK                                 E2K_NS_MAPI_PROPTAG  "x67120003"
#define PR_MSG_FOLDER_TEMPLATE_RES_4            E2K_NS_MAPI_PROPTAG  "x6713000b"
#define PR_MSG_FOLDER_TEMPLATE_RES_5            E2K_NS_MAPI_PROPTAG  "x6714000b"
#define PR_MSG_FOLDER_TEMPLATE_RES_6            E2K_NS_MAPI_PROPTAG  "x6715000b"
#define PR_MSG_FOLDER_TEMPLATE_RES_7            E2K_NS_MAPI_PROPTAG  "x67160102"
#define PR_MSG_FOLDER_TEMPLATE_RES_8            E2K_NS_MAPI_PROPTAG  "x67170102"
#define PR_MSG_FOLDER_TEMPLATE_RES_9            E2K_NS_MAPI_PROPTAG  "x67180102"
#define PR_MSG_FOLDER_TEMPLATE_RES_10           E2K_NS_MAPI_PROPTAG  "x6719001f"
#define PR_MSG_FOLDER_TEMPLATE_RES_11           E2K_NS_MAPI_PROPTAG  "x671a001f"
#define PR_MSG_FOLDER_TEMPLATE_RES_12           E2K_NS_MAPI_PROPTAG  "x671b001f"
#define PR_PF_PLATINUM_HOME_MDB                 E2K_NS_MAPI_PROPTAG  "x671e000b"
#define PR_PF_PROXY_REQUIRED                    E2K_NS_MAPI_PROPTAG  "x671f000b"
#define PR_INTERNET_FREE_DOC_INFO               E2K_NS_MAPI_PROPTAG  "x67200102"
#define PR_PF_OVER_HARD_QUOTA_LIMIT             E2K_NS_MAPI_PROPTAG  "x67210003"
#define PR_PF_MSG_SIZE_LIMIT                    E2K_NS_MAPI_PROPTAG  "x67220003"
#define PR_CONNECTION_MODULUS                   E2K_NS_MAPI_PROPTAG  "x67430003"
#define PR_DELIVER_TO_DN                        E2K_NS_MAPI_PROPTAG  "x6744001f"
#define PR_MIME_SIZE                            E2K_NS_MAPI_PROPTAG  "x67460003"
#define PR_FILE_SIZE_EXTENDED                   E2K_NS_MAPI_PROPTAG  "x67470014"
#define PR_FID                                  E2K_NS_MAPI_PROPTAG  "x67480014"
#define PR_PARENT_FID                           E2K_NS_MAPI_PROPTAG  "x67490014"
#define PR_MID                                  E2K_NS_MAPI_PROPTAG  "x674a0014"
#define PR_CATEG_ID                             E2K_NS_MAPI_PROPTAG  "x674b0014"
#define PR_PARENT_CATEG_ID                      E2K_NS_MAPI_PROPTAG  "x674c0014"
#define PR_INST_ID                              E2K_NS_MAPI_PROPTAG  "x674d0014"
#define PR_INSTANCE_NUM                         E2K_NS_MAPI_PROPTAG  "x674e0003"
#define PR_ADDRBOOK_MID                         E2K_NS_MAPI_PROPTAG  "x674f0014"
#define PR_ICS_NOTIF                            E2K_NS_MAPI_PROPTAG  "x67500003"
#define PR_ARTICLE_NUM_NEXT                     E2K_NS_MAPI_PROPTAG  "x67510003"
#define PR_IMAP_LAST_ARTICLE_ID                 E2K_NS_MAPI_PROPTAG  "x67520003"
#define PR_NOT_822_RENDERABLE                   E2K_NS_MAPI_PROPTAG  "x6753000b"
#define PR_LTID                                 E2K_NS_MAPI_PROPTAG  "x67580102"
#define PR_CN_EXPORT                            E2K_NS_MAPI_PROPTAG  "x67590102"
#define PR_PCL_EXPORT                           E2K_NS_MAPI_PROPTAG  "x675a0102"
#define PR_CN_MV_EXPORT                         E2K_NS_MAPI_PROPTAG  "x675b1102"
#define PR_PF_QUOTA_STYLE                       E2K_NS_MAPI_PROPTAG  "x67790003"
#define PR_PF_STORAGE_QUOTA                     E2K_NS_MAPI_PROPTAG  "x677b0003"
#define PR_SEARCH_FLAGS                         E2K_NS_MAPI_PROPTAG  "x67830003"
#define PR_ASSOCIATED                           E2K_NS_MAPI_PROPTAG  "x67aa000b"
#define PR_PROFILE_SECURE_MAILBOX               E2K_NS_MAPI_PROPTAG  "x67f00102"
#define PR_MAILBEAT_BOUNCE_SERVER               E2K_NS_MAPI_PROPTAG  "x6800001f"
#define PR_MAILBEAT_REQUEST_SENT                E2K_NS_MAPI_PROPTAG  "x68010040"
#define PR_USENET_SITE_NAME                     E2K_NS_MAPI_PROPTAG  "x6802001f"
#define PR_MAILBEAT_REQUEST_RECEIVED            E2K_NS_MAPI_PROPTAG  "x68030040"
#define PR_MAILBEAT_REQUEST_PROCESSED           E2K_NS_MAPI_PROPTAG  "x68040040"
#define PR_MAILBEAT_REPLY_SENT                  E2K_NS_MAPI_PROPTAG  "x68060040"
#define PR_MAILBEAT_REPLY_SUBMIT                E2K_NS_MAPI_PROPTAG  "x68070040"
#define PR_MAILBEAT_REPLY_RECEIVED              E2K_NS_MAPI_PROPTAG  "x68080040"
#define PR_MAILBEAT_REPLY_PROCESSED             E2K_NS_MAPI_PROPTAG  "x68090040"
#define PR_DELEGATES_DISPLAY_NAMES              E2K_NS_MAPI_PROPTAG  "x6844101f"
#define PR_DELEGATES_ENTRYIDS                   E2K_NS_MAPI_PROPTAG  "x68451102"
#define PR_FREEBUSY_START_RANGE                 E2K_NS_MAPI_PROPTAG  "x68470003"
#define PR_FREEBUSY_END_RANGE                   E2K_NS_MAPI_PROPTAG  "x68480003"
#define PR_FREEBUSY_EMAIL_ADDRESS               E2K_NS_MAPI_PROPTAG  "x6849001f"
#define PR_FREEBUSY_ALL_MONTHS                  E2K_NS_MAPI_PROPTAG  "x684f1003"
#define PR_FREEBUSY_ALL_EVENTS                  E2K_NS_MAPI_PROPTAG  "x68501102"
#define PR_FREEBUSY_TENTATIVE_MONTHS            E2K_NS_MAPI_PROPTAG  "x68511003"
#define PR_FREEBUSY_TENTATIVE_EVENTS            E2K_NS_MAPI_PROPTAG  "x68521102"
#define PR_FREEBUSY_BUSY_MONTHS                 E2K_NS_MAPI_PROPTAG  "x68531003"
#define PR_FREEBUSY_BUSY_EVENTS                 E2K_NS_MAPI_PROPTAG  "x68541102"
#define PR_FREEBUSY_OOF_MONTHS                  E2K_NS_MAPI_PROPTAG  "x68551003"
#define PR_FREEBUSY_OOF_EVENTS                  E2K_NS_MAPI_PROPTAG  "x68561102"
#define PR_FREEBUSY_LAST_MODIFIED               E2K_NS_MAPI_PROPTAG  "x68680040"
#define PR_FREEBUSY_NUM_MONTHS                  E2K_NS_MAPI_PROPTAG  "x68690003"
#define PR_DELEGATES_SEE_PRIVATE                E2K_NS_MAPI_PROPTAG  "x686b1003"
#define PR_PERSONAL_FREEBUSY                    E2K_NS_MAPI_PROPTAG  "x686c0102"
#define PR_PROCESS_MEETING_REQUESTS             E2K_NS_MAPI_PROPTAG  "x686d000b"
#define PR_DECLINE_RECURRING_MEETING_REQUESTS   E2K_NS_MAPI_PROPTAG  "x686e000b"
#define PR_DECLINE_CONFLICTING_MEETING_REQUESTS E2K_NS_MAPI_PROPTAG  "x686f000b"
#define PR_VD_BINARY                            E2K_NS_MAPI_PROPTAG  "x70010102"
#define PR_VD_STRINGS                           E2K_NS_MAPI_PROPTAG  "x7002001f"
#define PR_VD_FLAGS                             E2K_NS_MAPI_PROPTAG  "x70030003"
#define PR_VD_LINK_TO                           E2K_NS_MAPI_PROPTAG  "x70040102"
#define PR_VD_VIEW_FOLDER                       E2K_NS_MAPI_PROPTAG  "x70050102"
#define PR_VD_NAME                              E2K_NS_MAPI_PROPTAG  "x7006001f"
#define PR_VD_VERSION                           E2K_NS_MAPI_PROPTAG  "x70070003"
#define PR_FAV_DISPLAY_NAME                     E2K_NS_MAPI_PROPTAG  "x7c00001f"
#define PR_FAV_DISPLAY_ALIAS                    E2K_NS_MAPI_PROPTAG  "x7c00001f"
#define PR_FAV_PUBLIC_SOURCE_KEY                E2K_NS_MAPI_PROPTAG  "x7c020102"
#define PR_OST_OSTID                            E2K_NS_MAPI_PROPTAG  "x7c040102"
#define PR_STORE_SLOWLINK                       E2K_NS_MAPI_PROPTAG  "x7c0a000b"
#define PR_FAV_AUTOSUBFOLDERS                   E2K_NS_MAPI_PROPTAG  "x7d010003"
#define PR_FAV_PARENT_SOURCE_KEY                E2K_NS_MAPI_PROPTAG  "x7d020102"
#define PR_FAV_LEVEL_MASK                       E2K_NS_MAPI_PROPTAG  "x7d030003"
#define PR_FAV_INHERIT_AUTO                     E2K_NS_MAPI_PROPTAG  "x7d070003"
#define PR_FAV_DEL_SUBS                         E2K_NS_MAPI_PROPTAG  "x7d080102"
#define PR_ATTACHMENT_LINKID                    E2K_NS_MAPI_PROPTAG  "x7ffa0003"
#define PR_EXCEPTION_STARTTIME                  E2K_NS_MAPI_PROPTAG  "x7ffb0040"
#define PR_EXCEPTION_ENDTIME                    E2K_NS_MAPI_PROPTAG  "x7ffc0040"
#define PR_ATTACHMENT_FLAGS                     E2K_NS_MAPI_PROPTAG  "x7ffd0003"
#define PR_ATTACHMENT_HIDDEN                    E2K_NS_MAPI_PROPTAG  "x7ffe000b"
#define PR_EMS_AB_DISPLAY_NAME_OVERRIDE         E2K_NS_MAPI_PROPTAG  "x8001000b"
#define PR_EMS_AB_CA_CERTIFICATE                E2K_NS_MAPI_PROPTAG  "x80031102"
#define PR_EMS_AB_FOLDER_PATHNAME               E2K_NS_MAPI_PROPTAG  "x8004001f"
#define PR_EMS_AB_MANAGER                       E2K_NS_MAPI_PROPTAG  "x8005000d"
#define PR_EMS_AB_MANAGER_T                     E2K_NS_MAPI_PROPTAG  "x8005001f"
#define PR_EMS_AB_HOME_MDB_O                    E2K_NS_MAPI_PROPTAG  "x8006000d"
#define PR_EMS_AB_HOME_MDB                      E2K_NS_MAPI_PROPTAG  "x8006001f"
#define PR_EMS_AB_HOME_MTA_O                    E2K_NS_MAPI_PROPTAG  "x8007000d"
#define PR_EMS_AB_HOME_MTA                      E2K_NS_MAPI_PROPTAG  "x8007001f"
#define PR_EMS_AB_IS_MEMBER_OF_DL               E2K_NS_MAPI_PROPTAG  "x8008000d"
#define PR_EMS_AB_IS_MEMBER_OF_DL_T             E2K_NS_MAPI_PROPTAG  "x8008001f"
#define PR_EMS_AB_MEMBER                        E2K_NS_MAPI_PROPTAG  "x8009000d"
#define PR_EMS_AB_MEMBER_T                      E2K_NS_MAPI_PROPTAG  "x8009001f"
#define PR_EMS_AB_AUTOREPLY_MESSAGE             E2K_NS_MAPI_PROPTAG  "x800a001f"
#define PR_EMS_AB_AUTOREPLY                     E2K_NS_MAPI_PROPTAG  "x800b000b"
#define PR_EMS_AB_OWNER_O                       E2K_NS_MAPI_PROPTAG  "x800c000d"
#define PR_EMS_AB_OWNER                         E2K_NS_MAPI_PROPTAG  "x800c001f"
#define PR_EMS_AB_KM_SERVER_O                   E2K_NS_MAPI_PROPTAG  "x800d000d"
#define PR_EMS_AB_KM_SERVER                     E2K_NS_MAPI_PROPTAG  "x800d001f"
#define PR_EMS_AB_REPORTS                       E2K_NS_MAPI_PROPTAG  "x800e000d"
#define PR_EMS_AB_REPORTS_T                     E2K_NS_MAPI_PROPTAG  "x800e000d"
#define PR_EMS_AB_PROXY_ADDRESSES               E2K_NS_MAPI_PROPTAG  "x800f101f"
#define PR_EMS_AB_HELP_DATA32                   E2K_NS_MAPI_PROPTAG  "x80100102"
#define PR_EMS_AB_TARGET_ADDRESS                E2K_NS_MAPI_PROPTAG  "x8011001f"
#define PR_EMS_AB_TELEPHONE_NUMBER              E2K_NS_MAPI_PROPTAG  "x8012101f"
#define PR_EMS_AB_NT_SECURITY_DESCRIPTOR        E2K_NS_MAPI_PROPTAG  "x80130102"
#define PR_EMS_AB_HOME_MDB_BL_O                 E2K_NS_MAPI_PROPTAG  "x8014000d"
#define PR_EMS_AB_HOME_MDB_BL                   E2K_NS_MAPI_PROPTAG  "x8014101f"
#define PR_EMS_AB_PUBLIC_DELEGATES              E2K_NS_MAPI_PROPTAG  "x8015000d"
#define PR_EMS_AB_PUBLIC_DELEGATES_T            E2K_NS_MAPI_PROPTAG  "x8015001f"
#define PR_EMS_AB_CERTIFICATE_REVOCATION_LIST   E2K_NS_MAPI_PROPTAG  "x80160102"
#define PR_EMS_AB_ADDRESS_ENTRY_DISPLAY_TABLE   E2K_NS_MAPI_PROPTAG  "x80170102"
#define PR_EMS_AB_ADDRESS_SYNTAX                E2K_NS_MAPI_PROPTAG  "x80180102"
#define PR_EMS_AB_BUSINESS_ROLES                E2K_NS_MAPI_PROPTAG  "x80230102"
#define PR_EMS_AB_OWNER_BL_O                    E2K_NS_MAPI_PROPTAG  "x8024000d"
#define PR_EMS_AB_OWNER_BL                      E2K_NS_MAPI_PROPTAG  "x8024101f"
#define PR_EMS_AB_CROSS_CERTIFICATE_PAIR        E2K_NS_MAPI_PROPTAG  "x80251102"
#define PR_EMS_AB_AUTHORITY_REVOCATION_LIST     E2K_NS_MAPI_PROPTAG  "x80261102"
#define PR_EMS_AB_ASSOC_NT_ACCOUNT              E2K_NS_MAPI_PROPTAG  "x80270102"
#define PR_EMS_AB_EXPIRATION_TIME               E2K_NS_MAPI_PROPTAG  "x80280040"
#define PR_EMS_AB_USN_CHANGED                   E2K_NS_MAPI_PROPTAG  "x80290003"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_1         E2K_NS_MAPI_PROPTAG  "x802d001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_2         E2K_NS_MAPI_PROPTAG  "x802e001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_3         E2K_NS_MAPI_PROPTAG  "x802f001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_4         E2K_NS_MAPI_PROPTAG  "x8030001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_5         E2K_NS_MAPI_PROPTAG  "x8031001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_6         E2K_NS_MAPI_PROPTAG  "x8032001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_7         E2K_NS_MAPI_PROPTAG  "x8033001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_8         E2K_NS_MAPI_PROPTAG  "x8034001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_9         E2K_NS_MAPI_PROPTAG  "x8035001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_10        E2K_NS_MAPI_PROPTAG  "x8036001f"
#define PR_EMS_AB_SECURITY_PROTOCOL             E2K_NS_MAPI_PROPTAG  "x80371102"
#define PR_EMS_AB_PF_CONTACTS_O                 E2K_NS_MAPI_PROPTAG  "x8038000d"
#define PR_EMS_AB_PF_CONTACTS                   E2K_NS_MAPI_PROPTAG  "x8038101f"
#define PR_EMS_AB_HELP_DATA16                   E2K_NS_MAPI_PROPTAG  "x803a0102"
#define PR_EMS_AB_HELP_FILE_NAME                E2K_NS_MAPI_PROPTAG  "x803b001f"
#define PR_EMS_AB_OBJ_DIST_NAME_O               E2K_NS_MAPI_PROPTAG  "x803c000d"
#define PR_EMS_AB_OBJ_DIST_NAME                 E2K_NS_MAPI_PROPTAG  "x803c001f"
#define PR_EMS_AB_ENCRYPT_ALG_SELECTED_OTHER    E2K_NS_MAPI_PROPTAG  "x803d001f"
#define PR_EMS_AB_AUTOREPLY_SUBJECT             E2K_NS_MAPI_PROPTAG  "x803e001f"
#define PR_EMS_AB_HOME_PUBLIC_SERVER_O          E2K_NS_MAPI_PROPTAG  "x803f000d"
#define PR_EMS_AB_HOME_PUBLIC_SERVER            E2K_NS_MAPI_PROPTAG  "x803f001f"
#define PR_EMS_AB_ENCRYPT_ALG_LIST_NA           E2K_NS_MAPI_PROPTAG  "x8040101f"
#define PR_EMS_AB_ENCRYPT_ALG_LIST_OTHER        E2K_NS_MAPI_PROPTAG  "x8041101f"
#define PR_EMS_AB_IMPORTED_FROM                 E2K_NS_MAPI_PROPTAG  "x8042001f"
#define PR_EMS_AB_ENCRYPT_ALG_SELECTED_NA       E2K_NS_MAPI_PROPTAG  "x8043001f"
#define PR_EMS_AB_ACCESS_CATEGORY               E2K_NS_MAPI_PROPTAG  "x80440003"
#define PR_EMS_AB_ACTIVATION_SCHEDULE           E2K_NS_MAPI_PROPTAG  "x80450102"
#define PR_EMS_AB_ACTIVATION_STYLE              E2K_NS_MAPI_PROPTAG  "x80460003"
#define PR_EMS_AB_ADDRESS_ENTRY_DISPLAY_TABLE_MSDOS E2K_NS_MAPI_PROPTAG  "x80470102"
#define PR_EMS_AB_ADDRESS_TYPE                  E2K_NS_MAPI_PROPTAG  "x8048001f"
#define PR_EMS_AB_ADMD                          E2K_NS_MAPI_PROPTAG  "x8049001f"
#define PR_EMS_AB_ADMIN_DESCRIPTION             E2K_NS_MAPI_PROPTAG  "x804a001f"
#define PR_EMS_AB_ADMIN_DISPLAY_NAME            E2K_NS_MAPI_PROPTAG  "x804b001f"
#define PR_EMS_AB_ADMIN_EXTENSION_DLL           E2K_NS_MAPI_PROPTAG  "x804c001f"
#define PR_EMS_AB_ALIASED_OBJECT_NAME_O         E2K_NS_MAPI_PROPTAG  "x804d000d"
#define PR_EMS_AB_ALIASED_OBJECT_NAME           E2K_NS_MAPI_PROPTAG  "x804d001f"
#define PR_EMS_AB_ALT_RECIPIENT_O               E2K_NS_MAPI_PROPTAG  "x804e000d"
#define PR_EMS_AB_ALT_RECIPIENT                 E2K_NS_MAPI_PROPTAG  "x804e001f"
#define PR_EMS_AB_ALT_RECIPIENT_BL_O            E2K_NS_MAPI_PROPTAG  "x804f000d"
#define PR_EMS_AB_ALT_RECIPIENT_BL              E2K_NS_MAPI_PROPTAG  "x804f101f"
#define PR_EMS_AB_ANCESTOR_ID                   E2K_NS_MAPI_PROPTAG  "x80500102"
#define PR_EMS_AB_ASSOC_REMOTE_DXA_O            E2K_NS_MAPI_PROPTAG  "x8051000d"
#define PR_EMS_AB_ASSOC_REMOTE_DXA              E2K_NS_MAPI_PROPTAG  "x8051101f"
#define PR_EMS_AB_ASSOCIATION_LIFETIME          E2K_NS_MAPI_PROPTAG  "x80520003"
#define PR_EMS_AB_AUTH_ORIG_BL_O                E2K_NS_MAPI_PROPTAG  "x8053000d"
#define PR_EMS_AB_AUTH_ORIG_BL                  E2K_NS_MAPI_PROPTAG  "x8053101f"
#define PR_EMS_AB_AUTHORIZED_DOMAIN             E2K_NS_MAPI_PROPTAG  "x8054001f"
#define PR_EMS_AB_AUTHORIZED_PASSWORD           E2K_NS_MAPI_PROPTAG  "x80550102"
#define PR_EMS_AB_AUTHORIZED_USER               E2K_NS_MAPI_PROPTAG  "x8056001f"
#define PR_EMS_AB_BUSINESS_CATEGORY             E2K_NS_MAPI_PROPTAG  "x8057101f"
#define PR_EMS_AB_CAN_CREATE_PF_O               E2K_NS_MAPI_PROPTAG  "x8058000d"
#define PR_EMS_AB_CAN_CREATE_PF                 E2K_NS_MAPI_PROPTAG  "x8058101f"
#define PR_EMS_AB_CAN_CREATE_PF_BL_O            E2K_NS_MAPI_PROPTAG  "x8059000d"
#define PR_EMS_AB_CAN_CREATE_PF_BL              E2K_NS_MAPI_PROPTAG  "x8059101f"
#define PR_EMS_AB_CAN_CREATE_PF_DL_O            E2K_NS_MAPI_PROPTAG  "x805a000d"
#define PR_EMS_AB_CAN_CREATE_PF_DL              E2K_NS_MAPI_PROPTAG  "x805a101f"
#define PR_EMS_AB_CAN_CREATE_PF_DL_BL_O         E2K_NS_MAPI_PROPTAG  "x805b000d"
#define PR_EMS_AB_CAN_CREATE_PF_DL_BL           E2K_NS_MAPI_PROPTAG  "x805b101f"
#define PR_EMS_AB_CAN_NOT_CREATE_PF_O           E2K_NS_MAPI_PROPTAG  "x805c000d"
#define PR_EMS_AB_CAN_NOT_CREATE_PF             E2K_NS_MAPI_PROPTAG  "x805c101f"
#define PR_EMS_AB_CAN_NOT_CREATE_PF_BL_O        E2K_NS_MAPI_PROPTAG  "x805d000d"
#define PR_EMS_AB_CAN_NOT_CREATE_PF_BL          E2K_NS_MAPI_PROPTAG  "x805d101f"
#define PR_EMS_AB_CAN_NOT_CREATE_PF_DL_O        E2K_NS_MAPI_PROPTAG  "x805e000d"
#define PR_EMS_AB_CAN_NOT_CREATE_PF_DL          E2K_NS_MAPI_PROPTAG  "x805e101f"
#define PR_EMS_AB_CAN_NOT_CREATE_PF_DL_BL_O     E2K_NS_MAPI_PROPTAG  "x805f000d"
#define PR_EMS_AB_CAN_NOT_CREATE_PF_DL_BL       E2K_NS_MAPI_PROPTAG  "x805f101f"
#define PR_EMS_AB_CAN_PRESERVE_DNS              E2K_NS_MAPI_PROPTAG  "x8060000b"
#define PR_EMS_AB_CLOCK_ALERT_OFFSET            E2K_NS_MAPI_PROPTAG  "x80610003"
#define PR_EMS_AB_CLOCK_ALERT_REPAIR            E2K_NS_MAPI_PROPTAG  "x8062000b"
#define PR_EMS_AB_CLOCK_WARNING_OFFSET          E2K_NS_MAPI_PROPTAG  "x80630003"
#define PR_EMS_AB_CLOCK_WARNING_REPAIR          E2K_NS_MAPI_PROPTAG  "x8064000b"
#define PR_EMS_AB_COMPUTER_NAME                 E2K_NS_MAPI_PROPTAG  "x8065001f"
#define PR_EMS_AB_CONNECTED_DOMAINS             E2K_NS_MAPI_PROPTAG  "x8066101f"
#define PR_EMS_AB_CONTAINER_INFO                E2K_NS_MAPI_PROPTAG  "x80670003"
#define PR_EMS_AB_COST                          E2K_NS_MAPI_PROPTAG  "x80680003"
#define PR_EMS_AB_COUNTRY_NAME                  E2K_NS_MAPI_PROPTAG  "x8069001f"
#define PR_EMS_AB_DELIV_CONT_LENGTH             E2K_NS_MAPI_PROPTAG  "x806a0003"
#define PR_EMS_AB_DELIV_EITS                    E2K_NS_MAPI_PROPTAG  "x806b1102"
#define PR_EMS_AB_DELIV_EXT_CONT_TYPES          E2K_NS_MAPI_PROPTAG  "x806c1102"
#define PR_EMS_AB_DELIVER_AND_REDIRECT          E2K_NS_MAPI_PROPTAG  "x806d000b"
#define PR_EMS_AB_DELIVERY_MECHANISM            E2K_NS_MAPI_PROPTAG  "x806e0003"
#define PR_EMS_AB_DESCRIPTION                   E2K_NS_MAPI_PROPTAG  "x806f101f"
#define PR_EMS_AB_DESTINATION_INDICATOR         E2K_NS_MAPI_PROPTAG  "x8070101f"
#define PR_EMS_AB_DIAGNOSTIC_REG_KEY            E2K_NS_MAPI_PROPTAG  "x8071001f"
#define PR_EMS_AB_DL_MEM_REJECT_PERMS_BL_O      E2K_NS_MAPI_PROPTAG  "x8072000d"
#define PR_EMS_AB_DL_MEM_REJECT_PERMS_BL        E2K_NS_MAPI_PROPTAG  "x8072101f"
#define PR_EMS_AB_DL_MEM_SUBMIT_PERMS_BL_O      E2K_NS_MAPI_PROPTAG  "x8073000d"
#define PR_EMS_AB_DL_MEM_SUBMIT_PERMS_BL        E2K_NS_MAPI_PROPTAG  "x8073101f"
#define PR_EMS_AB_DL_MEMBER_RULE                E2K_NS_MAPI_PROPTAG  "x80741102"
#define PR_EMS_AB_DOMAIN_DEF_ALT_RECIP_O        E2K_NS_MAPI_PROPTAG  "x8075000d"
#define PR_EMS_AB_DOMAIN_DEF_ALT_RECIP          E2K_NS_MAPI_PROPTAG  "x8075001f"
#define PR_EMS_AB_DOMAIN_NAME                   E2K_NS_MAPI_PROPTAG  "x8076001f"
#define PR_EMS_AB_DSA_SIGNATURE                 E2K_NS_MAPI_PROPTAG  "x80770102"
#define PR_EMS_AB_DXA_ADMIN_COPY                E2K_NS_MAPI_PROPTAG  "x8078000b"
#define PR_EMS_AB_DXA_ADMIN_FORWARD             E2K_NS_MAPI_PROPTAG  "x8079000b"
#define PR_EMS_AB_DXA_ADMIN_UPDATE              E2K_NS_MAPI_PROPTAG  "x807a0003"
#define PR_EMS_AB_DXA_APPEND_REQCN              E2K_NS_MAPI_PROPTAG  "x807b000b"
#define PR_EMS_AB_DXA_CONF_CONTAINER_LIST_O     E2K_NS_MAPI_PROPTAG  "x807c000d"
#define PR_EMS_AB_DXA_CONF_CONTAINER_LIST       E2K_NS_MAPI_PROPTAG  "x807c101f"
#define PR_EMS_AB_DXA_CONF_REQ_TIME             E2K_NS_MAPI_PROPTAG  "x807d0040"
#define PR_EMS_AB_DXA_CONF_SEQ                  E2K_NS_MAPI_PROPTAG  "x807e001f"
#define PR_EMS_AB_DXA_CONF_SEQ_USN              E2K_NS_MAPI_PROPTAG  "x807f0003"
#define PR_EMS_AB_DXA_EXCHANGE_OPTIONS          E2K_NS_MAPI_PROPTAG  "x80800003"
#define PR_EMS_AB_DXA_EXPORT_NOW                E2K_NS_MAPI_PROPTAG  "x8081000b"
#define PR_EMS_AB_DXA_FLAGS                     E2K_NS_MAPI_PROPTAG  "x80820003"
#define PR_EMS_AB_DXA_IMP_SEQ                   E2K_NS_MAPI_PROPTAG  "x8083001f"
#define PR_EMS_AB_DXA_IMP_SEQ_TIME              E2K_NS_MAPI_PROPTAG  "x80840040"
#define PR_EMS_AB_DXA_IMP_SEQ_USN               E2K_NS_MAPI_PROPTAG  "x80850003"
#define PR_EMS_AB_DXA_IMPORT_NOW                E2K_NS_MAPI_PROPTAG  "x8086000b"
#define PR_EMS_AB_DXA_IN_TEMPLATE_MAP           E2K_NS_MAPI_PROPTAG  "x8087101f"
#define PR_EMS_AB_DXA_LOCAL_ADMIN_O             E2K_NS_MAPI_PROPTAG  "x8088000d"
#define PR_EMS_AB_DXA_LOCAL_ADMIN               E2K_NS_MAPI_PROPTAG  "x8088001f"
#define PR_EMS_AB_DXA_LOGGING_LEVEL             E2K_NS_MAPI_PROPTAG  "x80890003"
#define PR_EMS_AB_DXA_NATIVE_ADDRESS_TYPE       E2K_NS_MAPI_PROPTAG  "x808a001f"
#define PR_EMS_AB_DXA_OUT_TEMPLATE_MAP          E2K_NS_MAPI_PROPTAG  "x808b101f"
#define PR_EMS_AB_DXA_PASSWORD                  E2K_NS_MAPI_PROPTAG  "x808c001f"
#define PR_EMS_AB_DXA_PREV_EXCHANGE_OPTIONS     E2K_NS_MAPI_PROPTAG  "x808d0003"
#define PR_EMS_AB_DXA_PREV_EXPORT_NATIVE_ONLY   E2K_NS_MAPI_PROPTAG  "x808e000b"
#define PR_EMS_AB_DXA_PREV_IN_EXCHANGE_SENSITIVITY E2K_NS_MAPI_PROPTAG  "x808f0003"
#define PR_EMS_AB_DXA_PREV_REMOTE_ENTRIES_O     E2K_NS_MAPI_PROPTAG  "x8090000d"
#define PR_EMS_AB_DXA_PREV_REMOTE_ENTRIES       E2K_NS_MAPI_PROPTAG  "x8090001f"
#define PR_EMS_AB_DXA_PREV_REPLICATION_SENSITIVITY E2K_NS_MAPI_PROPTAG  "x80910003"
#define PR_EMS_AB_DXA_PREV_TEMPLATE_OPTIONS     E2K_NS_MAPI_PROPTAG  "x80920003"
#define PR_EMS_AB_DXA_PREV_TYPES                E2K_NS_MAPI_PROPTAG  "x80930003"
#define PR_EMS_AB_DXA_RECIPIENT_CP              E2K_NS_MAPI_PROPTAG  "x8094001f"
#define PR_EMS_AB_DXA_REMOTE_CLIENT_O           E2K_NS_MAPI_PROPTAG  "x8095000d"
#define PR_EMS_AB_DXA_REMOTE_CLIENT             E2K_NS_MAPI_PROPTAG  "x8095001f"
#define PR_EMS_AB_DXA_REQ_SEQ                   E2K_NS_MAPI_PROPTAG  "x8096001f"
#define PR_EMS_AB_DXA_REQ_SEQ_TIME              E2K_NS_MAPI_PROPTAG  "x80970040"
#define PR_EMS_AB_DXA_REQ_SEQ_USN               E2K_NS_MAPI_PROPTAG  "x80980003"
#define PR_EMS_AB_DXA_REQNAME                   E2K_NS_MAPI_PROPTAG  "x8099001f"
#define PR_EMS_AB_DXA_SVR_SEQ                   E2K_NS_MAPI_PROPTAG  "x809a001f"
#define PR_EMS_AB_DXA_SVR_SEQ_TIME              E2K_NS_MAPI_PROPTAG  "x809b0040"
#define PR_EMS_AB_DXA_SVR_SEQ_USN               E2K_NS_MAPI_PROPTAG  "x809c0003"
#define PR_EMS_AB_DXA_TASK                      E2K_NS_MAPI_PROPTAG  "x809d0003"
#define PR_EMS_AB_DXA_TEMPLATE_OPTIONS          E2K_NS_MAPI_PROPTAG  "x809e0003"
#define PR_EMS_AB_DXA_TEMPLATE_TIMESTAMP        E2K_NS_MAPI_PROPTAG  "x809f0040"
#define PR_EMS_AB_DXA_TYPES                     E2K_NS_MAPI_PROPTAG  "x80a00003"
#define PR_EMS_AB_DXA_UNCONF_CONTAINER_LIST_O   E2K_NS_MAPI_PROPTAG  "x80a1000d"
#define PR_EMS_AB_DXA_UNCONF_CONTAINER_LIST     E2K_NS_MAPI_PROPTAG  "x80a1101f"
#define PR_EMS_AB_ENCAPSULATION_METHOD          E2K_NS_MAPI_PROPTAG  "x80a20003"
#define PR_EMS_AB_ENCRYPT                       E2K_NS_MAPI_PROPTAG  "x80a3000b"
#define PR_EMS_AB_EXPAND_DLS_LOCALLY            E2K_NS_MAPI_PROPTAG  "x80a4000b"
#define PR_EMS_AB_EXPORT_CONTAINERS_O           E2K_NS_MAPI_PROPTAG  "x80a5000d"
#define PR_EMS_AB_EXPORT_CONTAINERS             E2K_NS_MAPI_PROPTAG  "x80a5101f"
#define PR_EMS_AB_EXPORT_CUSTOM_RECIPIENTS      E2K_NS_MAPI_PROPTAG  "x80a6000b"
#define PR_EMS_AB_EXTENDED_CHARS_ALLOWED        E2K_NS_MAPI_PROPTAG  "x80a7000b"
#define PR_EMS_AB_EXTENSION_DATA                E2K_NS_MAPI_PROPTAG  "x80a81102"
#define PR_EMS_AB_EXTENSION_NAME                E2K_NS_MAPI_PROPTAG  "x80a9101f"
#define PR_EMS_AB_EXTENSION_NAME_INHERITED      E2K_NS_MAPI_PROPTAG  "x80aa101f"
#define PR_EMS_AB_FACSIMILE_TELEPHONE_NUMBER    E2K_NS_MAPI_PROPTAG  "x80ab1102"
#define PR_EMS_AB_FILE_VERSION                  E2K_NS_MAPI_PROPTAG  "x80ac0102"
#define PR_EMS_AB_FILTER_LOCAL_ADDRESSES        E2K_NS_MAPI_PROPTAG  "x80ad000b"
#define PR_EMS_AB_FOLDERS_CONTAINER_O           E2K_NS_MAPI_PROPTAG  "x80ae000d"
#define PR_EMS_AB_FOLDERS_CONTAINER             E2K_NS_MAPI_PROPTAG  "x80ae001f"
#define PR_EMS_AB_GARBAGE_COLL_PERIOD           E2K_NS_MAPI_PROPTAG  "x80af0003"
#define PR_EMS_AB_GATEWAY_LOCAL_CRED            E2K_NS_MAPI_PROPTAG  "x80b0001f"
#define PR_EMS_AB_GATEWAY_LOCAL_DESIG           E2K_NS_MAPI_PROPTAG  "x80b1001f"
#define PR_EMS_AB_GATEWAY_PROXY                 E2K_NS_MAPI_PROPTAG  "x80b2101f"
#define PR_EMS_AB_GATEWAY_ROUTING_TREE          E2K_NS_MAPI_PROPTAG  "x80b30102"
#define PR_EMS_AB_GWART_LAST_MODIFIED           E2K_NS_MAPI_PROPTAG  "x80b40040"
#define PR_EMS_AB_HAS_FULL_REPLICA_NCS_O        E2K_NS_MAPI_PROPTAG  "x80b5000d"
#define PR_EMS_AB_HAS_FULL_REPLICA_NCS          E2K_NS_MAPI_PROPTAG  "x80b5101f"
#define PR_EMS_AB_HAS_MASTER_NCS_O              E2K_NS_MAPI_PROPTAG  "x80b6000d"
#define PR_EMS_AB_HAS_MASTER_NCS                E2K_NS_MAPI_PROPTAG  "x80b6101f"
#define PR_EMS_AB_HEURISTICS                    E2K_NS_MAPI_PROPTAG  "x80b70003"
#define PR_EMS_AB_HIDE_DL_MEMBERSHIP            E2K_NS_MAPI_PROPTAG  "x80b8000b"
#define PR_EMS_AB_HIDE_FROM_ADDRESS_BOOK        E2K_NS_MAPI_PROPTAG  "x80b9000b"
#define PR_EMS_AB_IMPORT_CONTAINER_O            E2K_NS_MAPI_PROPTAG  "x80ba000d"
#define PR_EMS_AB_IMPORT_CONTAINER              E2K_NS_MAPI_PROPTAG  "x80ba001f"
#define PR_EMS_AB_IMPORT_SENSITIVITY            E2K_NS_MAPI_PROPTAG  "x80bb0003"
#define PR_EMS_AB_INBOUND_SITES_O               E2K_NS_MAPI_PROPTAG  "x80bc000d"
#define PR_EMS_AB_INBOUND_SITES                 E2K_NS_MAPI_PROPTAG  "x80bc101f"
#define PR_EMS_AB_INSTANCE_TYPE                 E2K_NS_MAPI_PROPTAG  "x80bd0003"
#define PR_EMS_AB_INTERNATIONAL_ISDN_NUMBER     E2K_NS_MAPI_PROPTAG  "x80be101f"
#define PR_EMS_AB_INVOCATION_ID                 E2K_NS_MAPI_PROPTAG  "x80bf0102"
#define PR_EMS_AB_IS_DELETED                    E2K_NS_MAPI_PROPTAG  "x80c0000b"
#define PR_EMS_AB_IS_SINGLE_VALUED              E2K_NS_MAPI_PROPTAG  "x80c1000b"
#define PR_EMS_AB_KCC_STATUS                    E2K_NS_MAPI_PROPTAG  "x80c21102"
#define PR_EMS_AB_KNOWLEDGE_INFORMATION         E2K_NS_MAPI_PROPTAG  "x80c3101f"
#define PR_EMS_AB_LINE_WRAP                     E2K_NS_MAPI_PROPTAG  "x80c40003"
#define PR_EMS_AB_LINK_ID                       E2K_NS_MAPI_PROPTAG  "x80c50003"
#define PR_EMS_AB_LOCAL_BRIDGE_HEAD             E2K_NS_MAPI_PROPTAG  "x80c6001f"
#define PR_EMS_AB_LOCAL_BRIDGE_HEAD_ADDRESS     E2K_NS_MAPI_PROPTAG  "x80c7001f"
#define PR_EMS_AB_LOCAL_INITIAL_TURN            E2K_NS_MAPI_PROPTAG  "x80c8000b"
#define PR_EMS_AB_LOCAL_SCOPE_O                 E2K_NS_MAPI_PROPTAG  "x80c9000d"
#define PR_EMS_AB_LOCAL_SCOPE                   E2K_NS_MAPI_PROPTAG  "x80c9101f"
#define PR_EMS_AB_LOG_FILENAME                  E2K_NS_MAPI_PROPTAG  "x80ca001f"
#define PR_EMS_AB_LOG_ROLLOVER_INTERVAL         E2K_NS_MAPI_PROPTAG  "x80cb0003"
#define PR_EMS_AB_MAINTAIN_AUTOREPLY_HISTORY    E2K_NS_MAPI_PROPTAG  "x80cc000b"
#define PR_EMS_AB_MAPI_DISPLAY_TYPE             E2K_NS_MAPI_PROPTAG  "x80cd0003"
#define PR_EMS_AB_MAPI_ID                       E2K_NS_MAPI_PROPTAG  "x80ce0003"
#define PR_EMS_AB_MDB_BACKOFF_INTERVAL          E2K_NS_MAPI_PROPTAG  "x80cf0003"
#define PR_EMS_AB_MDB_MSG_TIME_OUT_PERIOD       E2K_NS_MAPI_PROPTAG  "x80d00003"
#define PR_EMS_AB_MDB_OVER_QUOTA_LIMIT          E2K_NS_MAPI_PROPTAG  "x80d10003"
#define PR_EMS_AB_MDB_STORAGE_QUOTA             E2K_NS_MAPI_PROPTAG  "x80d20003"
#define PR_EMS_AB_MDB_UNREAD_LIMIT              E2K_NS_MAPI_PROPTAG  "x80d30003"
#define PR_EMS_AB_MDB_USE_DEFAULTS              E2K_NS_MAPI_PROPTAG  "x80d4000b"
#define PR_EMS_AB_MESSAGE_TRACKING_ENABLED      E2K_NS_MAPI_PROPTAG  "x80d5000b"
#define PR_EMS_AB_MONITOR_CLOCK                 E2K_NS_MAPI_PROPTAG  "x80d6000b"
#define PR_EMS_AB_MONITOR_SERVERS               E2K_NS_MAPI_PROPTAG  "x80d7000b"
#define PR_EMS_AB_MONITOR_SERVICES              E2K_NS_MAPI_PROPTAG  "x80d8000b"
#define PR_EMS_AB_MONITORED_CONFIGURATIONS_O    E2K_NS_MAPI_PROPTAG  "x80d9000d"
#define PR_EMS_AB_MONITORED_CONFIGURATIONS      E2K_NS_MAPI_PROPTAG  "x80d9101f"
#define PR_EMS_AB_MONITORED_SERVERS_O           E2K_NS_MAPI_PROPTAG  "x80da000d"
#define PR_EMS_AB_MONITORED_SERVERS             E2K_NS_MAPI_PROPTAG  "x80da101f"
#define PR_EMS_AB_MONITORED_SERVICES            E2K_NS_MAPI_PROPTAG  "x80db101f"
#define PR_EMS_AB_MONITORING_ALERT_DELAY        E2K_NS_MAPI_PROPTAG  "x80dc0003"
#define PR_EMS_AB_MONITORING_ALERT_UNITS        E2K_NS_MAPI_PROPTAG  "x80dd0003"
#define PR_EMS_AB_MONITORING_AVAILABILITY_STYLE E2K_NS_MAPI_PROPTAG  "x80de0003"
#define PR_EMS_AB_MONITORING_AVAILABILITY_WINDOW E2K_NS_MAPI_PROPTAG  "x80df0102"
#define PR_EMS_AB_MONITORING_CACHED_VIA_MAIL_O  E2K_NS_MAPI_PROPTAG  "x80e0000d"
#define PR_EMS_AB_MONITORING_CACHED_VIA_MAIL    E2K_NS_MAPI_PROPTAG  "x80e0101f"
#define PR_EMS_AB_MONITORING_CACHED_VIA_RPC_O   E2K_NS_MAPI_PROPTAG  "x80e1000d"
#define PR_EMS_AB_MONITORING_CACHED_VIA_RPC     E2K_NS_MAPI_PROPTAG  "x80e1101f"
#define PR_EMS_AB_MONITORING_ESCALATION_PROCEDURE E2K_NS_MAPI_PROPTAG  "x80e21102"
#define PR_EMS_AB_MONITORING_HOTSITE_POLL_INTERVAL E2K_NS_MAPI_PROPTAG  "x80e30003"
#define PR_EMS_AB_MONITORING_HOTSITE_POLL_UNITS E2K_NS_MAPI_PROPTAG  "x80e40003"
#define PR_EMS_AB_MONITORING_MAIL_UPDATE_INTERVAL E2K_NS_MAPI_PROPTAG  "x80e50003"
#define PR_EMS_AB_MONITORING_MAIL_UPDATE_UNITS  E2K_NS_MAPI_PROPTAG  "x80e60003"
#define PR_EMS_AB_MONITORING_NORMAL_POLL_INTERVAL E2K_NS_MAPI_PROPTAG  "x80e70003"
#define PR_EMS_AB_MONITORING_NORMAL_POLL_UNITS  E2K_NS_MAPI_PROPTAG  "x80e80003"
#define PR_EMS_AB_MONITORING_RECIPIENTS_O       E2K_NS_MAPI_PROPTAG  "x80e9000d"
#define PR_EMS_AB_MONITORING_RECIPIENTS         E2K_NS_MAPI_PROPTAG  "x80e9101f"
#define PR_EMS_AB_MONITORING_RECIPIENTS_NDR_O   E2K_NS_MAPI_PROPTAG  "x80ea000d"
#define PR_EMS_AB_MONITORING_RECIPIENTS_NDR     E2K_NS_MAPI_PROPTAG  "x80ea101f"
#define PR_EMS_AB_MONITORING_RPC_UPDATE_INTERVAL E2K_NS_MAPI_PROPTAG  "x80eb0003"
#define PR_EMS_AB_MONITORING_RPC_UPDATE_UNITS   E2K_NS_MAPI_PROPTAG  "x80ec0003"
#define PR_EMS_AB_MONITORING_WARNING_DELAY      E2K_NS_MAPI_PROPTAG  "x80ed0003"
#define PR_EMS_AB_MONITORING_WARNING_UNITS      E2K_NS_MAPI_PROPTAG  "x80ee0003"
#define PR_EMS_AB_MTA_LOCAL_CRED                E2K_NS_MAPI_PROPTAG  "x80ef001f"
#define PR_EMS_AB_MTA_LOCAL_DESIG               E2K_NS_MAPI_PROPTAG  "x80f0001f"
#define PR_EMS_AB_N_ADDRESS                     E2K_NS_MAPI_PROPTAG  "x80f10102"
#define PR_EMS_AB_N_ADDRESS_TYPE                E2K_NS_MAPI_PROPTAG  "x80f20003"
#define PR_EMS_AB_NT_MACHINE_NAME               E2K_NS_MAPI_PROPTAG  "x80f3001f"
#define PR_EMS_AB_NUM_OF_OPEN_RETRIES           E2K_NS_MAPI_PROPTAG  "x80f40003"
#define PR_EMS_AB_NUM_OF_TRANSFER_RETRIES       E2K_NS_MAPI_PROPTAG  "x80f50003"
#define PR_EMS_AB_OBJECT_CLASS_CATEGORY         E2K_NS_MAPI_PROPTAG  "x80f60003"
#define PR_EMS_AB_OBJECT_VERSION                E2K_NS_MAPI_PROPTAG  "x80f70003"
#define PR_EMS_AB_OFF_LINE_AB_CONTAINERS_O      E2K_NS_MAPI_PROPTAG  "x80f8000d"
#define PR_EMS_AB_OFF_LINE_AB_CONTAINERS        E2K_NS_MAPI_PROPTAG  "x80f8101f"
#define PR_EMS_AB_OFF_LINE_AB_SCHEDULE          E2K_NS_MAPI_PROPTAG  "x80f90102"
#define PR_EMS_AB_OFF_LINE_AB_SERVER_O          E2K_NS_MAPI_PROPTAG  "x80fa000d"
#define PR_EMS_AB_OFF_LINE_AB_SERVER            E2K_NS_MAPI_PROPTAG  "x80fa001f"
#define PR_EMS_AB_OFF_LINE_AB_STYLE             E2K_NS_MAPI_PROPTAG  "x80fb0003"
#define PR_EMS_AB_OID_TYPE                      E2K_NS_MAPI_PROPTAG  "x80fc0003"
#define PR_EMS_AB_OM_OBJECT_CLASS               E2K_NS_MAPI_PROPTAG  "x80fd0102"
#define PR_EMS_AB_OM_SYNTAX                     E2K_NS_MAPI_PROPTAG  "x80fe0003"
#define PR_EMS_AB_OOF_REPLY_TO_ORIGINATOR       E2K_NS_MAPI_PROPTAG  "x80ff000b"
#define PR_EMS_AB_OPEN_RETRY_INTERVAL           E2K_NS_MAPI_PROPTAG  "x81000003"
#define PR_EMS_AB_ORGANIZATION_NAME             E2K_NS_MAPI_PROPTAG  "x8101101f"
#define PR_EMS_AB_ORGANIZATIONAL_UNIT_NAME      E2K_NS_MAPI_PROPTAG  "x8102101f"
#define PR_EMS_AB_ORIGINAL_DISPLAY_TABLE        E2K_NS_MAPI_PROPTAG  "x81030102"
#define PR_EMS_AB_ORIGINAL_DISPLAY_TABLE_MSDOS  E2K_NS_MAPI_PROPTAG  "x81040102"
#define PR_EMS_AB_OUTBOUND_SITES_O              E2K_NS_MAPI_PROPTAG  "x8105000d"
#define PR_EMS_AB_OUTBOUND_SITES                E2K_NS_MAPI_PROPTAG  "x8105101f"
#define PR_EMS_AB_P_SELECTOR                    E2K_NS_MAPI_PROPTAG  "x81060102"
#define PR_EMS_AB_P_SELECTOR_INBOUND            E2K_NS_MAPI_PROPTAG  "x81070102"
#define PR_EMS_AB_PER_MSG_DIALOG_DISPLAY_TABLE  E2K_NS_MAPI_PROPTAG  "x81080102"
#define PR_EMS_AB_PER_RECIP_DIALOG_DISPLAY_TABLE E2K_NS_MAPI_PROPTAG  "x81090102"
#define PR_EMS_AB_PERIOD_REP_SYNC_TIMES         E2K_NS_MAPI_PROPTAG  "x810a0102"
#define PR_EMS_AB_PERIOD_REPL_STAGGER           E2K_NS_MAPI_PROPTAG  "x810b0003"
#define PR_EMS_AB_POSTAL_ADDRESS                E2K_NS_MAPI_PROPTAG  "x810c1102"
#define PR_EMS_AB_PREFERRED_DELIVERY_METHOD     E2K_NS_MAPI_PROPTAG  "x810d1003"
#define PR_EMS_AB_PRMD                          E2K_NS_MAPI_PROPTAG  "x810e001f"
#define PR_EMS_AB_PROXY_GENERATOR_DLL           E2K_NS_MAPI_PROPTAG  "x810f001f"
#define PR_EMS_AB_PUBLIC_DELEGATES_BL_O         E2K_NS_MAPI_PROPTAG  "x8110000d"
#define PR_EMS_AB_PUBLIC_DELEGATES_BL           E2K_NS_MAPI_PROPTAG  "x8110101f"
#define PR_EMS_AB_QUOTA_NOTIFICATION_SCHEDULE   E2K_NS_MAPI_PROPTAG  "x81110102"
#define PR_EMS_AB_QUOTA_NOTIFICATION_STYLE      E2K_NS_MAPI_PROPTAG  "x81120003"
#define PR_EMS_AB_RANGE_LOWER                   E2K_NS_MAPI_PROPTAG  "x81130003"
#define PR_EMS_AB_RANGE_UPPER                   E2K_NS_MAPI_PROPTAG  "x81140003"
#define PR_EMS_AB_RAS_CALLBACK_NUMBER           E2K_NS_MAPI_PROPTAG  "x8115001f"
#define PR_EMS_AB_RAS_PHONE_NUMBER              E2K_NS_MAPI_PROPTAG  "x8116001f"
#define PR_EMS_AB_RAS_PHONEBOOK_ENTRY_NAME      E2K_NS_MAPI_PROPTAG  "x8117001f"
#define PR_EMS_AB_RAS_REMOTE_SRVR_NAME          E2K_NS_MAPI_PROPTAG  "x8118001f"
#define PR_EMS_AB_REGISTERED_ADDRESS            E2K_NS_MAPI_PROPTAG  "x81191102"
#define PR_EMS_AB_REMOTE_BRIDGE_HEAD            E2K_NS_MAPI_PROPTAG  "x811a001f"
#define PR_EMS_AB_REMOTE_BRIDGE_HEAD_ADDRESS    E2K_NS_MAPI_PROPTAG  "x811b001f"
#define PR_EMS_AB_REMOTE_OUT_BH_SERVER_O        E2K_NS_MAPI_PROPTAG  "x811c000d"
#define PR_EMS_AB_REMOTE_OUT_BH_SERVER          E2K_NS_MAPI_PROPTAG  "x811c001f"
#define PR_EMS_AB_REMOTE_SITE_O                 E2K_NS_MAPI_PROPTAG  "x811d000d"
#define PR_EMS_AB_REMOTE_SITE                   E2K_NS_MAPI_PROPTAG  "x811d001f"
#define PR_EMS_AB_REPLICATION_SENSITIVITY       E2K_NS_MAPI_PROPTAG  "x811e0003"
#define PR_EMS_AB_REPLICATION_STAGGER           E2K_NS_MAPI_PROPTAG  "x811f0003"
#define PR_EMS_AB_REPORT_TO_ORIGINATOR          E2K_NS_MAPI_PROPTAG  "x8120000b"
#define PR_EMS_AB_REPORT_TO_OWNER               E2K_NS_MAPI_PROPTAG  "x8121000b"
#define PR_EMS_AB_REQ_SEQ                       E2K_NS_MAPI_PROPTAG  "x81220003"
#define PR_EMS_AB_RESPONSIBLE_LOCAL_DXA_O       E2K_NS_MAPI_PROPTAG  "x8123000d"
#define PR_EMS_AB_RESPONSIBLE_LOCAL_DXA         E2K_NS_MAPI_PROPTAG  "x8123001f"
#define PR_EMS_AB_RID_SERVER_O                  E2K_NS_MAPI_PROPTAG  "x8124000d"
#define PR_EMS_AB_RID_SERVER                    E2K_NS_MAPI_PROPTAG  "x8124001f"
#define PR_EMS_AB_ROLE_OCCUPANT_O               E2K_NS_MAPI_PROPTAG  "x8125000d"
#define PR_EMS_AB_ROLE_OCCUPANT                 E2K_NS_MAPI_PROPTAG  "x8125101f"
#define PR_EMS_AB_ROUTING_LIST                  E2K_NS_MAPI_PROPTAG  "x8126101f"
#define PR_EMS_AB_RTS_CHECKPOINT_SIZE           E2K_NS_MAPI_PROPTAG  "x81270003"
#define PR_EMS_AB_RTS_RECOVERY_TIMEOUT          E2K_NS_MAPI_PROPTAG  "x81280003"
#define PR_EMS_AB_RTS_WINDOW_SIZE               E2K_NS_MAPI_PROPTAG  "x81290003"
#define PR_EMS_AB_RUNS_ON_O                     E2K_NS_MAPI_PROPTAG  "x812a000d"
#define PR_EMS_AB_RUNS_ON                       E2K_NS_MAPI_PROPTAG  "x812a101f"
#define PR_EMS_AB_S_SELECTOR                    E2K_NS_MAPI_PROPTAG  "x812b0102"
#define PR_EMS_AB_S_SELECTOR_INBOUND            E2K_NS_MAPI_PROPTAG  "x812c0102"
#define PR_EMS_AB_SEARCH_FLAGS                  E2K_NS_MAPI_PROPTAG  "x812d0003"
#define PR_EMS_AB_SEARCH_GUIDE                  E2K_NS_MAPI_PROPTAG  "x812e1102"
#define PR_EMS_AB_SEE_ALSO_O                    E2K_NS_MAPI_PROPTAG  "x812f000d"
#define PR_EMS_AB_SEE_ALSO                      E2K_NS_MAPI_PROPTAG  "x812f101f"
#define PR_EMS_AB_SERIAL_NUMBER                 E2K_NS_MAPI_PROPTAG  "x8130101f"
#define PR_EMS_AB_SERVICE_ACTION_FIRST          E2K_NS_MAPI_PROPTAG  "x81310003"
#define PR_EMS_AB_SERVICE_ACTION_OTHER          E2K_NS_MAPI_PROPTAG  "x81320003"
#define PR_EMS_AB_SERVICE_ACTION_SECOND         E2K_NS_MAPI_PROPTAG  "x81330003"
#define PR_EMS_AB_SERVICE_RESTART_DELAY         E2K_NS_MAPI_PROPTAG  "x81340003"
#define PR_EMS_AB_SERVICE_RESTART_MESSAGE       E2K_NS_MAPI_PROPTAG  "x8135001f"
#define PR_EMS_AB_SESSION_DISCONNECT_TIMER      E2K_NS_MAPI_PROPTAG  "x81360003"
#define PR_EMS_AB_SITE_AFFINITY                 E2K_NS_MAPI_PROPTAG  "x8137101f"
#define PR_EMS_AB_SITE_PROXY_SPACE              E2K_NS_MAPI_PROPTAG  "x8138101f"
#define PR_EMS_AB_SPACE_LAST_COMPUTED           E2K_NS_MAPI_PROPTAG  "x81390040"
#define PR_EMS_AB_STREET_ADDRESS                E2K_NS_MAPI_PROPTAG  "x813a001f"
#define PR_EMS_AB_SUB_REFS_O                    E2K_NS_MAPI_PROPTAG  "x813b000d"
#define PR_EMS_AB_SUB_REFS                      E2K_NS_MAPI_PROPTAG  "x813b101f"
#define PR_EMS_AB_SUBMISSION_CONT_LENGTH        E2K_NS_MAPI_PROPTAG  "x813c0003"
#define PR_EMS_AB_SUPPORTED_APPLICATION_CONTEXT E2K_NS_MAPI_PROPTAG  "x813d1102"
#define PR_EMS_AB_SUPPORTING_STACK_O            E2K_NS_MAPI_PROPTAG  "x813e000d"
#define PR_EMS_AB_SUPPORTING_STACK              E2K_NS_MAPI_PROPTAG  "x813e101f"
#define PR_EMS_AB_SUPPORTING_STACK_BL_O         E2K_NS_MAPI_PROPTAG  "x813f000d"
#define PR_EMS_AB_SUPPORTING_STACK_BL           E2K_NS_MAPI_PROPTAG  "x813f101f"
#define PR_EMS_AB_T_SELECTOR                    E2K_NS_MAPI_PROPTAG  "x81400102"
#define PR_EMS_AB_T_SELECTOR_INBOUND            E2K_NS_MAPI_PROPTAG  "x81410102"
#define PR_EMS_AB_TARGET_MTAS                   E2K_NS_MAPI_PROPTAG  "x8142101f"
#define PR_EMS_AB_TELETEX_TERMINAL_IDENTIFIER   E2K_NS_MAPI_PROPTAG  "x81431102"
#define PR_EMS_AB_TEMP_ASSOC_THRESHOLD          E2K_NS_MAPI_PROPTAG  "x81440003"
#define PR_EMS_AB_TOMBSTONE_LIFETIME            E2K_NS_MAPI_PROPTAG  "x81450003"
#define PR_EMS_AB_TRACKING_LOG_PATH_NAME        E2K_NS_MAPI_PROPTAG  "x8146001f"
#define PR_EMS_AB_TRANS_RETRY_MINS              E2K_NS_MAPI_PROPTAG  "x81470003"
#define PR_EMS_AB_TRANS_TIMEOUT_MINS            E2K_NS_MAPI_PROPTAG  "x81480003"
#define PR_EMS_AB_TRANSFER_RETRY_INTERVAL       E2K_NS_MAPI_PROPTAG  "x81490003"
#define PR_EMS_AB_TRANSFER_TIMEOUT_NON_URGENT   E2K_NS_MAPI_PROPTAG  "x814a0003"
#define PR_EMS_AB_TRANSFER_TIMEOUT_NORMAL       E2K_NS_MAPI_PROPTAG  "x814b0003"
#define PR_EMS_AB_TRANSFER_TIMEOUT_URGENT       E2K_NS_MAPI_PROPTAG  "x814c0003"
#define PR_EMS_AB_TRANSLATION_TABLE_USED        E2K_NS_MAPI_PROPTAG  "x814d0003"
#define PR_EMS_AB_TRANSPORT_EXPEDITED_DATA      E2K_NS_MAPI_PROPTAG  "x814e000b"
#define PR_EMS_AB_TRUST_LEVEL                   E2K_NS_MAPI_PROPTAG  "x814f0003"
#define PR_EMS_AB_TURN_REQUEST_THRESHOLD        E2K_NS_MAPI_PROPTAG  "x81500003"
#define PR_EMS_AB_TWO_WAY_ALTERNATE_FACILITY    E2K_NS_MAPI_PROPTAG  "x8151000b"
#define PR_EMS_AB_UNAUTH_ORIG_BL_O              E2K_NS_MAPI_PROPTAG  "x8152000d"
#define PR_EMS_AB_UNAUTH_ORIG_BL                E2K_NS_MAPI_PROPTAG  "x8152101f"
#define PR_EMS_AB_USER_PASSWORD                 E2K_NS_MAPI_PROPTAG  "x81531102"
#define PR_EMS_AB_USN_CREATED                   E2K_NS_MAPI_PROPTAG  "x81540003"
#define PR_EMS_AB_USN_DSA_LAST_OBJ_REMOVED      E2K_NS_MAPI_PROPTAG  "x81550003"
#define PR_EMS_AB_USN_LAST_OBJ_REM              E2K_NS_MAPI_PROPTAG  "x81560003"
#define PR_EMS_AB_USN_SOURCE                    E2K_NS_MAPI_PROPTAG  "x81570003"
#define PR_EMS_AB_X121_ADDRESS                  E2K_NS_MAPI_PROPTAG  "x8158101f"
#define PR_EMS_AB_X25_CALL_USER_DATA_INCOMING   E2K_NS_MAPI_PROPTAG  "x81590102"
#define PR_EMS_AB_X25_CALL_USER_DATA_OUTGOING   E2K_NS_MAPI_PROPTAG  "x815a0102"
#define PR_EMS_AB_X25_FACILITIES_DATA_INCOMING  E2K_NS_MAPI_PROPTAG  "x815b0102"
#define PR_EMS_AB_X25_FACILITIES_DATA_OUTGOING  E2K_NS_MAPI_PROPTAG  "x815c0102"
#define PR_EMS_AB_X25_LEASED_LINE_PORT          E2K_NS_MAPI_PROPTAG  "x815d0102"
#define PR_EMS_AB_X25_LEASED_OR_SWITCHED        E2K_NS_MAPI_PROPTAG  "x815e000b"
#define PR_EMS_AB_X25_REMOTE_MTA_PHONE          E2K_NS_MAPI_PROPTAG  "x815f001f"
#define PR_EMS_AB_X400_ATTACHMENT_TYPE          E2K_NS_MAPI_PROPTAG  "x81600102"
#define PR_EMS_AB_X400_SELECTOR_SYNTAX          E2K_NS_MAPI_PROPTAG  "x81610003"
#define PR_EMS_AB_X500_ACCESS_CONTROL_LIST      E2K_NS_MAPI_PROPTAG  "x81620102"
#define PR_EMS_AB_XMIT_TIMEOUT_NON_URGENT       E2K_NS_MAPI_PROPTAG  "x81630003"
#define PR_EMS_AB_XMIT_TIMEOUT_NORMAL           E2K_NS_MAPI_PROPTAG  "x81640003"
#define PR_EMS_AB_XMIT_TIMEOUT_URGENT           E2K_NS_MAPI_PROPTAG  "x81650003"
#define PR_EMS_AB_SITE_FOLDER_GUID              E2K_NS_MAPI_PROPTAG  "x81660102"
#define PR_EMS_AB_SITE_FOLDER_SERVER_O          E2K_NS_MAPI_PROPTAG  "x8167000d"
#define PR_EMS_AB_SITE_FOLDER_SERVER            E2K_NS_MAPI_PROPTAG  "x8167001f"
#define PR_EMS_AB_REPLICATION_MAIL_MSG_SIZE     E2K_NS_MAPI_PROPTAG  "x81680003"
#define PR_EMS_AB_MAXIMUM_OBJECT_ID             E2K_NS_MAPI_PROPTAG  "x81690102"
#define PR_EMS_AB_NETWORK_ADDRESS               E2K_NS_MAPI_PROPTAG  "x8170101f"
#define PR_EMS_AB_LDAP_DISPLAY_NAME             E2K_NS_MAPI_PROPTAG  "x8171101f"
#define PR_EMS_AB_SCHEMA_FLAGS                  E2K_NS_MAPI_PROPTAG  "x81730003"
#define PR_EMS_AB_BRIDGEHEAD_SERVERS_O          E2K_NS_MAPI_PROPTAG  "x8174000d"
#define PR_EMS_AB_BRIDGEHEAD_SERVERS            E2K_NS_MAPI_PROPTAG  "x8174101f"
#define PR_EMS_AB_WWW_HOME_PAGE                 E2K_NS_MAPI_PROPTAG  "x8175001f"
#define PR_EMS_AB_NNTP_CONTENT_FORMAT           E2K_NS_MAPI_PROPTAG  "x8176001f"
#define PR_EMS_AB_POP_CONTENT_FORMAT            E2K_NS_MAPI_PROPTAG  "x8177001f"
#define PR_EMS_AB_LANGUAGE                      E2K_NS_MAPI_PROPTAG  "x81780003"
#define PR_EMS_AB_POP_CHARACTER_SET             E2K_NS_MAPI_PROPTAG  "x8179001f"
#define PR_EMS_AB_USN_INTERSITE                 E2K_NS_MAPI_PROPTAG  "x817a0003"
#define PR_EMS_AB_SUB_SITE                      E2K_NS_MAPI_PROPTAG  "x817b001f"
#define PR_EMS_AB_SCHEMA_VERSION                E2K_NS_MAPI_PROPTAG  "x817c1003"
#define PR_EMS_AB_NNTP_CHARACTER_SET            E2K_NS_MAPI_PROPTAG  "x817d001f"
#define PR_EMS_AB_USE_SERVER_VALUES             E2K_NS_MAPI_PROPTAG  "x817e000b"
#define PR_EMS_AB_ENABLED_PROTOCOLS             E2K_NS_MAPI_PROPTAG  "x817f0003"
#define PR_EMS_AB_CONNECTION_LIST_FILTER        E2K_NS_MAPI_PROPTAG  "x81800102"
#define PR_EMS_AB_AVAILABLE_AUTHORIZATION_PACKAGES E2K_NS_MAPI_PROPTAG  "x8181101f"
#define PR_EMS_AB_CHARACTER_SET_LIST            E2K_NS_MAPI_PROPTAG  "x8182101f"
#define PR_EMS_AB_USE_SITE_VALUES               E2K_NS_MAPI_PROPTAG  "x8183000b"
#define PR_EMS_AB_ENABLED_AUTHORIZATION_PACKAGES E2K_NS_MAPI_PROPTAG  "x8184101f"
#define PR_EMS_AB_CHARACTER_SET                 E2K_NS_MAPI_PROPTAG  "x8185001f"
#define PR_EMS_AB_CONTENT_TYPE                  E2K_NS_MAPI_PROPTAG  "x81860003"
#define PR_EMS_AB_ANONYMOUS_ACCESS              E2K_NS_MAPI_PROPTAG  "x8187000b"
#define PR_EMS_AB_CONTROL_MSG_FOLDER_ID         E2K_NS_MAPI_PROPTAG  "x81880102"
#define PR_EMS_AB_USENET_SITE_NAME              E2K_NS_MAPI_PROPTAG  "x8189001f"
#define PR_EMS_AB_CONTROL_MSG_RULES             E2K_NS_MAPI_PROPTAG  "x818a0102"
#define PR_EMS_AB_AVAILABLE_DISTRIBUTIONS       E2K_NS_MAPI_PROPTAG  "x818b001f"
#define PR_EMS_AB_OUTBOUND_HOST                 E2K_NS_MAPI_PROPTAG  "x818d0102"
#define PR_EMS_AB_INBOUND_HOST                  E2K_NS_MAPI_PROPTAG  "x818e101f"
#define PR_EMS_AB_OUTGOING_MSG_SIZE_LIMIT       E2K_NS_MAPI_PROPTAG  "x818f0003"
#define PR_EMS_AB_INCOMING_MSG_SIZE_LIMIT       E2K_NS_MAPI_PROPTAG  "x81900003"
#define PR_EMS_AB_SEND_TNEF                     E2K_NS_MAPI_PROPTAG  "x8191000b"
#define PR_EMS_AB_AUTHORIZED_PASSWORD_CONFIRM   E2K_NS_MAPI_PROPTAG  "x81920102"
#define PR_EMS_AB_INBOUND_NEWSFEED              E2K_NS_MAPI_PROPTAG  "x8193001f"
#define PR_EMS_AB_NEWSFEED_TYPE                 E2K_NS_MAPI_PROPTAG  "x81940003"
#define PR_EMS_AB_OUTBOUND_NEWSFEED             E2K_NS_MAPI_PROPTAG  "x8195001f"
#define PR_EMS_AB_NEWSGROUP_LIST                E2K_NS_MAPI_PROPTAG  "x81960102"
#define PR_EMS_AB_NNTP_DISTRIBUTIONS            E2K_NS_MAPI_PROPTAG  "x8197101f"
#define PR_EMS_AB_NEWSGROUP                     E2K_NS_MAPI_PROPTAG  "x8198001f"
#define PR_EMS_AB_MODERATOR                     E2K_NS_MAPI_PROPTAG  "x8199001f"
#define PR_EMS_AB_AUTHENTICATION_TO_USE         E2K_NS_MAPI_PROPTAG  "x819a001f"
#define PR_EMS_AB_HTTP_PUB_GAL                  E2K_NS_MAPI_PROPTAG  "x819b000b"
#define PR_EMS_AB_HTTP_PUB_GAL_LIMIT            E2K_NS_MAPI_PROPTAG  "x819c0003"
#define PR_EMS_AB_HTTP_PUB_PF                   E2K_NS_MAPI_PROPTAG  "x819e1102"
#define PR_EMS_AB_X500_RDN                      E2K_NS_MAPI_PROPTAG  "x81a1001f"
#define PR_EMS_AB_X500_NC                       E2K_NS_MAPI_PROPTAG  "x81a2001f"
#define PR_EMS_AB_REFERRAL_LIST                 E2K_NS_MAPI_PROPTAG  "x81a3101f"
#define PR_EMS_AB_NNTP_DISTRIBUTIONS_FLAG       E2K_NS_MAPI_PROPTAG  "x81a4000b"
#define PR_EMS_AB_ASSOC_PROTOCOL_CFG_NNTP_O     E2K_NS_MAPI_PROPTAG  "x81a5000d"
#define PR_EMS_AB_ASSOC_PROTOCOL_CFG_NNTP       E2K_NS_MAPI_PROPTAG  "x81a5001f"
#define PR_EMS_AB_NNTP_NEWSFEEDS_O              E2K_NS_MAPI_PROPTAG  "x81a6000d"
#define PR_EMS_AB_NNTP_NEWSFEEDS                E2K_NS_MAPI_PROPTAG  "x81a6101f"
#define PR_EMS_AB_ENABLED_PROTOCOL_CFG          E2K_NS_MAPI_PROPTAG  "x81a8000b"
#define PR_EMS_AB_HTTP_PUB_AB_ATTRIBUTES        E2K_NS_MAPI_PROPTAG  "x81a9101f"
#define PR_EMS_AB_HTTP_SERVERS                  E2K_NS_MAPI_PROPTAG  "x81ab101f"
#define PR_EMS_AB_MODERATED                     E2K_NS_MAPI_PROPTAG  "x81ac000b"
#define PR_EMS_AB_RAS_ACCOUNT                   E2K_NS_MAPI_PROPTAG  "x81ad001f"
#define PR_EMS_AB_RAS_PASSWORD                  E2K_NS_MAPI_PROPTAG  "x81ae0102"
#define PR_EMS_AB_INCOMING_PASSWORD             E2K_NS_MAPI_PROPTAG  "x81af0102"
#define PR_EMS_AB_OUTBOUND_HOST_TYPE            E2K_NS_MAPI_PROPTAG  "x81b0000b"
#define PR_EMS_AB_PROXY_GENERATION_ENABLED      E2K_NS_MAPI_PROPTAG  "x81b1000b"
#define PR_EMS_AB_ROOT_NEWSGROUPS_FOLDER_ID     E2K_NS_MAPI_PROPTAG  "x81b20102"
#define PR_EMS_AB_CONNECTION_TYPE               E2K_NS_MAPI_PROPTAG  "x81b3000b"
#define PR_EMS_AB_CONNECTION_LIST_FILTER_TYPE   E2K_NS_MAPI_PROPTAG  "x81b40003"
#define PR_EMS_AB_PORT_NUMBER                   E2K_NS_MAPI_PROPTAG  "x81b50003"
#define PR_EMS_AB_PROTOCOL_SETTINGS             E2K_NS_MAPI_PROPTAG  "x81b6101f"
#define PR_EMS_AB_GROUP_BY_ATTR_1               E2K_NS_MAPI_PROPTAG  "x81b7001f"
#define PR_EMS_AB_GROUP_BY_ATTR_2               E2K_NS_MAPI_PROPTAG  "x81b8001f"
#define PR_EMS_AB_GROUP_BY_ATTR_3               E2K_NS_MAPI_PROPTAG  "x81b9001f"
#define PR_EMS_AB_GROUP_BY_ATTR_4               E2K_NS_MAPI_PROPTAG  "x81ba001f"
#define PR_EMS_AB_VIEW_SITE                     E2K_NS_MAPI_PROPTAG  "x81be001f"
#define PR_EMS_AB_VIEW_CONTAINER_1              E2K_NS_MAPI_PROPTAG  "x81bf001f"
#define PR_EMS_AB_VIEW_CONTAINER_2              E2K_NS_MAPI_PROPTAG  "x81c0001f"
#define PR_EMS_AB_VIEW_CONTAINER_3              E2K_NS_MAPI_PROPTAG  "x81c1001f"
#define PR_EMS_AB_PROMO_EXPIRATION              E2K_NS_MAPI_PROPTAG  "x81c20040"
#define PR_EMS_AB_DISABLED_GATEWAY_PROXY        E2K_NS_MAPI_PROPTAG  "x81c3101f"
#define PR_EMS_AB_COMPROMISED_KEY_LIST          E2K_NS_MAPI_PROPTAG  "x81c40102"
#define PR_EMS_AB_INSADMIN_O                    E2K_NS_MAPI_PROPTAG  "x81c5000d"
#define PR_EMS_AB_INSADMIN                      E2K_NS_MAPI_PROPTAG  "x81c5001f"
#define PR_EMS_AB_OVERRIDE_NNTP_CONTENT_FORMAT  E2K_NS_MAPI_PROPTAG  "x81c6000b"
#define PR_EMS_AB_OBJ_VIEW_CONTAINERS_O         E2K_NS_MAPI_PROPTAG  "x81c7000d"
#define PR_EMS_AB_OBJ_VIEW_CONTAINERS           E2K_NS_MAPI_PROPTAG  "x81c7101f"
#define PR_EMS_AB_VIEW_FLAGS                    E2K_NS_MAPI_PROPTAG  "x8c180003"
#define PR_EMS_AB_GROUP_BY_ATTR_VALUE_STR       E2K_NS_MAPI_PROPTAG  "x8c19001f"
#define PR_EMS_AB_GROUP_BY_ATTR_VALUE_DN_O      E2K_NS_MAPI_PROPTAG  "x8c1a000d"
#define PR_EMS_AB_GROUP_BY_ATTR_VALUE_DN        E2K_NS_MAPI_PROPTAG  "x8c1a001f"
#define PR_EMS_AB_VIEW_DEFINITION               E2K_NS_MAPI_PROPTAG  "x8c1b1102"
#define PR_EMS_AB_MIME_TYPES                    E2K_NS_MAPI_PROPTAG  "x8c1c0102"
#define PR_EMS_AB_LDAP_SEARCH_CFG               E2K_NS_MAPI_PROPTAG  "x8c1d0003"
#define PR_EMS_AB_INBOUND_DN_O                  E2K_NS_MAPI_PROPTAG  "x8c1e000d"
#define PR_EMS_AB_INBOUND_DN                    E2K_NS_MAPI_PROPTAG  "x8c1e001f"
#define PR_EMS_AB_INBOUND_NEWSFEED_TYPE         E2K_NS_MAPI_PROPTAG  "x8c1f000b"
#define PR_EMS_AB_INBOUND_ACCEPT_ALL            E2K_NS_MAPI_PROPTAG  "x8c20000b"
#define PR_EMS_AB_ENABLED                       E2K_NS_MAPI_PROPTAG  "x8c21000b"
#define PR_EMS_AB_PRESERVE_INTERNET_CONTENT     E2K_NS_MAPI_PROPTAG  "x8c22000b"
#define PR_EMS_AB_DISABLE_DEFERRED_COMMIT       E2K_NS_MAPI_PROPTAG  "x8c23000b"
#define PR_EMS_AB_CLIENT_ACCESS_ENABLED         E2K_NS_MAPI_PROPTAG  "x8c24000b"
#define PR_EMS_AB_REQUIRE_SSL                   E2K_NS_MAPI_PROPTAG  "x8c25000b"
#define PR_EMS_AB_ANONYMOUS_ACCOUNT             E2K_NS_MAPI_PROPTAG  "x8c26001f"
#define PR_EMS_AB_CERTIFICATE_CHAIN_V3          E2K_NS_MAPI_PROPTAG  "x8c270102"
#define PR_EMS_AB_CERTIFICATE_REVOCATION_LIST_V3 E2K_NS_MAPI_PROPTAG  "x8c280102"
#define PR_EMS_AB_CERTIFICATE_REVOCATION_LIST_V1 E2K_NS_MAPI_PROPTAG  "x8c290102"
#define PR_EMS_AB_CROSS_CERTIFICATE_CRL         E2K_NS_MAPI_PROPTAG  "x8c301102"
#define PR_EMS_AB_SEND_EMAIL_MESSAGE            E2K_NS_MAPI_PROPTAG  "x8c31000b"
#define PR_EMS_AB_ENABLE_COMPATIBILITY          E2K_NS_MAPI_PROPTAG  "x8c32000b"
#define PR_EMS_AB_SMIME_ALG_LIST_NA             E2K_NS_MAPI_PROPTAG  "x8c33101f"
#define PR_EMS_AB_SMIME_ALG_LIST_OTHER          E2K_NS_MAPI_PROPTAG  "x8c34101f"
#define PR_EMS_AB_SMIME_ALG_SELECTED_NA         E2K_NS_MAPI_PROPTAG  "x8c35001f"
#define PR_EMS_AB_SMIME_ALG_SELECTED_OTHER      E2K_NS_MAPI_PROPTAG  "x8c36001f"
#define PR_EMS_AB_DEFAULT_MESSAGE_FORMAT        E2K_NS_MAPI_PROPTAG  "x8c37000b"
#define PR_EMS_AB_TYPE                          E2K_NS_MAPI_PROPTAG  "x8c38001f"
#define PR_EMS_AB_DO_OAB_VERSION                E2K_NS_MAPI_PROPTAG  "x8c3a0003"
#define PR_EMS_AB_VOICE_MAIL_SYSTEM_GUID        E2K_NS_MAPI_PROPTAG  "x8c3b0102"
#define PR_EMS_AB_VOICE_MAIL_USER_ID            E2K_NS_MAPI_PROPTAG  "x8c3c001f"
#define PR_EMS_AB_VOICE_MAIL_PASSWORD           E2K_NS_MAPI_PROPTAG  "x8c3d001f"
#define PR_EMS_AB_VOICE_MAIL_RECORDED_NAME      E2K_NS_MAPI_PROPTAG  "x8c3e0102"
#define PR_EMS_AB_VOICE_MAIL_GREETINGS          E2K_NS_MAPI_PROPTAG  "x8c3f101f"
#define PR_EMS_AB_VOICE_MAIL_FLAGS              E2K_NS_MAPI_PROPTAG  "x8c401102"
#define PR_EMS_AB_VOICE_MAIL_VOLUME             E2K_NS_MAPI_PROPTAG  "x8c410003"
#define PR_EMS_AB_VOICE_MAIL_SPEED              E2K_NS_MAPI_PROPTAG  "x8c420003"
#define PR_EMS_AB_VOICE_MAIL_RECORDING_LENGTH   E2K_NS_MAPI_PROPTAG  "x8c431003"
#define PR_EMS_AB_DISPLAY_NAME_SUFFIX           E2K_NS_MAPI_PROPTAG  "x8c44001f"
#define PR_EMS_AB_ATTRIBUTE_CERTIFICATE         E2K_NS_MAPI_PROPTAG  "x8c451102"
#define PR_EMS_AB_DELTA_REVOCATION_LIST         E2K_NS_MAPI_PROPTAG  "x8c461102"
#define PR_EMS_AB_SECURITY_POLICY               E2K_NS_MAPI_PROPTAG  "x8c471102"
#define PR_EMS_AB_SUPPORT_SMIME_SIGNATURES      E2K_NS_MAPI_PROPTAG  "x8c48000b"
#define PR_EMS_AB_DELEGATE_USER                 E2K_NS_MAPI_PROPTAG  "x8c49000b"
#define PR_EMS_AB_LIST_PUBLIC_FOLDERS           E2K_NS_MAPI_PROPTAG  "x8c50000b"
#define PR_EMS_AB_LABELEDURI                    E2K_NS_MAPI_PROPTAG  "x8c51001f"
#define PR_EMS_AB_RETURN_EXACT_MSG_SIZE         E2K_NS_MAPI_PROPTAG  "x8c52000b"
#define PR_EMS_AB_GENERATION_QUALIFIER          E2K_NS_MAPI_PROPTAG  "x8c53001f"
#define PR_EMS_AB_HOUSE_IDENTIFIER              E2K_NS_MAPI_PROPTAG  "x8c54001f"
#define PR_EMS_AB_SUPPORTED_ALGORITHMS          E2K_NS_MAPI_PROPTAG  "x8c550102"
#define PR_EMS_AB_DMD_NAME                      E2K_NS_MAPI_PROPTAG  "x8c56001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_11        E2K_NS_MAPI_PROPTAG  "x8c57001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_12        E2K_NS_MAPI_PROPTAG  "x8c58001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_13        E2K_NS_MAPI_PROPTAG  "x8c59001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_14        E2K_NS_MAPI_PROPTAG  "x8c60001f"
#define PR_EMS_AB_EXTENSION_ATTRIBUTE_15        E2K_NS_MAPI_PROPTAG  "x8c61001f"
#define PR_EMS_AB_REPLICATED_OBJECT_VERSION     E2K_NS_MAPI_PROPTAG  "x8c620003"
#define PR_EMS_AB_MAIL_DROP                     E2K_NS_MAPI_PROPTAG  "x8c63001f"
#define PR_EMS_AB_FORWARDING_ADDRESS            E2K_NS_MAPI_PROPTAG  "x8c64001f"
#define PR_EMS_AB_FORM_DATA                     E2K_NS_MAPI_PROPTAG  "x8c650102"
#define PR_EMS_AB_OWA_SERVER                    E2K_NS_MAPI_PROPTAG  "x8c66001f"
#define PR_EMS_AB_EMPLOYEE_NUMBER               E2K_NS_MAPI_PROPTAG  "x8c67001f"
#define PR_EMS_AB_TELEPHONE_PERSONAL_PAGER      E2K_NS_MAPI_PROPTAG  "x8c68001f"
#define PR_EMS_AB_EMPLOYEE_TYPE                 E2K_NS_MAPI_PROPTAG  "x8c69001f"
#define PR_EMS_AB_TAGGED_X509_CERT              E2K_NS_MAPI_PROPTAG  "x8c6a1102"
#define PR_EMS_AB_PERSONAL_TITLE                E2K_NS_MAPI_PROPTAG  "x8c6b001f"
#define PR_EMS_AB_LANGUAGE_ISO639               E2K_NS_MAPI_PROPTAG  "x8c6c001f"
#define PR_EMS_AB_OTHER_RECIPS                  E2K_NS_MAPI_PROPTAG  "xf000000d"
#define PR_EMS_AB_CHILD_RDNS                    E2K_NS_MAPI_PROPTAG  "xfff8101f"
#define PR_EMS_AB_HIERARCHY_PATH                E2K_NS_MAPI_PROPTAG  "xfff9001f"
#define PR_EMS_AB_OBJECT_OID                    E2K_NS_MAPI_PROPTAG  "xfffa0102"
#define PR_EMS_AB_IS_MASTER                     E2K_NS_MAPI_PROPTAG  "xfffb000b"
#define PR_EMS_AB_PARENT_ENTRYID                E2K_NS_MAPI_PROPTAG  "xfffc0102"
#define PR_EMS_AB_CONTAINERID                   E2K_NS_MAPI_PROPTAG  "xfffd0003"
#define PR_EMS_AB_DOS_ENTRYID                   E2K_NS_MAPI_PROPTAG  "xfffd0003"
#define PR_EMS_AB_SERVER                        E2K_NS_MAPI_PROPTAG  "xfffe001f"

#endif /* __E2K_PROPNAMES_H__ */
